(define (problem auvprob2342) (:domain auv)
(:objects
	ship1 - ship
	auv0 auv1 auv2 auv3 auv4 - auv
	torch0 torch1 torch2 torch3 torch4 - torch
	auv0gulper auv1gulper auv2gulper auv3gulper auv4gulper - gulper
	waypoint0 waypoint1 waypoint2 waypoint3 waypoint4 waypoint5 waypoint6 waypoint7 waypoint8 waypoint9 waypoint10 waypoint11 waypoint12 waypoint13 - Waypoint
	camera0 camera1 camera2 camera3 camera4 camera5 - Camera
	fish0 fish1 fish2 fish3 fish4 fish5 - Objective
	)
(:init
	(ready)
	(= (drift-rate) 0.5)
	(at_water_sample waypoint0)
	(at_water_sample waypoint1)
	(at_water_sample waypoint3)
	(at_water_sample waypoint4)
	(at_water_sample waypoint6)
	(at_water_sample waypoint7)
	(at_water_sample waypoint8)
	(at_water_sample waypoint10)
	(at_water_sample waypoint11)
	(at_water_sample waypoint12)
	(at_water_sample waypoint13)
	(at_surface waypoint10)
	(is-ship waypoint10)
	(channel_free)
	(= (energy auv0) 1000)
	(= (recharge-rate auv0) 19)
	(at auv0 waypoint10)
	(on_board_torch torch0 auv0)
	(off torch0)
	(= (distance-from-waypoint auv0) 0)
	(= (recharge-rate auv0) 10)
	(available auv0)
	(on_board_gulper auv0gulper auv0)
	(empty auv0gulper)

	(equipped_for_imaging auv0)
	(= (distance waypoint8 waypoint1) 10)
	(can_traverse waypoint8 waypoint1)
	(= (distance waypoint1 waypoint8) 4)
	(can_traverse waypoint1 waypoint8)
	(= (distance waypoint8 waypoint2) 9)
	(can_traverse waypoint8 waypoint2)
	(= (distance waypoint2 waypoint8) 6)
	(can_traverse waypoint2 waypoint8)
	(= (distance waypoint8 waypoint3) 4)
	(can_traverse waypoint8 waypoint3)
	(= (distance waypoint3 waypoint8) 7)
	(can_traverse waypoint3 waypoint8)
	(= (distance waypoint8 waypoint4) 7)
	(can_traverse waypoint8 waypoint4)
	(= (distance waypoint4 waypoint8) 1)
	(can_traverse waypoint4 waypoint8)
	(= (distance waypoint8 waypoint5) 9)
	(can_traverse waypoint8 waypoint5)
	(= (distance waypoint5 waypoint8) 2)
	(can_traverse waypoint5 waypoint8)
	(= (distance waypoint8 waypoint10) 1)
	(can_traverse waypoint8 waypoint10)
	(= (distance waypoint10 waypoint8) 4)
	(can_traverse waypoint10 waypoint8)
	(= (distance waypoint8 waypoint11) 8)
	(can_traverse waypoint8 waypoint11)
	(= (distance waypoint11 waypoint8) 7)
	(can_traverse waypoint11 waypoint8)
	(= (distance waypoint8 waypoint13) 8)
	(can_traverse waypoint8 waypoint13)
	(= (distance waypoint13 waypoint8) 6)
	(can_traverse waypoint13 waypoint8)
	(= (distance waypoint1 waypoint6) 1)
	(can_traverse waypoint1 waypoint6)
	(= (distance waypoint6 waypoint1) 1)
	(can_traverse waypoint6 waypoint1)
	(= (distance waypoint1 waypoint7) 3)
	(can_traverse waypoint1 waypoint7)
	(= (distance waypoint7 waypoint1) 9)
	(can_traverse waypoint7 waypoint1)
	(= (distance waypoint2 waypoint0) 6)
	(can_traverse waypoint2 waypoint0)
	(= (distance waypoint0 waypoint2) 9)
	(can_traverse waypoint0 waypoint2)
	(= (distance waypoint2 waypoint12) 2)
	(can_traverse waypoint2 waypoint12)
	(= (distance waypoint12 waypoint2) 8)
	(can_traverse waypoint12 waypoint2)
	(= (energy auv1) 1000)
	(= (recharge-rate auv1) 20)
	(at auv1 waypoint10)
	(on_board_torch torch1 auv1)
	(off torch1)
	(= (distance-from-waypoint auv1) 0)
	(= (recharge-rate auv1) 10)
	(available auv1)
	(on_board_gulper auv1gulper auv1)
	(empty auv1gulper)

	(equipped_for_imaging auv1)
	(= (distance waypoint3 waypoint2) 4)
	(can_traverse waypoint3 waypoint2)
	(= (distance waypoint2 waypoint3) 9)
	(can_traverse waypoint2 waypoint3)
	(= (distance waypoint3 waypoint6) 10)
	(can_traverse waypoint3 waypoint6)
	(= (distance waypoint6 waypoint3) 5)
	(can_traverse waypoint6 waypoint3)
	(= (distance waypoint3 waypoint8) 7)
	(can_traverse waypoint3 waypoint8)
	(= (distance waypoint8 waypoint3) 4)
	(can_traverse waypoint8 waypoint3)
	(= (distance waypoint2 waypoint0) 6)
	(can_traverse waypoint2 waypoint0)
	(= (distance waypoint0 waypoint2) 9)
	(can_traverse waypoint0 waypoint2)
	(= (distance waypoint2 waypoint5) 5)
	(can_traverse waypoint2 waypoint5)
	(= (distance waypoint5 waypoint2) 6)
	(can_traverse waypoint5 waypoint2)
	(= (distance waypoint2 waypoint7) 6)
	(can_traverse waypoint2 waypoint7)
	(= (distance waypoint7 waypoint2) 7)
	(can_traverse waypoint7 waypoint2)
	(= (distance waypoint2 waypoint12) 2)
	(can_traverse waypoint2 waypoint12)
	(= (distance waypoint12 waypoint2) 8)
	(can_traverse waypoint12 waypoint2)
	(= (distance waypoint2 waypoint13) 8)
	(can_traverse waypoint2 waypoint13)
	(= (distance waypoint13 waypoint2) 4)
	(can_traverse waypoint13 waypoint2)
	(= (distance waypoint6 waypoint4) 9)
	(can_traverse waypoint6 waypoint4)
	(= (distance waypoint4 waypoint6) 6)
	(can_traverse waypoint4 waypoint6)
	(= (distance waypoint6 waypoint9) 7)
	(can_traverse waypoint6 waypoint9)
	(= (distance waypoint9 waypoint6) 2)
	(can_traverse waypoint9 waypoint6)
	(= (distance waypoint6 waypoint10) 7)
	(can_traverse waypoint6 waypoint10)
	(= (distance waypoint10 waypoint6) 6)
	(can_traverse waypoint10 waypoint6)
	(= (distance waypoint0 waypoint11) 3)
	(can_traverse waypoint0 waypoint11)
	(= (distance waypoint11 waypoint0) 7)
	(can_traverse waypoint11 waypoint0)
	(= (distance waypoint13 waypoint1) 2)
	(can_traverse waypoint13 waypoint1)
	(= (distance waypoint1 waypoint13) 8)
	(can_traverse waypoint1 waypoint13)
	(= (energy auv2) 1000)
	(= (recharge-rate auv2) 14)
	(at auv2 waypoint10)
	(on_board_torch torch2 auv2)
	(off torch2)
	(= (distance-from-waypoint auv2) 0)
	(= (recharge-rate auv2) 10)
	(available auv2)
	(on_board_gulper auv2gulper auv2)
	(empty auv2gulper)
	(= (distance waypoint6 waypoint1) 1)
	(can_traverse waypoint6 waypoint1)
	(= (distance waypoint1 waypoint6) 1)
	(can_traverse waypoint1 waypoint6)
	(= (distance waypoint6 waypoint2) 4)
	(can_traverse waypoint6 waypoint2)
	(= (distance waypoint2 waypoint6) 8)
	(can_traverse waypoint2 waypoint6)
	(= (distance waypoint6 waypoint4) 9)
	(can_traverse waypoint6 waypoint4)
	(= (distance waypoint4 waypoint6) 6)
	(can_traverse waypoint4 waypoint6)
	(= (distance waypoint6 waypoint5) 8)
	(can_traverse waypoint6 waypoint5)
	(= (distance waypoint5 waypoint6) 8)
	(can_traverse waypoint5 waypoint6)
	(= (distance waypoint6 waypoint8) 7)
	(can_traverse waypoint6 waypoint8)
	(= (distance waypoint8 waypoint6) 6)
	(can_traverse waypoint8 waypoint6)
	(= (distance waypoint6 waypoint9) 7)
	(can_traverse waypoint6 waypoint9)
	(= (distance waypoint9 waypoint6) 2)
	(can_traverse waypoint9 waypoint6)
	(= (distance waypoint6 waypoint12) 6)
	(can_traverse waypoint6 waypoint12)
	(= (distance waypoint12 waypoint6) 2)
	(can_traverse waypoint12 waypoint6)
	(= (distance waypoint6 waypoint13) 2)
	(can_traverse waypoint6 waypoint13)
	(= (distance waypoint13 waypoint6) 8)
	(can_traverse waypoint13 waypoint6)
	(= (distance waypoint1 waypoint7) 3)
	(can_traverse waypoint1 waypoint7)
	(= (distance waypoint7 waypoint1) 9)
	(can_traverse waypoint7 waypoint1)
	(= (distance waypoint1 waypoint11) 3)
	(can_traverse waypoint1 waypoint11)
	(= (distance waypoint11 waypoint1) 1)
	(can_traverse waypoint11 waypoint1)
	(= (distance waypoint2 waypoint0) 6)
	(can_traverse waypoint2 waypoint0)
	(= (distance waypoint0 waypoint2) 9)
	(can_traverse waypoint0 waypoint2)
	(= (distance waypoint2 waypoint10) 7)
	(can_traverse waypoint2 waypoint10)
	(= (distance waypoint10 waypoint2) 3)
	(can_traverse waypoint10 waypoint2)
	(= (distance waypoint4 waypoint3) 2)
	(can_traverse waypoint4 waypoint3)
	(= (distance waypoint3 waypoint4) 8)
	(can_traverse waypoint3 waypoint4)
	(= (energy auv3) 1000)
	(= (recharge-rate auv3) 20)
	(at auv3 waypoint10)
	(on_board_torch torch3 auv3)
	(off torch3)
	(= (distance-from-waypoint auv3) 0)
	(= (recharge-rate auv3) 10)
	(available auv3)
	(on_board_gulper auv3gulper auv3)
	(empty auv3gulper)

	(equipped_for_imaging auv3)
	(= (distance waypoint0 waypoint2) 9)
	(can_traverse waypoint0 waypoint2)
	(= (distance waypoint2 waypoint0) 6)
	(can_traverse waypoint2 waypoint0)
	(= (distance waypoint0 waypoint5) 10)
	(can_traverse waypoint0 waypoint5)
	(= (distance waypoint5 waypoint0) 4)
	(can_traverse waypoint5 waypoint0)
	(= (distance waypoint0 waypoint7) 3)
	(can_traverse waypoint0 waypoint7)
	(= (distance waypoint7 waypoint0) 4)
	(can_traverse waypoint7 waypoint0)
	(= (distance waypoint0 waypoint11) 3)
	(can_traverse waypoint0 waypoint11)
	(= (distance waypoint11 waypoint0) 7)
	(can_traverse waypoint11 waypoint0)
	(= (distance waypoint2 waypoint1) 8)
	(can_traverse waypoint2 waypoint1)
	(= (distance waypoint1 waypoint2) 9)
	(can_traverse waypoint1 waypoint2)
	(= (distance waypoint2 waypoint3) 9)
	(can_traverse waypoint2 waypoint3)
	(= (distance waypoint3 waypoint2) 4)
	(can_traverse waypoint3 waypoint2)
	(= (distance waypoint2 waypoint6) 8)
	(can_traverse waypoint2 waypoint6)
	(= (distance waypoint6 waypoint2) 4)
	(can_traverse waypoint6 waypoint2)
	(= (distance waypoint2 waypoint9) 7)
	(can_traverse waypoint2 waypoint9)
	(= (distance waypoint9 waypoint2) 9)
	(can_traverse waypoint9 waypoint2)
	(= (distance waypoint2 waypoint12) 2)
	(can_traverse waypoint2 waypoint12)
	(= (distance waypoint12 waypoint2) 8)
	(can_traverse waypoint12 waypoint2)
	(= (distance waypoint5 waypoint8) 2)
	(can_traverse waypoint5 waypoint8)
	(= (distance waypoint8 waypoint5) 9)
	(can_traverse waypoint8 waypoint5)
	(= (distance waypoint5 waypoint13) 2)
	(can_traverse waypoint5 waypoint13)
	(= (distance waypoint13 waypoint5) 7)
	(can_traverse waypoint13 waypoint5)
	(= (distance waypoint7 waypoint4) 2)
	(can_traverse waypoint7 waypoint4)
	(= (distance waypoint4 waypoint7) 8)
	(can_traverse waypoint4 waypoint7)
	(= (distance waypoint11 waypoint10) 2)
	(can_traverse waypoint11 waypoint10)
	(= (distance waypoint10 waypoint11) 7)
	(can_traverse waypoint10 waypoint11)
	(= (energy auv4) 1000)
	(= (recharge-rate auv4) 19)
	(at auv4 waypoint10)
	(on_board_torch torch4 auv4)
	(off torch4)
	(= (distance-from-waypoint auv4) 0)
	(= (recharge-rate auv4) 10)
	(available auv4)
	(on_board_gulper auv4gulper auv4)
	(empty auv4gulper)

	(equipped_for_imaging auv4)
	(= (distance waypoint11 waypoint0) 7)
	(can_traverse waypoint11 waypoint0)
	(= (distance waypoint0 waypoint11) 3)
	(can_traverse waypoint0 waypoint11)
	(= (distance waypoint11 waypoint1) 1)
	(can_traverse waypoint11 waypoint1)
	(= (distance waypoint1 waypoint11) 3)
	(can_traverse waypoint1 waypoint11)
	(= (distance waypoint11 waypoint5) 3)
	(can_traverse waypoint11 waypoint5)
	(= (distance waypoint5 waypoint11) 2)
	(can_traverse waypoint5 waypoint11)
	(= (distance waypoint11 waypoint7) 3)
	(can_traverse waypoint11 waypoint7)
	(= (distance waypoint7 waypoint11) 5)
	(can_traverse waypoint7 waypoint11)
	(= (distance waypoint11 waypoint8) 7)
	(can_traverse waypoint11 waypoint8)
	(= (distance waypoint8 waypoint11) 8)
	(can_traverse waypoint8 waypoint11)
	(= (distance waypoint11 waypoint10) 2)
	(can_traverse waypoint11 waypoint10)
	(= (distance waypoint10 waypoint11) 7)
	(can_traverse waypoint10 waypoint11)
	(= (distance waypoint11 waypoint13) 4)
	(can_traverse waypoint11 waypoint13)
	(= (distance waypoint13 waypoint11) 7)
	(can_traverse waypoint13 waypoint11)
	(= (distance waypoint0 waypoint2) 9)
	(can_traverse waypoint0 waypoint2)
	(= (distance waypoint2 waypoint0) 6)
	(can_traverse waypoint2 waypoint0)
	(= (distance waypoint1 waypoint4) 3)
	(can_traverse waypoint1 waypoint4)
	(= (distance waypoint4 waypoint1) 10)
	(can_traverse waypoint4 waypoint1)
	(= (distance waypoint5 waypoint3) 5)
	(can_traverse waypoint5 waypoint3)
	(= (distance waypoint3 waypoint5) 2)
	(can_traverse waypoint3 waypoint5)
	(= (distance waypoint5 waypoint12) 6)
	(can_traverse waypoint5 waypoint12)
	(= (distance waypoint12 waypoint5) 5)
	(can_traverse waypoint12 waypoint5)
	(= (distance waypoint8 waypoint6) 6)
	(can_traverse waypoint8 waypoint6)
	(= (distance waypoint6 waypoint8) 7)
	(can_traverse waypoint6 waypoint8)
	(= (distance waypoint10 waypoint9) 7)
	(can_traverse waypoint10 waypoint9)
	(= (distance waypoint9 waypoint10) 5)
	(can_traverse waypoint9 waypoint10)
	(on_board_camera camera0 auv0)
	(calibration_target camera0 fish4)
	(on_board_camera camera1 auv1)
	(calibration_target camera1 fish2)
	(on_board_camera camera2 auv4)
	(calibration_target camera2 fish2)
	(on_board_camera camera3 auv3)
	(calibration_target camera3 fish1)
	(on_board_camera camera4 auv1)
	(calibration_target camera4 fish5)
	(on_board_camera camera5 auv4)
	(calibration_target camera5 fish5)
	(visible_from fish0 waypoint0)
	(visible_from fish0 waypoint1)
	(visible_from fish0 waypoint2)
	(visible_from fish0 waypoint3)
	(visible_from fish0 waypoint4)
	(visible_from fish0 waypoint5)
	(visible_from fish0 waypoint6)
	(visible_from fish0 waypoint7)
	(visible_from fish0 waypoint8)
	(visible_from fish1 waypoint0)
	(visible_from fish1 waypoint1)
	(visible_from fish1 waypoint2)
	(visible_from fish1 waypoint3)
	(visible_from fish1 waypoint4)
	(visible_from fish1 waypoint5)
	(visible_from fish1 waypoint6)
	(visible_from fish1 waypoint7)
	(visible_from fish1 waypoint8)
	(visible_from fish1 waypoint9)
	(visible_from fish1 waypoint10)
	(visible_from fish2 waypoint0)
	(visible_from fish2 waypoint1)
	(visible_from fish2 waypoint2)
	(visible_from fish2 waypoint3)
	(visible_from fish2 waypoint4)
	(visible_from fish2 waypoint5)
	(visible_from fish3 waypoint0)
	(visible_from fish3 waypoint1)
	(visible_from fish3 waypoint2)
	(visible_from fish3 waypoint3)
	(visible_from fish3 waypoint4)
	(visible_from fish3 waypoint5)
	(visible_from fish3 waypoint6)
	(visible_from fish3 waypoint7)
	(visible_from fish3 waypoint8)
	(visible_from fish3 waypoint9)
	(visible_from fish3 waypoint10)
	(visible_from fish3 waypoint11)
	(visible_from fish3 waypoint12)
	(visible_from fish3 waypoint13)
	(visible_from fish4 waypoint0)
	(visible_from fish4 waypoint1)
	(visible_from fish4 waypoint2)
	(visible_from fish4 waypoint3)
	(visible_from fish4 waypoint4)
	(visible_from fish4 waypoint5)
	(visible_from fish4 waypoint6)
	(visible_from fish4 waypoint7)
	(visible_from fish5 waypoint0)
	(visible_from fish5 waypoint1)
	(free waypoint0)
	(free waypoint1)
	(free waypoint2)
	(free waypoint3)
	(free waypoint4)
	(free waypoint5)
	(free waypoint6)
	(free waypoint7)
	(free waypoint8)
	(free waypoint9)
	(free waypoint10)
	(free waypoint11)
	(free waypoint12)
	(free waypoint13)
	(= (light-level fish0) 0)
	(= (light-level fish1) 0)
	(= (light-level fish2) 0)
	(= (light-level fish3) 0)
	(= (light-level fish4) 0)
	(= (light-level fish5) 0)
	(visible_from_ship fish0 ship1)
	(visible_from_ship fish2 ship1)
	(visible_from_ship fish5 ship1)
	(need_image fish3)
	(need_image fish1)
	(need_image fish4)
	(need_water_sample waypoint7)
	(need_water_sample waypoint8)
	(need_water_sample waypoint6)
	(need_water_sample waypoint1)
)

(:goal (and
(have_water_sample waypoint1)
(have_water_sample waypoint6)
(have_water_sample waypoint8)
(have_water_sample waypoint7)
(communicated_image_data fish4)
(communicated_image_data fish1)
(communicated_image_data fish3)
	)
)

(:metric minimize (total-time))
)
