(define (problem auvprob6366) (:domain auv)
(:objects
	ship1 - ship
	auv0 auv1 auv2 auv3 auv4 auv5 - auv
	torch0 torch1 torch2 torch3 torch4 torch5 - torch
	auv0gulper auv1gulper auv2gulper auv3gulper auv4gulper auv5gulper - gulper
	waypoint0 waypoint1 waypoint2 waypoint3 waypoint4 waypoint5 waypoint6 waypoint7 waypoint8 waypoint9 waypoint10 waypoint11 waypoint12 waypoint13 waypoint14 - Waypoint
	camera0 camera1 camera2 camera3 camera4 camera5 camera6 - Camera
	fish0 fish1 fish2 fish3 fish4 fish5 - Objective
	)
(:init
	(ready)
	(= (drift-rate) 0.5)
	(at_water_sample waypoint0)
	(at_water_sample waypoint1)
	(at_water_sample waypoint2)
	(at_water_sample waypoint3)
	(at_water_sample waypoint4)
	(at_water_sample waypoint5)
	(at_water_sample waypoint6)
	(at_water_sample waypoint7)
	(at_water_sample waypoint8)
	(at_water_sample waypoint9)
	(at_water_sample waypoint10)
	(at_water_sample waypoint14)
	(at_surface waypoint4)
	(is-ship waypoint4)
	(channel_free)
	(= (energy auv0) 1000)
	(= (recharge-rate auv0) 18)
	(at auv0 waypoint4)
	(on_board_torch torch0 auv0)
	(off torch0)
	(= (distance-from-waypoint auv0) 0)
	(= (recharge-rate auv0) 10)
	(available auv0)
	(on_board_gulper auv0gulper auv0)
	(empty auv0gulper)

	(= (distance waypoint5 waypoint0) 4)
	(can_traverse waypoint5 waypoint0)
	(= (distance waypoint0 waypoint5) 10)
	(can_traverse waypoint0 waypoint5)
	(= (distance waypoint5 waypoint6) 3)
	(can_traverse waypoint5 waypoint6)
	(= (distance waypoint6 waypoint5) 2)
	(can_traverse waypoint6 waypoint5)
	(= (distance waypoint5 waypoint7) 8)
	(can_traverse waypoint5 waypoint7)
	(= (distance waypoint7 waypoint5) 5)
	(can_traverse waypoint7 waypoint5)
	(= (distance waypoint5 waypoint8) 4)
	(can_traverse waypoint5 waypoint8)
	(= (distance waypoint8 waypoint5) 2)
	(can_traverse waypoint8 waypoint5)
	(= (distance waypoint5 waypoint11) 5)
	(can_traverse waypoint5 waypoint11)
	(= (distance waypoint11 waypoint5) 3)
	(can_traverse waypoint11 waypoint5)
	(= (distance waypoint5 waypoint12) 3)
	(can_traverse waypoint5 waypoint12)
	(= (distance waypoint12 waypoint5) 10)
	(can_traverse waypoint12 waypoint5)
	(= (distance waypoint5 waypoint13) 8)
	(can_traverse waypoint5 waypoint13)
	(= (distance waypoint13 waypoint5) 10)
	(can_traverse waypoint13 waypoint5)
	(= (distance waypoint5 waypoint14) 7)
	(can_traverse waypoint5 waypoint14)
	(= (distance waypoint14 waypoint5) 8)
	(can_traverse waypoint14 waypoint5)
	(= (distance waypoint0 waypoint1) 5)
	(can_traverse waypoint0 waypoint1)
	(= (distance waypoint1 waypoint0) 9)
	(can_traverse waypoint1 waypoint0)
	(= (distance waypoint0 waypoint4) 3)
	(can_traverse waypoint0 waypoint4)
	(= (distance waypoint4 waypoint0) 1)
	(can_traverse waypoint4 waypoint0)
	(= (distance waypoint7 waypoint2) 6)
	(can_traverse waypoint7 waypoint2)
	(= (distance waypoint2 waypoint7) 9)
	(can_traverse waypoint2 waypoint7)
	(= (distance waypoint7 waypoint3) 6)
	(can_traverse waypoint7 waypoint3)
	(= (distance waypoint3 waypoint7) 9)
	(can_traverse waypoint3 waypoint7)
	(= (distance waypoint8 waypoint9) 5)
	(can_traverse waypoint8 waypoint9)
	(= (distance waypoint9 waypoint8) 7)
	(can_traverse waypoint9 waypoint8)
	(= (distance waypoint8 waypoint10) 1)
	(can_traverse waypoint8 waypoint10)
	(= (distance waypoint10 waypoint8) 5)
	(can_traverse waypoint10 waypoint8)
	(= (energy auv1) 1000)
	(= (recharge-rate auv1) 12)
	(at auv1 waypoint4)
	(on_board_torch torch1 auv1)
	(off torch1)
	(= (distance-from-waypoint auv1) 0)
	(= (recharge-rate auv1) 10)
	(available auv1)
	(on_board_gulper auv1gulper auv1)
	(empty auv1gulper)
	(equipped_for_imaging auv1)
	(= (distance waypoint2 waypoint3) 2)
	(can_traverse waypoint2 waypoint3)
	(= (distance waypoint3 waypoint2) 10)
	(can_traverse waypoint3 waypoint2)
	(= (distance waypoint2 waypoint7) 9)
	(can_traverse waypoint2 waypoint7)
	(= (distance waypoint7 waypoint2) 6)
	(can_traverse waypoint7 waypoint2)
	(= (distance waypoint2 waypoint11) 5)
	(can_traverse waypoint2 waypoint11)
	(= (distance waypoint11 waypoint2) 9)
	(can_traverse waypoint11 waypoint2)
	(= (distance waypoint2 waypoint12) 7)
	(can_traverse waypoint2 waypoint12)
	(= (distance waypoint12 waypoint2) 10)
	(can_traverse waypoint12 waypoint2)
	(= (distance waypoint2 waypoint14) 5)
	(can_traverse waypoint2 waypoint14)
	(= (distance waypoint14 waypoint2) 9)
	(can_traverse waypoint14 waypoint2)
	(= (distance waypoint3 waypoint0) 8)
	(can_traverse waypoint3 waypoint0)
	(= (distance waypoint0 waypoint3) 9)
	(can_traverse waypoint0 waypoint3)
	(= (distance waypoint3 waypoint8) 8)
	(can_traverse waypoint3 waypoint8)
	(= (distance waypoint8 waypoint3) 8)
	(can_traverse waypoint8 waypoint3)
	(= (distance waypoint3 waypoint10) 9)
	(can_traverse waypoint3 waypoint10)
	(= (distance waypoint10 waypoint3) 6)
	(can_traverse waypoint10 waypoint3)
	(= (distance waypoint11 waypoint5) 3)
	(can_traverse waypoint11 waypoint5)
	(= (distance waypoint5 waypoint11) 5)
	(can_traverse waypoint5 waypoint11)
	(= (distance waypoint11 waypoint6) 4)
	(can_traverse waypoint11 waypoint6)
	(= (distance waypoint6 waypoint11) 9)
	(can_traverse waypoint6 waypoint11)
	(= (distance waypoint11 waypoint13) 8)
	(can_traverse waypoint11 waypoint13)
	(= (distance waypoint13 waypoint11) 6)
	(can_traverse waypoint13 waypoint11)
	(= (energy auv2) 1000)
	(= (recharge-rate auv2) 15)
	(at auv2 waypoint4)
	(on_board_torch torch2 auv2)
	(off torch2)
	(= (distance-from-waypoint auv2) 0)
	(= (recharge-rate auv2) 10)
	(available auv2)
	(on_board_gulper auv2gulper auv2)
	(empty auv2gulper)
	(= (distance waypoint8 waypoint1) 1)
	(can_traverse waypoint8 waypoint1)
	(= (distance waypoint1 waypoint8) 4)
	(can_traverse waypoint1 waypoint8)
	(= (distance waypoint8 waypoint3) 8)
	(can_traverse waypoint8 waypoint3)
	(= (distance waypoint3 waypoint8) 8)
	(can_traverse waypoint3 waypoint8)
	(= (distance waypoint8 waypoint5) 2)
	(can_traverse waypoint8 waypoint5)
	(= (distance waypoint5 waypoint8) 4)
	(can_traverse waypoint5 waypoint8)
	(= (distance waypoint8 waypoint7) 5)
	(can_traverse waypoint8 waypoint7)
	(= (distance waypoint7 waypoint8) 2)
	(can_traverse waypoint7 waypoint8)
	(= (distance waypoint8 waypoint10) 1)
	(can_traverse waypoint8 waypoint10)
	(= (distance waypoint10 waypoint8) 5)
	(can_traverse waypoint10 waypoint8)
	(= (distance waypoint8 waypoint11) 1)
	(can_traverse waypoint8 waypoint11)
	(= (distance waypoint11 waypoint8) 9)
	(can_traverse waypoint11 waypoint8)
	(= (distance waypoint8 waypoint14) 10)
	(can_traverse waypoint8 waypoint14)
	(= (distance waypoint14 waypoint8) 6)
	(can_traverse waypoint14 waypoint8)
	(= (distance waypoint1 waypoint6) 2)
	(can_traverse waypoint1 waypoint6)
	(= (distance waypoint6 waypoint1) 6)
	(can_traverse waypoint6 waypoint1)
	(= (distance waypoint1 waypoint13) 10)
	(can_traverse waypoint1 waypoint13)
	(= (distance waypoint13 waypoint1) 7)
	(can_traverse waypoint13 waypoint1)
	(= (distance waypoint3 waypoint0) 8)
	(can_traverse waypoint3 waypoint0)
	(= (distance waypoint0 waypoint3) 9)
	(can_traverse waypoint0 waypoint3)
	(= (distance waypoint3 waypoint2) 10)
	(can_traverse waypoint3 waypoint2)
	(= (distance waypoint2 waypoint3) 2)
	(can_traverse waypoint2 waypoint3)
	(= (distance waypoint3 waypoint12) 3)
	(can_traverse waypoint3 waypoint12)
	(= (distance waypoint12 waypoint3) 8)
	(can_traverse waypoint12 waypoint3)
	(= (distance waypoint5 waypoint4) 1)
	(can_traverse waypoint5 waypoint4)
	(= (distance waypoint4 waypoint5) 7)
	(can_traverse waypoint4 waypoint5)
	(= (energy auv3) 1000)
	(= (recharge-rate auv3) 14)
	(at auv3 waypoint4)
	(on_board_torch torch3 auv3)
	(off torch3)
	(= (distance-from-waypoint auv3) 0)
	(= (recharge-rate auv3) 10)
	(available auv3)
	(on_board_gulper auv3gulper auv3)
	(empty auv3gulper)

	(equipped_for_imaging auv3)
	(= (distance waypoint13 waypoint1) 7)
	(can_traverse waypoint13 waypoint1)
	(= (distance waypoint1 waypoint13) 10)
	(can_traverse waypoint1 waypoint13)
	(= (distance waypoint13 waypoint2) 9)
	(can_traverse waypoint13 waypoint2)
	(= (distance waypoint2 waypoint13) 6)
	(can_traverse waypoint2 waypoint13)
	(= (distance waypoint13 waypoint4) 2)
	(can_traverse waypoint13 waypoint4)
	(= (distance waypoint4 waypoint13) 1)
	(can_traverse waypoint4 waypoint13)
	(= (distance waypoint13 waypoint5) 10)
	(can_traverse waypoint13 waypoint5)
	(= (distance waypoint5 waypoint13) 8)
	(can_traverse waypoint5 waypoint13)
	(= (distance waypoint13 waypoint9) 9)
	(can_traverse waypoint13 waypoint9)
	(= (distance waypoint9 waypoint13) 3)
	(can_traverse waypoint9 waypoint13)
	(= (distance waypoint13 waypoint10) 6)
	(can_traverse waypoint13 waypoint10)
	(= (distance waypoint10 waypoint13) 7)
	(can_traverse waypoint10 waypoint13)
	(= (distance waypoint13 waypoint11) 6)
	(can_traverse waypoint13 waypoint11)
	(= (distance waypoint11 waypoint13) 8)
	(can_traverse waypoint11 waypoint13)
	(= (distance waypoint13 waypoint12) 8)
	(can_traverse waypoint13 waypoint12)
	(= (distance waypoint12 waypoint13) 3)
	(can_traverse waypoint12 waypoint13)
	(= (distance waypoint13 waypoint14) 6)
	(can_traverse waypoint13 waypoint14)
	(= (distance waypoint14 waypoint13) 3)
	(can_traverse waypoint14 waypoint13)
	(= (distance waypoint1 waypoint0) 9)
	(can_traverse waypoint1 waypoint0)
	(= (distance waypoint0 waypoint1) 5)
	(can_traverse waypoint0 waypoint1)
	(= (distance waypoint1 waypoint6) 2)
	(can_traverse waypoint1 waypoint6)
	(= (distance waypoint6 waypoint1) 6)
	(can_traverse waypoint6 waypoint1)
	(= (distance waypoint1 waypoint8) 4)
	(can_traverse waypoint1 waypoint8)
	(= (distance waypoint8 waypoint1) 1)
	(can_traverse waypoint8 waypoint1)
	(= (distance waypoint2 waypoint3) 2)
	(can_traverse waypoint2 waypoint3)
	(= (distance waypoint3 waypoint2) 10)
	(can_traverse waypoint3 waypoint2)
	(= (distance waypoint2 waypoint7) 9)
	(can_traverse waypoint2 waypoint7)
	(= (distance waypoint7 waypoint2) 6)
	(can_traverse waypoint7 waypoint2)
	(= (energy auv4) 1000)
	(= (recharge-rate auv4) 20)
	(at auv4 waypoint4)
	(on_board_torch torch4 auv4)
	(off torch4)
	(= (distance-from-waypoint auv4) 0)
	(= (recharge-rate auv4) 10)
	(available auv4)
	(on_board_gulper auv4gulper auv4)
	(empty auv4gulper)

	(equipped_for_imaging auv4)
	(= (distance waypoint7 waypoint0) 1)
	(can_traverse waypoint7 waypoint0)
	(= (distance waypoint0 waypoint7) 5)
	(can_traverse waypoint0 waypoint7)
	(= (distance waypoint7 waypoint2) 6)
	(can_traverse waypoint7 waypoint2)
	(= (distance waypoint2 waypoint7) 9)
	(can_traverse waypoint2 waypoint7)
	(= (distance waypoint7 waypoint8) 2)
	(can_traverse waypoint7 waypoint8)
	(= (distance waypoint8 waypoint7) 5)
	(can_traverse waypoint8 waypoint7)
	(= (distance waypoint7 waypoint11) 2)
	(can_traverse waypoint7 waypoint11)
	(= (distance waypoint11 waypoint7) 10)
	(can_traverse waypoint11 waypoint7)
	(= (distance waypoint7 waypoint14) 10)
	(can_traverse waypoint7 waypoint14)
	(= (distance waypoint14 waypoint7) 1)
	(can_traverse waypoint14 waypoint7)
	(= (distance waypoint0 waypoint1) 5)
	(can_traverse waypoint0 waypoint1)
	(= (distance waypoint1 waypoint0) 9)
	(can_traverse waypoint1 waypoint0)
	(= (distance waypoint0 waypoint3) 9)
	(can_traverse waypoint0 waypoint3)
	(= (distance waypoint3 waypoint0) 8)
	(can_traverse waypoint3 waypoint0)
	(= (distance waypoint0 waypoint4) 3)
	(can_traverse waypoint0 waypoint4)
	(= (distance waypoint4 waypoint0) 1)
	(can_traverse waypoint4 waypoint0)
	(= (distance waypoint0 waypoint5) 10)
	(can_traverse waypoint0 waypoint5)
	(= (distance waypoint5 waypoint0) 4)
	(can_traverse waypoint5 waypoint0)
	(= (distance waypoint2 waypoint9) 1)
	(can_traverse waypoint2 waypoint9)
	(= (distance waypoint9 waypoint2) 5)
	(can_traverse waypoint9 waypoint2)
	(= (distance waypoint2 waypoint12) 7)
	(can_traverse waypoint2 waypoint12)
	(= (distance waypoint12 waypoint2) 10)
	(can_traverse waypoint12 waypoint2)
	(= (distance waypoint2 waypoint13) 6)
	(can_traverse waypoint2 waypoint13)
	(= (distance waypoint13 waypoint2) 9)
	(can_traverse waypoint13 waypoint2)
	(= (distance waypoint8 waypoint10) 1)
	(can_traverse waypoint8 waypoint10)
	(= (distance waypoint10 waypoint8) 5)
	(can_traverse waypoint10 waypoint8)
	(= (distance waypoint1 waypoint6) 2)
	(can_traverse waypoint1 waypoint6)
	(= (distance waypoint6 waypoint1) 6)
	(can_traverse waypoint6 waypoint1)
	(= (energy auv5) 1000)
	(= (recharge-rate auv5) 17)
	(at auv5 waypoint4)
	(on_board_torch torch5 auv5)
	(off torch5)
	(= (distance-from-waypoint auv5) 0)
	(= (recharge-rate auv5) 10)
	(available auv5)
	(on_board_gulper auv5gulper auv5)
	(empty auv5gulper)

	(equipped_for_imaging auv5)
	(= (distance waypoint0 waypoint1) 5)
	(can_traverse waypoint0 waypoint1)
	(= (distance waypoint1 waypoint0) 9)
	(can_traverse waypoint1 waypoint0)
	(= (distance waypoint0 waypoint3) 9)
	(can_traverse waypoint0 waypoint3)
	(= (distance waypoint3 waypoint0) 8)
	(can_traverse waypoint3 waypoint0)
	(= (distance waypoint0 waypoint4) 3)
	(can_traverse waypoint0 waypoint4)
	(= (distance waypoint4 waypoint0) 1)
	(can_traverse waypoint4 waypoint0)
	(= (distance waypoint0 waypoint5) 10)
	(can_traverse waypoint0 waypoint5)
	(= (distance waypoint5 waypoint0) 4)
	(can_traverse waypoint5 waypoint0)
	(= (distance waypoint0 waypoint6) 4)
	(can_traverse waypoint0 waypoint6)
	(= (distance waypoint6 waypoint0) 10)
	(can_traverse waypoint6 waypoint0)
	(= (distance waypoint0 waypoint7) 5)
	(can_traverse waypoint0 waypoint7)
	(= (distance waypoint7 waypoint0) 1)
	(can_traverse waypoint7 waypoint0)
	(= (distance waypoint0 waypoint11) 10)
	(can_traverse waypoint0 waypoint11)
	(= (distance waypoint11 waypoint0) 4)
	(can_traverse waypoint11 waypoint0)
	(= (distance waypoint0 waypoint12) 7)
	(can_traverse waypoint0 waypoint12)
	(= (distance waypoint12 waypoint0) 1)
	(can_traverse waypoint12 waypoint0)
	(= (distance waypoint1 waypoint8) 4)
	(can_traverse waypoint1 waypoint8)
	(= (distance waypoint8 waypoint1) 1)
	(can_traverse waypoint8 waypoint1)
	(= (distance waypoint1 waypoint10) 4)
	(can_traverse waypoint1 waypoint10)
	(= (distance waypoint10 waypoint1) 6)
	(can_traverse waypoint10 waypoint1)
	(= (distance waypoint1 waypoint13) 10)
	(can_traverse waypoint1 waypoint13)
	(= (distance waypoint13 waypoint1) 7)
	(can_traverse waypoint13 waypoint1)
	(= (distance waypoint3 waypoint2) 10)
	(can_traverse waypoint3 waypoint2)
	(= (distance waypoint2 waypoint3) 2)
	(can_traverse waypoint2 waypoint3)
	(= (distance waypoint4 waypoint9) 9)
	(can_traverse waypoint4 waypoint9)
	(= (distance waypoint9 waypoint4) 10)
	(can_traverse waypoint9 waypoint4)
	(= (distance waypoint8 waypoint14) 10)
	(can_traverse waypoint8 waypoint14)
	(= (distance waypoint14 waypoint8) 6)
	(can_traverse waypoint14 waypoint8)
	(on_board_camera camera0 auv3)
	(calibration_target camera0 fish2)
	(on_board_camera camera1 auv1)
	(calibration_target camera1 fish3)
	(on_board_camera camera2 auv4)
	(calibration_target camera2 fish0)
	(on_board_camera camera3 auv4)
	(calibration_target camera3 fish5)
	(on_board_camera camera4 auv4)
	(calibration_target camera4 fish0)
	(on_board_camera camera5 auv3)
	(calibration_target camera5 fish5)
	(on_board_camera camera6 auv5)
	(calibration_target camera6 fish2)
	(visible_from fish0 waypoint0)
	(visible_from fish0 waypoint1)
	(visible_from fish0 waypoint2)
	(visible_from fish0 waypoint3)
	(visible_from fish0 waypoint4)
	(visible_from fish0 waypoint5)
	(visible_from fish0 waypoint6)
	(visible_from fish0 waypoint7)
	(visible_from fish0 waypoint8)
	(visible_from fish0 waypoint9)
	(visible_from fish1 waypoint0)
	(visible_from fish1 waypoint1)
	(visible_from fish1 waypoint2)
	(visible_from fish2 waypoint0)
	(visible_from fish2 waypoint1)
	(visible_from fish2 waypoint2)
	(visible_from fish2 waypoint3)
	(visible_from fish2 waypoint4)
	(visible_from fish2 waypoint5)
	(visible_from fish2 waypoint6)
	(visible_from fish2 waypoint7)
	(visible_from fish2 waypoint8)
	(visible_from fish3 waypoint0)
	(visible_from fish3 waypoint1)
	(visible_from fish3 waypoint2)
	(visible_from fish3 waypoint3)
	(visible_from fish3 waypoint4)
	(visible_from fish3 waypoint5)
	(visible_from fish3 waypoint6)
	(visible_from fish4 waypoint0)
	(visible_from fish4 waypoint1)
	(visible_from fish4 waypoint2)
	(visible_from fish4 waypoint3)
	(visible_from fish4 waypoint4)
	(visible_from fish4 waypoint5)
	(visible_from fish4 waypoint6)
	(visible_from fish4 waypoint7)
	(visible_from fish4 waypoint8)
	(visible_from fish4 waypoint9)
	(visible_from fish4 waypoint10)
	(visible_from fish5 waypoint0)
	(visible_from fish5 waypoint1)
	(visible_from fish5 waypoint2)
	(visible_from fish5 waypoint3)
	(visible_from fish5 waypoint4)
	(visible_from fish5 waypoint5)
	(visible_from fish5 waypoint6)
	(visible_from fish5 waypoint7)
	(visible_from fish5 waypoint8)
	(visible_from fish5 waypoint9)
	(visible_from fish5 waypoint10)
	(visible_from fish5 waypoint11)
	(visible_from fish5 waypoint12)
	(visible_from fish5 waypoint13)
	(free waypoint0)
	(free waypoint1)
	(free waypoint2)
	(free waypoint3)
	(free waypoint4)
	(free waypoint5)
	(free waypoint6)
	(free waypoint7)
	(free waypoint8)
	(free waypoint9)
	(free waypoint10)
	(free waypoint11)
	(free waypoint12)
	(free waypoint13)
	(free waypoint14)
	(= (light-level fish0) 0)
	(= (light-level fish1) 0)
	(= (light-level fish2) 0)
	(= (light-level fish3) 0)
	(= (light-level fish4) 0)
	(= (light-level fish5) 0)
	(visible_from_ship fish3 ship1)
	(visible_from_ship fish4 ship1)
	(visible_from_ship fish5 ship1)
	(need_image fish5)
	(need_image fish3)
	(need_image fish3)
	(need_image fish0)
	(need_image fish5)
	(need_water_sample waypoint0)
	(need_water_sample waypoint14)
)

(:goal (and
(have_water_sample waypoint14)
(have_water_sample waypoint0)
(communicated_image_data fish5)
(communicated_image_data fish0)
(communicated_image_data fish3)
(communicated_image_data fish3)
(communicated_image_data fish5)
	)
)

(:metric minimize (total-time))
)
