(define (problem auvprob7347) (:domain auv)
(:objects
	ship1 - ship
	auv0 auv1 auv2 auv3 auv4 auv5 - auv
	torch0 torch1 torch2 torch3 torch4 torch5 - torch
	auv0gulper auv1gulper auv2gulper auv3gulper auv4gulper auv5gulper - gulper
	waypoint0 waypoint1 waypoint2 waypoint3 waypoint4 waypoint5 waypoint6 waypoint7 waypoint8 waypoint9 waypoint10 waypoint11 waypoint12 waypoint13 waypoint14 waypoint15 - Waypoint
	camera0 camera1 camera2 camera3 camera4 camera5 - Camera
	fish0 fish1 fish2 fish3 fish4 fish5 - Objective
	)
(:init
	(ready)
	(= (drift-rate) 0.5)
	(at_water_sample waypoint4)
	(at_water_sample waypoint6)
	(at_water_sample waypoint9)
	(at_water_sample waypoint10)
	(at_water_sample waypoint11)
	(at_water_sample waypoint13)
	(at_water_sample waypoint15)
	(at_surface waypoint1)
	(is-ship waypoint1)
	(channel_free)
	(= (energy auv0) 1000)
	(= (recharge-rate auv0) 20)
	(at auv0 waypoint1)
	(on_board_torch torch0 auv0)
	(off torch0)
	(= (distance-from-waypoint auv0) 0)
	(= (recharge-rate auv0) 10)
	(available auv0)
	(on_board_gulper auv0gulper auv0)
	(empty auv0gulper)
	(equipped_for_imaging auv0)
	(= (distance waypoint1 waypoint0) 4)
	(can_traverse waypoint1 waypoint0)
	(= (distance waypoint0 waypoint1) 8)
	(can_traverse waypoint0 waypoint1)
	(= (distance waypoint1 waypoint5) 3)
	(can_traverse waypoint1 waypoint5)
	(= (distance waypoint5 waypoint1) 6)
	(can_traverse waypoint5 waypoint1)
	(= (distance waypoint1 waypoint7) 7)
	(can_traverse waypoint1 waypoint7)
	(= (distance waypoint7 waypoint1) 9)
	(can_traverse waypoint7 waypoint1)
	(= (distance waypoint1 waypoint11) 8)
	(can_traverse waypoint1 waypoint11)
	(= (distance waypoint11 waypoint1) 9)
	(can_traverse waypoint11 waypoint1)
	(= (distance waypoint1 waypoint14) 5)
	(can_traverse waypoint1 waypoint14)
	(= (distance waypoint14 waypoint1) 10)
	(can_traverse waypoint14 waypoint1)
	(= (distance waypoint0 waypoint2) 8)
	(can_traverse waypoint0 waypoint2)
	(= (distance waypoint2 waypoint0) 6)
	(can_traverse waypoint2 waypoint0)
	(= (distance waypoint0 waypoint4) 1)
	(can_traverse waypoint0 waypoint4)
	(= (distance waypoint4 waypoint0) 4)
	(can_traverse waypoint4 waypoint0)
	(= (distance waypoint0 waypoint6) 8)
	(can_traverse waypoint0 waypoint6)
	(= (distance waypoint6 waypoint0) 8)
	(can_traverse waypoint6 waypoint0)
	(= (distance waypoint0 waypoint10) 1)
	(can_traverse waypoint0 waypoint10)
	(= (distance waypoint10 waypoint0) 1)
	(can_traverse waypoint10 waypoint0)
	(= (distance waypoint0 waypoint12) 5)
	(can_traverse waypoint0 waypoint12)
	(= (distance waypoint12 waypoint0) 1)
	(can_traverse waypoint12 waypoint0)
	(= (distance waypoint5 waypoint3) 6)
	(can_traverse waypoint5 waypoint3)
	(= (distance waypoint3 waypoint5) 4)
	(can_traverse waypoint3 waypoint5)
	(= (distance waypoint7 waypoint9) 8)
	(can_traverse waypoint7 waypoint9)
	(= (distance waypoint9 waypoint7) 8)
	(can_traverse waypoint9 waypoint7)
	(= (distance waypoint7 waypoint13) 8)
	(can_traverse waypoint7 waypoint13)
	(= (distance waypoint13 waypoint7) 3)
	(can_traverse waypoint13 waypoint7)
	(= (distance waypoint11 waypoint15) 9)
	(can_traverse waypoint11 waypoint15)
	(= (distance waypoint15 waypoint11) 1)
	(can_traverse waypoint15 waypoint11)
	(= (distance waypoint14 waypoint8) 4)
	(can_traverse waypoint14 waypoint8)
	(= (distance waypoint8 waypoint14) 6)
	(can_traverse waypoint8 waypoint14)
	(= (energy auv1) 1000)
	(= (recharge-rate auv1) 14)
	(at auv1 waypoint1)
	(on_board_torch torch1 auv1)
	(off torch1)
	(= (distance-from-waypoint auv1) 0)
	(= (recharge-rate auv1) 10)
	(available auv1)
	(on_board_gulper auv1gulper auv1)
	(empty auv1gulper)

	(equipped_for_imaging auv1)
	(= (distance waypoint14 waypoint0) 10)
	(can_traverse waypoint14 waypoint0)
	(= (distance waypoint0 waypoint14) 2)
	(can_traverse waypoint0 waypoint14)
	(= (distance waypoint14 waypoint1) 10)
	(can_traverse waypoint14 waypoint1)
	(= (distance waypoint1 waypoint14) 5)
	(can_traverse waypoint1 waypoint14)
	(= (distance waypoint14 waypoint8) 4)
	(can_traverse waypoint14 waypoint8)
	(= (distance waypoint8 waypoint14) 6)
	(can_traverse waypoint8 waypoint14)
	(= (distance waypoint14 waypoint10) 1)
	(can_traverse waypoint14 waypoint10)
	(= (distance waypoint10 waypoint14) 6)
	(can_traverse waypoint10 waypoint14)
	(= (distance waypoint14 waypoint11) 6)
	(can_traverse waypoint14 waypoint11)
	(= (distance waypoint11 waypoint14) 1)
	(can_traverse waypoint11 waypoint14)
	(= (distance waypoint14 waypoint12) 10)
	(can_traverse waypoint14 waypoint12)
	(= (distance waypoint12 waypoint14) 4)
	(can_traverse waypoint12 waypoint14)
	(= (distance waypoint0 waypoint2) 8)
	(can_traverse waypoint0 waypoint2)
	(= (distance waypoint2 waypoint0) 6)
	(can_traverse waypoint2 waypoint0)
	(= (distance waypoint0 waypoint6) 8)
	(can_traverse waypoint0 waypoint6)
	(= (distance waypoint6 waypoint0) 8)
	(can_traverse waypoint6 waypoint0)
	(= (distance waypoint0 waypoint13) 7)
	(can_traverse waypoint0 waypoint13)
	(= (distance waypoint13 waypoint0) 6)
	(can_traverse waypoint13 waypoint0)
	(= (distance waypoint1 waypoint5) 3)
	(can_traverse waypoint1 waypoint5)
	(= (distance waypoint5 waypoint1) 6)
	(can_traverse waypoint5 waypoint1)
	(= (distance waypoint1 waypoint7) 7)
	(can_traverse waypoint1 waypoint7)
	(= (distance waypoint7 waypoint1) 9)
	(can_traverse waypoint7 waypoint1)
	(= (distance waypoint1 waypoint9) 7)
	(can_traverse waypoint1 waypoint9)
	(= (distance waypoint9 waypoint1) 10)
	(can_traverse waypoint9 waypoint1)
	(= (distance waypoint8 waypoint4) 4)
	(can_traverse waypoint8 waypoint4)
	(= (distance waypoint4 waypoint8) 1)
	(can_traverse waypoint4 waypoint8)
	(= (distance waypoint8 waypoint15) 2)
	(can_traverse waypoint8 waypoint15)
	(= (distance waypoint15 waypoint8) 8)
	(can_traverse waypoint15 waypoint8)
	(= (distance waypoint10 waypoint3) 9)
	(can_traverse waypoint10 waypoint3)
	(= (distance waypoint3 waypoint10) 7)
	(can_traverse waypoint3 waypoint10)
	(= (energy auv2) 1000)
	(= (recharge-rate auv2) 17)
	(at auv2 waypoint1)
	(on_board_torch torch2 auv2)
	(off torch2)
	(= (distance-from-waypoint auv2) 0)
	(= (recharge-rate auv2) 10)
	(available auv2)
	(on_board_gulper auv2gulper auv2)
	(empty auv2gulper)

	(equipped_for_imaging auv2)
	(= (distance waypoint3 waypoint2) 8)
	(can_traverse waypoint3 waypoint2)
	(= (distance waypoint2 waypoint3) 10)
	(can_traverse waypoint2 waypoint3)
	(= (distance waypoint3 waypoint5) 4)
	(can_traverse waypoint3 waypoint5)
	(= (distance waypoint5 waypoint3) 6)
	(can_traverse waypoint5 waypoint3)
	(= (distance waypoint3 waypoint10) 7)
	(can_traverse waypoint3 waypoint10)
	(= (distance waypoint10 waypoint3) 9)
	(can_traverse waypoint10 waypoint3)
	(= (distance waypoint3 waypoint13) 3)
	(can_traverse waypoint3 waypoint13)
	(= (distance waypoint13 waypoint3) 5)
	(can_traverse waypoint13 waypoint3)
	(= (distance waypoint2 waypoint0) 6)
	(can_traverse waypoint2 waypoint0)
	(= (distance waypoint0 waypoint2) 8)
	(can_traverse waypoint0 waypoint2)
	(= (distance waypoint2 waypoint6) 9)
	(can_traverse waypoint2 waypoint6)
	(= (distance waypoint6 waypoint2) 1)
	(can_traverse waypoint6 waypoint2)
	(= (distance waypoint2 waypoint9) 5)
	(can_traverse waypoint2 waypoint9)
	(= (distance waypoint9 waypoint2) 8)
	(can_traverse waypoint9 waypoint2)
	(= (distance waypoint2 waypoint11) 3)
	(can_traverse waypoint2 waypoint11)
	(= (distance waypoint11 waypoint2) 1)
	(can_traverse waypoint11 waypoint2)
	(= (distance waypoint2 waypoint14) 1)
	(can_traverse waypoint2 waypoint14)
	(= (distance waypoint14 waypoint2) 5)
	(can_traverse waypoint14 waypoint2)
	(= (distance waypoint2 waypoint15) 2)
	(can_traverse waypoint2 waypoint15)
	(= (distance waypoint15 waypoint2) 5)
	(can_traverse waypoint15 waypoint2)
	(= (distance waypoint5 waypoint1) 6)
	(can_traverse waypoint5 waypoint1)
	(= (distance waypoint1 waypoint5) 3)
	(can_traverse waypoint1 waypoint5)
	(= (distance waypoint10 waypoint8) 10)
	(can_traverse waypoint10 waypoint8)
	(= (distance waypoint8 waypoint10) 9)
	(can_traverse waypoint8 waypoint10)
	(= (distance waypoint10 waypoint12) 4)
	(can_traverse waypoint10 waypoint12)
	(= (distance waypoint12 waypoint10) 7)
	(can_traverse waypoint12 waypoint10)
	(= (distance waypoint13 waypoint7) 3)
	(can_traverse waypoint13 waypoint7)
	(= (distance waypoint7 waypoint13) 8)
	(can_traverse waypoint7 waypoint13)
	(= (distance waypoint11 waypoint4) 5)
	(can_traverse waypoint11 waypoint4)
	(= (distance waypoint4 waypoint11) 9)
	(can_traverse waypoint4 waypoint11)
	(= (energy auv3) 1000)
	(= (recharge-rate auv3) 13)
	(at auv3 waypoint1)
	(on_board_torch torch3 auv3)
	(off torch3)
	(= (distance-from-waypoint auv3) 0)
	(= (recharge-rate auv3) 10)
	(available auv3)
	(on_board_gulper auv3gulper auv3)
	(empty auv3gulper)

	(equipped_for_imaging auv3)
	(= (distance waypoint11 waypoint1) 9)
	(can_traverse waypoint11 waypoint1)
	(= (distance waypoint1 waypoint11) 8)
	(can_traverse waypoint1 waypoint11)
	(= (distance waypoint11 waypoint2) 1)
	(can_traverse waypoint11 waypoint2)
	(= (distance waypoint2 waypoint11) 3)
	(can_traverse waypoint2 waypoint11)
	(= (distance waypoint11 waypoint4) 5)
	(can_traverse waypoint11 waypoint4)
	(= (distance waypoint4 waypoint11) 9)
	(can_traverse waypoint4 waypoint11)
	(= (distance waypoint11 waypoint6) 1)
	(can_traverse waypoint11 waypoint6)
	(= (distance waypoint6 waypoint11) 7)
	(can_traverse waypoint6 waypoint11)
	(= (distance waypoint11 waypoint13) 5)
	(can_traverse waypoint11 waypoint13)
	(= (distance waypoint13 waypoint11) 4)
	(can_traverse waypoint13 waypoint11)
	(= (distance waypoint11 waypoint14) 1)
	(can_traverse waypoint11 waypoint14)
	(= (distance waypoint14 waypoint11) 6)
	(can_traverse waypoint14 waypoint11)
	(= (distance waypoint11 waypoint15) 9)
	(can_traverse waypoint11 waypoint15)
	(= (distance waypoint15 waypoint11) 1)
	(can_traverse waypoint15 waypoint11)
	(= (distance waypoint1 waypoint0) 4)
	(can_traverse waypoint1 waypoint0)
	(= (distance waypoint0 waypoint1) 8)
	(can_traverse waypoint0 waypoint1)
	(= (distance waypoint1 waypoint7) 7)
	(can_traverse waypoint1 waypoint7)
	(= (distance waypoint7 waypoint1) 9)
	(can_traverse waypoint7 waypoint1)
	(= (distance waypoint1 waypoint9) 7)
	(can_traverse waypoint1 waypoint9)
	(= (distance waypoint9 waypoint1) 10)
	(can_traverse waypoint9 waypoint1)
	(= (distance waypoint2 waypoint3) 10)
	(can_traverse waypoint2 waypoint3)
	(= (distance waypoint3 waypoint2) 8)
	(can_traverse waypoint3 waypoint2)
	(= (distance waypoint2 waypoint12) 2)
	(can_traverse waypoint2 waypoint12)
	(= (distance waypoint12 waypoint2) 4)
	(can_traverse waypoint12 waypoint2)
	(= (distance waypoint13 waypoint8) 5)
	(can_traverse waypoint13 waypoint8)
	(= (distance waypoint8 waypoint13) 9)
	(can_traverse waypoint8 waypoint13)
	(= (distance waypoint14 waypoint10) 1)
	(can_traverse waypoint14 waypoint10)
	(= (distance waypoint10 waypoint14) 6)
	(can_traverse waypoint10 waypoint14)
	(= (energy auv4) 1000)
	(= (recharge-rate auv4) 12)
	(at auv4 waypoint1)
	(on_board_torch torch4 auv4)
	(off torch4)
	(= (distance-from-waypoint auv4) 0)
	(= (recharge-rate auv4) 10)
	(available auv4)
	(on_board_gulper auv4gulper auv4)
	(empty auv4gulper)

	(equipped_for_imaging auv4)
	(= (distance waypoint5 waypoint1) 6)
	(can_traverse waypoint5 waypoint1)
	(= (distance waypoint1 waypoint5) 3)
	(can_traverse waypoint1 waypoint5)
	(= (distance waypoint5 waypoint3) 6)
	(can_traverse waypoint5 waypoint3)
	(= (distance waypoint3 waypoint5) 4)
	(can_traverse waypoint3 waypoint5)
	(= (distance waypoint5 waypoint12) 3)
	(can_traverse waypoint5 waypoint12)
	(= (distance waypoint12 waypoint5) 2)
	(can_traverse waypoint12 waypoint5)
	(= (distance waypoint1 waypoint0) 4)
	(can_traverse waypoint1 waypoint0)
	(= (distance waypoint0 waypoint1) 8)
	(can_traverse waypoint0 waypoint1)
	(= (distance waypoint1 waypoint7) 7)
	(can_traverse waypoint1 waypoint7)
	(= (distance waypoint7 waypoint1) 9)
	(can_traverse waypoint7 waypoint1)
	(= (distance waypoint1 waypoint9) 7)
	(can_traverse waypoint1 waypoint9)
	(= (distance waypoint9 waypoint1) 10)
	(can_traverse waypoint9 waypoint1)
	(= (distance waypoint1 waypoint11) 8)
	(can_traverse waypoint1 waypoint11)
	(= (distance waypoint11 waypoint1) 9)
	(can_traverse waypoint11 waypoint1)
	(= (distance waypoint1 waypoint14) 5)
	(can_traverse waypoint1 waypoint14)
	(= (distance waypoint14 waypoint1) 10)
	(can_traverse waypoint14 waypoint1)
	(= (distance waypoint3 waypoint2) 8)
	(can_traverse waypoint3 waypoint2)
	(= (distance waypoint2 waypoint3) 10)
	(can_traverse waypoint2 waypoint3)
	(= (distance waypoint3 waypoint8) 5)
	(can_traverse waypoint3 waypoint8)
	(= (distance waypoint8 waypoint3) 7)
	(can_traverse waypoint8 waypoint3)
	(= (distance waypoint3 waypoint13) 3)
	(can_traverse waypoint3 waypoint13)
	(= (distance waypoint13 waypoint3) 5)
	(can_traverse waypoint13 waypoint3)
	(= (distance waypoint12 waypoint6) 10)
	(can_traverse waypoint12 waypoint6)
	(= (distance waypoint6 waypoint12) 5)
	(can_traverse waypoint6 waypoint12)
	(= (distance waypoint12 waypoint10) 7)
	(can_traverse waypoint12 waypoint10)
	(= (distance waypoint10 waypoint12) 4)
	(can_traverse waypoint10 waypoint12)
	(= (distance waypoint0 waypoint4) 1)
	(can_traverse waypoint0 waypoint4)
	(= (distance waypoint4 waypoint0) 4)
	(can_traverse waypoint4 waypoint0)
	(= (distance waypoint11 waypoint15) 9)
	(can_traverse waypoint11 waypoint15)
	(= (distance waypoint15 waypoint11) 1)
	(can_traverse waypoint15 waypoint11)
	(= (energy auv5) 1000)
	(= (recharge-rate auv5) 13)
	(at auv5 waypoint1)
	(on_board_torch torch5 auv5)
	(off torch5)
	(= (distance-from-waypoint auv5) 0)
	(= (recharge-rate auv5) 10)
	(available auv5)
	(on_board_gulper auv5gulper auv5)
	(empty auv5gulper)

	(= (distance waypoint13 waypoint0) 6)
	(can_traverse waypoint13 waypoint0)
	(= (distance waypoint0 waypoint13) 7)
	(can_traverse waypoint0 waypoint13)
	(= (distance waypoint13 waypoint2) 2)
	(can_traverse waypoint13 waypoint2)
	(= (distance waypoint2 waypoint13) 5)
	(can_traverse waypoint2 waypoint13)
	(= (distance waypoint13 waypoint3) 5)
	(can_traverse waypoint13 waypoint3)
	(= (distance waypoint3 waypoint13) 3)
	(can_traverse waypoint3 waypoint13)
	(= (distance waypoint13 waypoint6) 2)
	(can_traverse waypoint13 waypoint6)
	(= (distance waypoint6 waypoint13) 3)
	(can_traverse waypoint6 waypoint13)
	(= (distance waypoint13 waypoint7) 3)
	(can_traverse waypoint13 waypoint7)
	(= (distance waypoint7 waypoint13) 8)
	(can_traverse waypoint7 waypoint13)
	(= (distance waypoint13 waypoint8) 5)
	(can_traverse waypoint13 waypoint8)
	(= (distance waypoint8 waypoint13) 9)
	(can_traverse waypoint8 waypoint13)
	(= (distance waypoint13 waypoint12) 9)
	(can_traverse waypoint13 waypoint12)
	(= (distance waypoint12 waypoint13) 3)
	(can_traverse waypoint12 waypoint13)
	(= (distance waypoint0 waypoint1) 8)
	(can_traverse waypoint0 waypoint1)
	(= (distance waypoint1 waypoint0) 4)
	(can_traverse waypoint1 waypoint0)
	(= (distance waypoint0 waypoint4) 1)
	(can_traverse waypoint0 waypoint4)
	(= (distance waypoint4 waypoint0) 4)
	(can_traverse waypoint4 waypoint0)
	(= (distance waypoint0 waypoint10) 1)
	(can_traverse waypoint0 waypoint10)
	(= (distance waypoint10 waypoint0) 1)
	(can_traverse waypoint10 waypoint0)
	(= (distance waypoint0 waypoint14) 2)
	(can_traverse waypoint0 waypoint14)
	(= (distance waypoint14 waypoint0) 10)
	(can_traverse waypoint14 waypoint0)
	(= (distance waypoint2 waypoint9) 5)
	(can_traverse waypoint2 waypoint9)
	(= (distance waypoint9 waypoint2) 8)
	(can_traverse waypoint9 waypoint2)
	(= (distance waypoint2 waypoint11) 3)
	(can_traverse waypoint2 waypoint11)
	(= (distance waypoint11 waypoint2) 1)
	(can_traverse waypoint11 waypoint2)
	(= (distance waypoint2 waypoint15) 2)
	(can_traverse waypoint2 waypoint15)
	(= (distance waypoint15 waypoint2) 5)
	(can_traverse waypoint15 waypoint2)
	(= (distance waypoint12 waypoint5) 2)
	(can_traverse waypoint12 waypoint5)
	(= (distance waypoint5 waypoint12) 3)
	(can_traverse waypoint5 waypoint12)
	(on_board_camera camera0 auv3)
	(calibration_target camera0 fish5)
	(on_board_camera camera1 auv0)
	(calibration_target camera1 fish0)
	(on_board_camera camera2 auv0)
	(calibration_target camera2 fish4)
	(on_board_camera camera3 auv1)
	(calibration_target camera3 fish3)
	(on_board_camera camera4 auv4)
	(calibration_target camera4 fish1)
	(on_board_camera camera5 auv2)
	(calibration_target camera5 fish1)
	(visible_from fish0 waypoint0)
	(visible_from fish1 waypoint0)
	(visible_from fish1 waypoint1)
	(visible_from fish1 waypoint2)
	(visible_from fish1 waypoint3)
	(visible_from fish1 waypoint4)
	(visible_from fish1 waypoint5)
	(visible_from fish1 waypoint6)
	(visible_from fish2 waypoint0)
	(visible_from fish2 waypoint1)
	(visible_from fish2 waypoint2)
	(visible_from fish2 waypoint3)
	(visible_from fish2 waypoint4)
	(visible_from fish2 waypoint5)
	(visible_from fish2 waypoint6)
	(visible_from fish2 waypoint7)
	(visible_from fish2 waypoint8)
	(visible_from fish2 waypoint9)
	(visible_from fish3 waypoint0)
	(visible_from fish3 waypoint1)
	(visible_from fish3 waypoint2)
	(visible_from fish3 waypoint3)
	(visible_from fish3 waypoint4)
	(visible_from fish4 waypoint0)
	(visible_from fish4 waypoint1)
	(visible_from fish4 waypoint2)
	(visible_from fish4 waypoint3)
	(visible_from fish4 waypoint4)
	(visible_from fish5 waypoint0)
	(visible_from fish5 waypoint1)
	(visible_from fish5 waypoint2)
	(visible_from fish5 waypoint3)
	(visible_from fish5 waypoint4)
	(visible_from fish5 waypoint5)
	(visible_from fish5 waypoint6)
	(visible_from fish5 waypoint7)
	(visible_from fish5 waypoint8)
	(visible_from fish5 waypoint9)
	(visible_from fish5 waypoint10)
	(visible_from fish5 waypoint11)
	(visible_from fish5 waypoint12)
	(visible_from fish5 waypoint13)
	(visible_from fish5 waypoint14)
	(visible_from fish5 waypoint15)
	(free waypoint0)
	(free waypoint1)
	(free waypoint2)
	(free waypoint3)
	(free waypoint4)
	(free waypoint5)
	(free waypoint6)
	(free waypoint7)
	(free waypoint8)
	(free waypoint9)
	(free waypoint10)
	(free waypoint11)
	(free waypoint12)
	(free waypoint13)
	(free waypoint14)
	(free waypoint15)
	(= (light-level fish0) 0)
	(= (light-level fish1) 0)
	(= (light-level fish2) 0)
	(= (light-level fish3) 0)
	(= (light-level fish4) 0)
	(= (light-level fish5) 0)
	(visible_from_ship fish1 ship1)
	(visible_from_ship fish2 ship1)
	(visible_from_ship fish5 ship1)
	(need_image fish5)
	(need_image fish2)
	(need_image fish1)
	(need_image fish1)
	(need_water_sample waypoint9)
	(need_water_sample waypoint13)
	(need_water_sample waypoint11)
	(need_water_sample waypoint4)
)

(:goal (and
(have_water_sample waypoint4)
(have_water_sample waypoint11)
(have_water_sample waypoint13)
(have_water_sample waypoint9)
(communicated_image_data fish1)
(communicated_image_data fish1)
(communicated_image_data fish2)
(communicated_image_data fish5)
	)
)

(:metric minimize (total-time))
)
