(define (problem strips-sat-x-1)
(:domain satellite)
(:objects
	cooled nocooling - coolingstatus
	satellite0 - satellite
	instrument0 - instrument
	instrument1 - instrument
	satellite1 - satellite
	instrument2 - instrument
	instrument3 - instrument
	satellite2 - satellite
	instrument4 - instrument
	instrument5 - instrument
	image0 - mode
	infrared2 - mode
	spectrograph1 - mode
	Star2 - direction
	Star1 - direction
	GroundStation0 - direction
	Star3 - direction
	Star4 - direction
	Planet5 - direction
	Star6 - direction
	Phenomenon7 - direction
	Phenomenon8 - direction
	Phenomenon9 - direction
)
(:init (= (multiplier nocooling) 1) (= (multiplier cooled) 1.5)
	(canincrease) (not-decreasing) (not-increasing) (not-flat)
	(= (powered) 0)
	(supports instrument0 spectrograph1)
	(calibration_target instrument0 GroundStation0)
	(= (calibration_time instrument0 GroundStation0) 51.3)
	(supports instrument1 spectrograph1)
	(supports instrument1 image0)
	(supports instrument1 infrared2)
	(calibration_target instrument1 Star2)
	(= (calibration_time instrument1 Star2) 7.12)
	(on_board instrument0 satellite0)	(idle instrument0)
	(on_board instrument1 satellite0)	(idle instrument1)
	(= (power_avail satellite0) 0.5)
	(pointing satellite0 Star2)
	(= (data_capacity satellite0) 1000)
	(supports instrument2 infrared2)
	(supports instrument2 spectrograph1)
	(calibration_target instrument2 GroundStation0)
	(= (calibration_time instrument2 GroundStation0) 83.5)
	(supports instrument3 image0)
	(supports instrument3 spectrograph1)
	(calibration_target instrument3 GroundStation0)
	(= (calibration_time instrument3 GroundStation0) 70.9)
	(on_board instrument2 satellite1)	(idle instrument2)
	(on_board instrument3 satellite1)	(idle instrument3)
	(= (power_avail satellite1) 0.5)
	(pointing satellite1 Star3)
	(= (data_capacity satellite1) 1000)
	(supports instrument4 image0)
	(supports instrument4 spectrograph1)
	(calibration_target instrument4 Star1)
	(= (calibration_time instrument4 Star1) 65.3)
	(supports instrument5 spectrograph1)
	(supports instrument5 infrared2)
	(supports instrument5 image0)
	(calibration_target instrument5 GroundStation0)
	(= (calibration_time instrument5 GroundStation0) 56.3)
	(on_board instrument4 satellite2)	(idle instrument4)
	(on_board instrument5 satellite2)	(idle instrument5)
	(= (power_avail satellite2) 0.5)
	(pointing satellite2 Star3)
	(= (data_capacity satellite2) 1000)
	(= (data Star3 image0) 207)
	(= (data Star4 image0) 222)
	(= (data Planet5 image0) 3)
	(= (data Star6 image0) 267)
	(= (data Phenomenon7 image0) 73)
	(= (data Phenomenon8 image0) 73)
	(= (data Phenomenon9 image0) 80)
	(= (data Star3 infrared2) 206)
	(= (data Star4 infrared2) 100)
	(= (data Planet5 infrared2) 293)
	(= (data Star6 infrared2) 62)
	(= (data Phenomenon7 infrared2) 159)
	(= (data Phenomenon8 infrared2) 202)
	(= (data Phenomenon9 infrared2) 134)
	(= (data Star3 spectrograph1) 240)
	(= (data Star4 spectrograph1) 58)
	(= (data Planet5 spectrograph1) 196)
	(= (data Star6 spectrograph1) 58)
	(= (data Phenomenon7 spectrograph1) 248)
	(= (data Phenomenon8 spectrograph1) 135)
	(= (data Phenomenon9 spectrograph1) 29)
	(= (slew_time Star2 GroundStation0) 55.44)
	(= (slew_time GroundStation0 Star2) 55.44)
	(= (slew_time Star2 Star1) 64.29)
	(= (slew_time Star1 Star2) 64.29)
	(= (slew_time Star1 GroundStation0) 46.57)
	(= (slew_time GroundStation0 Star1) 46.57)
	(= (slew_time Star3 GroundStation0) 16.29)
	(= (slew_time GroundStation0 Star3) 16.29)
	(= (slew_time Star3 Star1) 2.28)
	(= (slew_time Star1 Star3) 2.28)
	(= (slew_time Star3 Star2) 15.31)
	(= (slew_time Star2 Star3) 15.31)
	(= (slew_time Star4 GroundStation0) 18.83)
	(= (slew_time GroundStation0 Star4) 18.83)
	(= (slew_time Star4 Star1) 14.26)
	(= (slew_time Star1 Star4) 14.26)
	(= (slew_time Star4 Star2) 50.95)
	(= (slew_time Star2 Star4) 50.95)
	(= (slew_time Star4 Star3) 6.969)
	(= (slew_time Star3 Star4) 6.969)
	(= (slew_time Planet5 GroundStation0) 9.195)
	(= (slew_time GroundStation0 Planet5) 9.195)
	(= (slew_time Planet5 Star1) 15.17)
	(= (slew_time Star1 Planet5) 15.17)
	(= (slew_time Planet5 Star2) 53.55)
	(= (slew_time Star2 Planet5) 53.55)
	(= (slew_time Planet5 Star3) 3.731)
	(= (slew_time Star3 Planet5) 3.731)
	(= (slew_time Planet5 Star4) 85.02)
	(= (slew_time Star4 Planet5) 85.02)
	(= (slew_time Star6 GroundStation0) 2.624)
	(= (slew_time GroundStation0 Star6) 2.624)
	(= (slew_time Star6 Star1) 26.22)
	(= (slew_time Star1 Star6) 26.22)
	(= (slew_time Star6 Star2) 24.54)
	(= (slew_time Star2 Star6) 24.54)
	(= (slew_time Star6 Star3) 59.05)
	(= (slew_time Star3 Star6) 59.05)
	(= (slew_time Star6 Star4) 54.43)
	(= (slew_time Star4 Star6) 54.43)
	(= (slew_time Star6 Planet5) 1.784)
	(= (slew_time Planet5 Star6) 1.784)
	(= (slew_time Phenomenon7 GroundStation0) 17.42)
	(= (slew_time GroundStation0 Phenomenon7) 17.42)
	(= (slew_time Phenomenon7 Star1) 14.9)
	(= (slew_time Star1 Phenomenon7) 14.9)
	(= (slew_time Phenomenon7 Star2) 19.9)
	(= (slew_time Star2 Phenomenon7) 19.9)
	(= (slew_time Phenomenon7 Star3) 21.49)
	(= (slew_time Star3 Phenomenon7) 21.49)
	(= (slew_time Phenomenon7 Star4) 2.346)
	(= (slew_time Star4 Phenomenon7) 2.346)
	(= (slew_time Phenomenon7 Planet5) 52.35)
	(= (slew_time Planet5 Phenomenon7) 52.35)
	(= (slew_time Phenomenon7 Star6) 45.83)
	(= (slew_time Star6 Phenomenon7) 45.83)
	(= (slew_time Phenomenon8 GroundStation0) 76.41)
	(= (slew_time GroundStation0 Phenomenon8) 76.41)
	(= (slew_time Phenomenon8 Star1) 39.12)
	(= (slew_time Star1 Phenomenon8) 39.12)
	(= (slew_time Phenomenon8 Star2) 17.54)
	(= (slew_time Star2 Phenomenon8) 17.54)
	(= (slew_time Phenomenon8 Star3) 2.013)
	(= (slew_time Star3 Phenomenon8) 2.013)
	(= (slew_time Phenomenon8 Star4) 29.15)
	(= (slew_time Star4 Phenomenon8) 29.15)
	(= (slew_time Phenomenon8 Planet5) 34.73)
	(= (slew_time Planet5 Phenomenon8) 34.73)
	(= (slew_time Phenomenon8 Star6) 33.96)
	(= (slew_time Star6 Phenomenon8) 33.96)
	(= (slew_time Phenomenon8 Phenomenon7) 48.65)
	(= (slew_time Phenomenon7 Phenomenon8) 48.65)
	(= (slew_time Phenomenon9 GroundStation0) 91.43)
	(= (slew_time GroundStation0 Phenomenon9) 91.43)
	(= (slew_time Phenomenon9 Star1) 65.34)
	(= (slew_time Star1 Phenomenon9) 65.34)
	(= (slew_time Phenomenon9 Star2) 3.213)
	(= (slew_time Star2 Phenomenon9) 3.213)
	(= (slew_time Phenomenon9 Star3) 56.79)
	(= (slew_time Star3 Phenomenon9) 56.79)
	(= (slew_time Phenomenon9 Star4) 69.51)
	(= (slew_time Star4 Phenomenon9) 69.51)
	(= (slew_time Phenomenon9 Planet5) 25.64)
	(= (slew_time Planet5 Phenomenon9) 25.64)
	(= (slew_time Phenomenon9 Star6) 46.4)
	(= (slew_time Star6 Phenomenon9) 46.4)
	(= (slew_time Phenomenon9 Phenomenon7) 19.76)
	(= (slew_time Phenomenon7 Phenomenon9) 19.76)
	(= (slew_time Phenomenon9 Phenomenon8) 34.1)
	(= (slew_time Phenomenon8 Phenomenon9) 34.1)
	(= (data-stored) 0)
	(want Star3 image0)
	(want Star4 infrared2)
	(want Planet5 image0)
	(want Star6 image0)
	(want Phenomenon7 spectrograph1)
	(want Phenomenon9 image0)
)
(:goal (and
	(pointing satellite0 Planet5)
	(pointing satellite1 Planet5)
	(have_image Star3 image0)
	(have_image Star4 infrared2)
	(have_image Planet5 image0)
	(have_image Star6 image0)
	(have_image Phenomenon7 spectrograph1)
	(have_image Phenomenon9 image0)
))
(:metric minimize (total-time))

)
