(define (problem strips-sat-x-1)
(:domain satellite)
(:objects
	cooled nocooling - coolingstatus
	satellite0 - satellite
	instrument0 - instrument
	satellite1 - satellite
	instrument1 - instrument
	instrument2 - instrument
	instrument3 - instrument
	satellite2 - satellite
	instrument4 - instrument
	thermograph2 - mode
	spectrograph0 - mode
	infrared1 - mode
	infrared3 - mode
	GroundStation3 - direction
	Star1 - direction
	Star2 - direction
	Star0 - direction
	Planet4 - direction
	Planet5 - direction
	Star6 - direction
	Star7 - direction
	Phenomenon8 - direction
	Star9 - direction
	Star10 - direction
)
(:init (= (multiplier nocooling) 1) (= (multiplier cooled) 1.5)
	(canincrease) (not-decreasing) (not-increasing) (not-flat)
	(= (powered) 0)
	(supports instrument0 infrared1)
	(supports instrument0 spectrograph0)
	(calibration_target instrument0 Star1)
	(= (calibration_time instrument0 Star1) 25.4)
	(on_board instrument0 satellite0)	(idle instrument0)
	(= (power_avail satellite0) 0.5)
	(pointing satellite0 Phenomenon8)
	(= (data_capacity satellite0) 1000)
	(supports instrument1 infrared3)
	(calibration_target instrument1 Star2)
	(= (calibration_time instrument1 Star2) 48.4)
	(supports instrument2 infrared1)
	(supports instrument2 infrared3)
	(supports instrument2 thermograph2)
	(calibration_target instrument2 Star2)
	(= (calibration_time instrument2 Star2) 2.04)
	(supports instrument3 infrared1)
	(supports instrument3 infrared3)
	(supports instrument3 spectrograph0)
	(calibration_target instrument3 Star2)
	(= (calibration_time instrument3 Star2) 67.9)
	(on_board instrument1 satellite1)	(idle instrument1)
	(on_board instrument2 satellite1)	(idle instrument2)
	(on_board instrument3 satellite1)	(idle instrument3)
	(= (power_avail satellite1) 0.5)
	(pointing satellite1 Star6)
	(= (data_capacity satellite1) 1000)
	(supports instrument4 infrared3)
	(calibration_target instrument4 Star0)
	(= (calibration_time instrument4 Star0) 27.9)
	(on_board instrument4 satellite2)	(idle instrument4)
	(= (power_avail satellite2) 0.5)
	(pointing satellite2 Star6)
	(= (data_capacity satellite2) 1000)
	(= (data Planet4 thermograph2) 194)
	(= (data Planet5 thermograph2) 65)
	(= (data Star6 thermograph2) 228)
	(= (data Star7 thermograph2) 86)
	(= (data Phenomenon8 thermograph2) 58)
	(= (data Star9 thermograph2) 25)
	(= (data Star10 thermograph2) 150)
	(= (data Planet4 spectrograph0) 258)
	(= (data Planet5 spectrograph0) 112)
	(= (data Star6 spectrograph0) 250)
	(= (data Star7 spectrograph0) 64)
	(= (data Phenomenon8 spectrograph0) 251)
	(= (data Star9 spectrograph0) 172)
	(= (data Star10 spectrograph0) 130)
	(= (data Planet4 infrared1) 176)
	(= (data Planet5 infrared1) 33)
	(= (data Star6 infrared1) 107)
	(= (data Star7 infrared1) 86)
	(= (data Phenomenon8 infrared1) 30)
	(= (data Star9 infrared1) 274)
	(= (data Star10 infrared1) 187)
	(= (data Planet4 infrared3) 80)
	(= (data Planet5 infrared3) 257)
	(= (data Star6 infrared3) 243)
	(= (data Star7 infrared3) 267)
	(= (data Phenomenon8 infrared3) 19)
	(= (data Star9 infrared3) 9)
	(= (data Star10 infrared3) 2)
	(= (slew_time GroundStation3 Star0) 91.43)
	(= (slew_time Star0 GroundStation3) 91.43)
	(= (slew_time GroundStation3 Star1) 0.8978)
	(= (slew_time Star1 GroundStation3) 0.8978)
	(= (slew_time GroundStation3 Star2) 42.86)
	(= (slew_time Star2 GroundStation3) 42.86)
	(= (slew_time Star1 Star0) 15.4)
	(= (slew_time Star0 Star1) 15.4)
	(= (slew_time Star2 Star0) 31.5)
	(= (slew_time Star0 Star2) 31.5)
	(= (slew_time Star2 Star1) 38.38)
	(= (slew_time Star1 Star2) 38.38)
	(= (slew_time Planet4 Star0) 12.36)
	(= (slew_time Star0 Planet4) 12.36)
	(= (slew_time Planet4 Star1) 38.9)
	(= (slew_time Star1 Planet4) 38.9)
	(= (slew_time Planet4 Star2) 12.54)
	(= (slew_time Star2 Planet4) 12.54)
	(= (slew_time Planet4 GroundStation3) 91.11)
	(= (slew_time GroundStation3 Planet4) 91.11)
	(= (slew_time Planet5 Star0) 21.35)
	(= (slew_time Star0 Planet5) 21.35)
	(= (slew_time Planet5 Star1) 29.31)
	(= (slew_time Star1 Planet5) 29.31)
	(= (slew_time Planet5 Star2) 58.6)
	(= (slew_time Star2 Planet5) 58.6)
	(= (slew_time Planet5 GroundStation3) 16.51)
	(= (slew_time GroundStation3 Planet5) 16.51)
	(= (slew_time Planet5 Planet4) 0.5007)
	(= (slew_time Planet4 Planet5) 0.5007)
	(= (slew_time Star6 Star0) 31.83)
	(= (slew_time Star0 Star6) 31.83)
	(= (slew_time Star6 Star1) 20.17)
	(= (slew_time Star1 Star6) 20.17)
	(= (slew_time Star6 Star2) 45.21)
	(= (slew_time Star2 Star6) 45.21)
	(= (slew_time Star6 GroundStation3) 0.9333)
	(= (slew_time GroundStation3 Star6) 0.9333)
	(= (slew_time Star6 Planet4) 52.09)
	(= (slew_time Planet4 Star6) 52.09)
	(= (slew_time Star6 Planet5) 59)
	(= (slew_time Planet5 Star6) 59)
	(= (slew_time Star7 Star0) 60.97)
	(= (slew_time Star0 Star7) 60.97)
	(= (slew_time Star7 Star1) 1.436)
	(= (slew_time Star1 Star7) 1.436)
	(= (slew_time Star7 Star2) 1.722)
	(= (slew_time Star2 Star7) 1.722)
	(= (slew_time Star7 GroundStation3) 88.88)
	(= (slew_time GroundStation3 Star7) 88.88)
	(= (slew_time Star7 Planet4) 65.17)
	(= (slew_time Planet4 Star7) 65.17)
	(= (slew_time Star7 Planet5) 10.54)
	(= (slew_time Planet5 Star7) 10.54)
	(= (slew_time Star7 Star6) 27.25)
	(= (slew_time Star6 Star7) 27.25)
	(= (slew_time Phenomenon8 Star0) 14.15)
	(= (slew_time Star0 Phenomenon8) 14.15)
	(= (slew_time Phenomenon8 Star1) 89.14)
	(= (slew_time Star1 Phenomenon8) 89.14)
	(= (slew_time Phenomenon8 Star2) 59.01)
	(= (slew_time Star2 Phenomenon8) 59.01)
	(= (slew_time Phenomenon8 GroundStation3) 54.13)
	(= (slew_time GroundStation3 Phenomenon8) 54.13)
	(= (slew_time Phenomenon8 Planet4) 1.242)
	(= (slew_time Planet4 Phenomenon8) 1.242)
	(= (slew_time Phenomenon8 Planet5) 31.54)
	(= (slew_time Planet5 Phenomenon8) 31.54)
	(= (slew_time Phenomenon8 Star6) 4.542)
	(= (slew_time Star6 Phenomenon8) 4.542)
	(= (slew_time Phenomenon8 Star7) 24.51)
	(= (slew_time Star7 Phenomenon8) 24.51)
	(= (slew_time Star9 Star0) 18.25)
	(= (slew_time Star0 Star9) 18.25)
	(= (slew_time Star9 Star1) 4.277)
	(= (slew_time Star1 Star9) 4.277)
	(= (slew_time Star9 Star2) 35.22)
	(= (slew_time Star2 Star9) 35.22)
	(= (slew_time Star9 GroundStation3) 37.77)
	(= (slew_time GroundStation3 Star9) 37.77)
	(= (slew_time Star9 Planet4) 9.467)
	(= (slew_time Planet4 Star9) 9.467)
	(= (slew_time Star9 Planet5) 37.19)
	(= (slew_time Planet5 Star9) 37.19)
	(= (slew_time Star9 Star6) 11.69)
	(= (slew_time Star6 Star9) 11.69)
	(= (slew_time Star9 Star7) 32.47)
	(= (slew_time Star7 Star9) 32.47)
	(= (slew_time Star9 Phenomenon8) 67.96)
	(= (slew_time Phenomenon8 Star9) 67.96)
	(= (slew_time Star10 Star0) 73.19)
	(= (slew_time Star0 Star10) 73.19)
	(= (slew_time Star10 Star1) 25.39)
	(= (slew_time Star1 Star10) 25.39)
	(= (slew_time Star10 Star2) 63.89)
	(= (slew_time Star2 Star10) 63.89)
	(= (slew_time Star10 GroundStation3) 4.717)
	(= (slew_time GroundStation3 Star10) 4.717)
	(= (slew_time Star10 Planet4) 3.602)
	(= (slew_time Planet4 Star10) 3.602)
	(= (slew_time Star10 Planet5) 4.892)
	(= (slew_time Planet5 Star10) 4.892)
	(= (slew_time Star10 Star6) 20.13)
	(= (slew_time Star6 Star10) 20.13)
	(= (slew_time Star10 Star7) 17.21)
	(= (slew_time Star7 Star10) 17.21)
	(= (slew_time Star10 Phenomenon8) 17.16)
	(= (slew_time Phenomenon8 Star10) 17.16)
	(= (slew_time Star10 Star9) 59.61)
	(= (slew_time Star9 Star10) 59.61)
	(= (data-stored) 0)
	(want Planet4 thermograph2)
	(want Planet5 spectrograph0)
	(want Star6 thermograph2)
	(want Star7 infrared3)
	(want Phenomenon8 spectrograph0)
	(want Star9 infrared1)
	(want Star10 infrared3)
)
(:goal (and
	(have_image Planet4 thermograph2)
	(have_image Planet5 spectrograph0)
	(have_image Star6 thermograph2)
	(have_image Star7 infrared3)
	(have_image Phenomenon8 spectrograph0)
	(have_image Star9 infrared1)
	(have_image Star10 infrared3)
))
(:metric minimize (total-time))

)
