(define (problem strips-sat-x-1)
(:domain satellite)
(:objects
	cooled nocooling - coolingstatus
	satellite0 - satellite
	instrument0 - instrument
	instrument1 - instrument
	instrument2 - instrument
	satellite1 - satellite
	instrument3 - instrument
	satellite2 - satellite
	instrument4 - instrument
	instrument5 - instrument
	satellite3 - satellite
	instrument6 - instrument
	instrument7 - instrument
	image2 - mode
	image1 - mode
	image0 - mode
	image3 - mode
	Star3 - direction
	GroundStation2 - direction
	Star1 - direction
	GroundStation4 - direction
	GroundStation0 - direction
	Phenomenon5 - direction
	Star6 - direction
	Star7 - direction
	Planet8 - direction
	Planet9 - direction
	Planet10 - direction
	Planet11 - direction
)
(:init (= (multiplier nocooling) 1) (= (multiplier cooled) 1.5)
	(canincrease) (not-decreasing) (not-increasing) (not-flat)
	(= (powered) 0)
	(supports instrument0 image1)
	(supports instrument0 image3)
	(calibration_target instrument0 Star1)
	(= (calibration_time instrument0 Star1) 10.5)
	(supports instrument1 image3)
	(calibration_target instrument1 GroundStation0)
	(= (calibration_time instrument1 GroundStation0) 0.718)
	(supports instrument2 image0)
	(calibration_target instrument2 GroundStation2)
	(= (calibration_time instrument2 GroundStation2) 71.1)
	(on_board instrument0 satellite0)	(idle instrument0)
	(on_board instrument1 satellite0)	(idle instrument1)
	(on_board instrument2 satellite0)	(idle instrument2)
	(= (power_avail satellite0) 0.5)
	(pointing satellite0 Star6)
	(= (data_capacity satellite0) 1000)
	(supports instrument3 image0)
	(supports instrument3 image2)
	(calibration_target instrument3 GroundStation4)
	(= (calibration_time instrument3 GroundStation4) 7.43)
	(on_board instrument3 satellite1)	(idle instrument3)
	(= (power_avail satellite1) 0.5)
	(pointing satellite1 GroundStation0)
	(= (data_capacity satellite1) 1000)
	(supports instrument4 image1)
	(supports instrument4 image0)
	(calibration_target instrument4 Star1)
	(= (calibration_time instrument4 Star1) 0.349)
	(supports instrument5 image2)
	(supports instrument5 image0)
	(supports instrument5 image1)
	(calibration_target instrument5 Star1)
	(= (calibration_time instrument5 Star1) 58.2)
	(on_board instrument4 satellite2)	(idle instrument4)
	(on_board instrument5 satellite2)	(idle instrument5)
	(= (power_avail satellite2) 0.5)
	(pointing satellite2 Star6)
	(= (data_capacity satellite2) 1000)
	(supports instrument6 image2)
	(supports instrument6 image1)
	(supports instrument6 image0)
	(calibration_target instrument6 GroundStation4)
	(= (calibration_time instrument6 GroundStation4) 24.7)
	(supports instrument7 image3)
	(supports instrument7 image0)
	(supports instrument7 image1)
	(calibration_target instrument7 GroundStation0)
	(= (calibration_time instrument7 GroundStation0) 9.43)
	(on_board instrument6 satellite3)	(idle instrument6)
	(on_board instrument7 satellite3)	(idle instrument7)
	(= (power_avail satellite3) 0.5)
	(pointing satellite3 GroundStation2)
	(= (data_capacity satellite3) 1000)
	(= (data Phenomenon5 image2) 28)
	(= (data Star6 image2) 219)
	(= (data Star7 image2) 277)
	(= (data Planet8 image2) 275)
	(= (data Planet9 image2) 268)
	(= (data Planet10 image2) 13)
	(= (data Planet11 image2) 176)
	(= (data Phenomenon5 image1) 241)
	(= (data Star6 image1) 154)
	(= (data Star7 image1) 286)
	(= (data Planet8 image1) 111)
	(= (data Planet9 image1) 26)
	(= (data Planet10 image1) 159)
	(= (data Planet11 image1) 281)
	(= (data Phenomenon5 image0) 5)
	(= (data Star6 image0) 177)
	(= (data Star7 image0) 282)
	(= (data Planet8 image0) 294)
	(= (data Planet9 image0) 74)
	(= (data Planet10 image0) 111)
	(= (data Planet11 image0) 106)
	(= (data Phenomenon5 image3) 206)
	(= (data Star6 image3) 227)
	(= (data Star7 image3) 117)
	(= (data Planet8 image3) 91)
	(= (data Planet9 image3) 81)
	(= (data Planet10 image3) 185)
	(= (data Planet11 image3) 119)
	(= (slew_time Star3 GroundStation0) 94.87)
	(= (slew_time GroundStation0 Star3) 94.87)
	(= (slew_time Star3 Star1) 4.36)
	(= (slew_time Star1 Star3) 4.36)
	(= (slew_time Star3 GroundStation2) 3.204)
	(= (slew_time GroundStation2 Star3) 3.204)
	(= (slew_time GroundStation2 GroundStation0) 8.984)
	(= (slew_time GroundStation0 GroundStation2) 8.984)
	(= (slew_time GroundStation2 Star1) 42.7)
	(= (slew_time Star1 GroundStation2) 42.7)
	(= (slew_time Star1 GroundStation0) 12.95)
	(= (slew_time GroundStation0 Star1) 12.95)
	(= (slew_time GroundStation4 GroundStation0) 80.7)
	(= (slew_time GroundStation0 GroundStation4) 80.7)
	(= (slew_time GroundStation4 Star1) 41.28)
	(= (slew_time Star1 GroundStation4) 41.28)
	(= (slew_time GroundStation4 GroundStation2) 41.5)
	(= (slew_time GroundStation2 GroundStation4) 41.5)
	(= (slew_time GroundStation4 Star3) 44.56)
	(= (slew_time Star3 GroundStation4) 44.56)
	(= (slew_time Phenomenon5 GroundStation0) 63.72)
	(= (slew_time GroundStation0 Phenomenon5) 63.72)
	(= (slew_time Phenomenon5 Star1) 14.03)
	(= (slew_time Star1 Phenomenon5) 14.03)
	(= (slew_time Phenomenon5 GroundStation2) 5.002)
	(= (slew_time GroundStation2 Phenomenon5) 5.002)
	(= (slew_time Phenomenon5 Star3) 12.33)
	(= (slew_time Star3 Phenomenon5) 12.33)
	(= (slew_time Phenomenon5 GroundStation4) 35.49)
	(= (slew_time GroundStation4 Phenomenon5) 35.49)
	(= (slew_time Star6 GroundStation0) 21.64)
	(= (slew_time GroundStation0 Star6) 21.64)
	(= (slew_time Star6 Star1) 4.968)
	(= (slew_time Star1 Star6) 4.968)
	(= (slew_time Star6 GroundStation2) 43.51)
	(= (slew_time GroundStation2 Star6) 43.51)
	(= (slew_time Star6 Star3) 13.88)
	(= (slew_time Star3 Star6) 13.88)
	(= (slew_time Star6 GroundStation4) 2.664)
	(= (slew_time GroundStation4 Star6) 2.664)
	(= (slew_time Star6 Phenomenon5) 38.25)
	(= (slew_time Phenomenon5 Star6) 38.25)
	(= (slew_time Star7 GroundStation0) 39.77)
	(= (slew_time GroundStation0 Star7) 39.77)
	(= (slew_time Star7 Star1) 61.2)
	(= (slew_time Star1 Star7) 61.2)
	(= (slew_time Star7 GroundStation2) 24.93)
	(= (slew_time GroundStation2 Star7) 24.93)
	(= (slew_time Star7 Star3) 41.6)
	(= (slew_time Star3 Star7) 41.6)
	(= (slew_time Star7 GroundStation4) 86.2)
	(= (slew_time GroundStation4 Star7) 86.2)
	(= (slew_time Star7 Phenomenon5) 28.3)
	(= (slew_time Phenomenon5 Star7) 28.3)
	(= (slew_time Star7 Star6) 64.03)
	(= (slew_time Star6 Star7) 64.03)
	(= (slew_time Planet8 GroundStation0) 20.73)
	(= (slew_time GroundStation0 Planet8) 20.73)
	(= (slew_time Planet8 Star1) 14.01)
	(= (slew_time Star1 Planet8) 14.01)
	(= (slew_time Planet8 GroundStation2) 7.345)
	(= (slew_time GroundStation2 Planet8) 7.345)
	(= (slew_time Planet8 Star3) 59.35)
	(= (slew_time Star3 Planet8) 59.35)
	(= (slew_time Planet8 GroundStation4) 86.67)
	(= (slew_time GroundStation4 Planet8) 86.67)
	(= (slew_time Planet8 Phenomenon5) 51.94)
	(= (slew_time Phenomenon5 Planet8) 51.94)
	(= (slew_time Planet8 Star6) 52.15)
	(= (slew_time Star6 Planet8) 52.15)
	(= (slew_time Planet8 Star7) 32.8)
	(= (slew_time Star7 Planet8) 32.8)
	(= (slew_time Planet9 GroundStation0) 62.23)
	(= (slew_time GroundStation0 Planet9) 62.23)
	(= (slew_time Planet9 Star1) 1.098)
	(= (slew_time Star1 Planet9) 1.098)
	(= (slew_time Planet9 GroundStation2) 30.07)
	(= (slew_time GroundStation2 Planet9) 30.07)
	(= (slew_time Planet9 Star3) 2.942)
	(= (slew_time Star3 Planet9) 2.942)
	(= (slew_time Planet9 GroundStation4) 84.72)
	(= (slew_time GroundStation4 Planet9) 84.72)
	(= (slew_time Planet9 Phenomenon5) 11.66)
	(= (slew_time Phenomenon5 Planet9) 11.66)
	(= (slew_time Planet9 Star6) 23.46)
	(= (slew_time Star6 Planet9) 23.46)
	(= (slew_time Planet9 Star7) 32.59)
	(= (slew_time Star7 Planet9) 32.59)
	(= (slew_time Planet9 Planet8) 46.81)
	(= (slew_time Planet8 Planet9) 46.81)
	(= (slew_time Planet10 GroundStation0) 86.06)
	(= (slew_time GroundStation0 Planet10) 86.06)
	(= (slew_time Planet10 Star1) 29.49)
	(= (slew_time Star1 Planet10) 29.49)
	(= (slew_time Planet10 GroundStation2) 51.95)
	(= (slew_time GroundStation2 Planet10) 51.95)
	(= (slew_time Planet10 Star3) 42.41)
	(= (slew_time Star3 Planet10) 42.41)
	(= (slew_time Planet10 GroundStation4) 44.82)
	(= (slew_time GroundStation4 Planet10) 44.82)
	(= (slew_time Planet10 Phenomenon5) 3.764)
	(= (slew_time Phenomenon5 Planet10) 3.764)
	(= (slew_time Planet10 Star6) 61.54)
	(= (slew_time Star6 Planet10) 61.54)
	(= (slew_time Planet10 Star7) 75.08)
	(= (slew_time Star7 Planet10) 75.08)
	(= (slew_time Planet10 Planet8) 34.15)
	(= (slew_time Planet8 Planet10) 34.15)
	(= (slew_time Planet10 Planet9) 25.51)
	(= (slew_time Planet9 Planet10) 25.51)
	(= (slew_time Planet11 GroundStation0) 31.93)
	(= (slew_time GroundStation0 Planet11) 31.93)
	(= (slew_time Planet11 Star1) 25.12)
	(= (slew_time Star1 Planet11) 25.12)
	(= (slew_time Planet11 GroundStation2) 28.99)
	(= (slew_time GroundStation2 Planet11) 28.99)
	(= (slew_time Planet11 Star3) 42.59)
	(= (slew_time Star3 Planet11) 42.59)
	(= (slew_time Planet11 GroundStation4) 3.917)
	(= (slew_time GroundStation4 Planet11) 3.917)
	(= (slew_time Planet11 Phenomenon5) 73.81)
	(= (slew_time Phenomenon5 Planet11) 73.81)
	(= (slew_time Planet11 Star6) 12.16)
	(= (slew_time Star6 Planet11) 12.16)
	(= (slew_time Planet11 Star7) 9.39)
	(= (slew_time Star7 Planet11) 9.39)
	(= (slew_time Planet11 Planet8) 18.43)
	(= (slew_time Planet8 Planet11) 18.43)
	(= (slew_time Planet11 Planet9) 53.1)
	(= (slew_time Planet9 Planet11) 53.1)
	(= (slew_time Planet11 Planet10) 17)
	(= (slew_time Planet10 Planet11) 17)
	(= (data-stored) 0)
	(want Phenomenon5 image0)
	(want Star6 image1)
	(want Star7 image0)
	(want Planet8 image0)
	(want Planet9 image3)
	(want Planet10 image0)
	(want Planet11 image2)
)
(:goal (and
	(pointing satellite1 Star1)
	(pointing satellite2 Phenomenon5)
	(have_image Phenomenon5 image0)
	(have_image Star6 image1)
	(have_image Star7 image0)
	(have_image Planet8 image0)
	(have_image Planet9 image3)
	(have_image Planet10 image0)
	(have_image Planet11 image2)
))
(:metric minimize (total-time))

)
