(define (problem strips-sat-x-1)
(:domain satellite)
(:objects
	cooled nocooling - coolingstatus
	satellite0 - satellite
	instrument0 - instrument
	instrument1 - instrument
	satellite1 - satellite
	instrument2 - instrument
	satellite2 - satellite
	instrument3 - instrument
	instrument4 - instrument
	instrument5 - instrument
	satellite3 - satellite
	instrument6 - instrument
	instrument7 - instrument
	instrument8 - instrument
	image1 - mode
	image0 - mode
	image3 - mode
	spectrograph2 - mode
	Star0 - direction
	GroundStation3 - direction
	Star1 - direction
	Star4 - direction
	GroundStation2 - direction
	Planet5 - direction
	Planet6 - direction
	Star7 - direction
	Star8 - direction
	Star9 - direction
	Star10 - direction
	Phenomenon11 - direction
	Phenomenon12 - direction
)
(:init (= (multiplier nocooling) 1) (= (multiplier cooled) 1.5)
	(canincrease) (not-decreasing) (not-increasing) (not-flat)
	(= (powered) 0)
	(supports instrument0 spectrograph2)
	(supports instrument0 image1)
	(supports instrument0 image0)
	(calibration_target instrument0 Star0)
	(= (calibration_time instrument0 Star0) 64.7)
	(supports instrument1 image3)
	(calibration_target instrument1 Star4)
	(= (calibration_time instrument1 Star4) 43.9)
	(on_board instrument0 satellite0)	(idle instrument0)
	(on_board instrument1 satellite0)	(idle instrument1)
	(= (power_avail satellite0) 0.5)
	(pointing satellite0 GroundStation2)
	(= (data_capacity satellite0) 1000)
	(supports instrument2 spectrograph2)
	(calibration_target instrument2 Star1)
	(= (calibration_time instrument2 Star1) 90.9)
	(on_board instrument2 satellite1)	(idle instrument2)
	(= (power_avail satellite1) 0.5)
	(pointing satellite1 Star7)
	(= (data_capacity satellite1) 1000)
	(supports instrument3 spectrograph2)
	(calibration_target instrument3 Star0)
	(= (calibration_time instrument3 Star0) 71.9)
	(supports instrument4 image0)
	(calibration_target instrument4 GroundStation3)
	(= (calibration_time instrument4 GroundStation3) 94.8)
	(supports instrument5 image0)
	(supports instrument5 spectrograph2)
	(supports instrument5 image1)
	(calibration_target instrument5 Star1)
	(= (calibration_time instrument5 Star1) 1.02)
	(on_board instrument3 satellite2)	(idle instrument3)
	(on_board instrument4 satellite2)	(idle instrument4)
	(on_board instrument5 satellite2)	(idle instrument5)
	(= (power_avail satellite2) 0.5)
	(pointing satellite2 Star9)
	(= (data_capacity satellite2) 1000)
	(supports instrument6 spectrograph2)
	(supports instrument6 image3)
	(supports instrument6 image1)
	(calibration_target instrument6 Star1)
	(= (calibration_time instrument6 Star1) 98.2)
	(supports instrument7 image3)
	(supports instrument7 image0)
	(calibration_target instrument7 Star4)
	(= (calibration_time instrument7 Star4) 47)
	(supports instrument8 spectrograph2)
	(calibration_target instrument8 GroundStation2)
	(= (calibration_time instrument8 GroundStation2) 2.96)
	(on_board instrument6 satellite3)	(idle instrument6)
	(on_board instrument7 satellite3)	(idle instrument7)
	(on_board instrument8 satellite3)	(idle instrument8)
	(= (power_avail satellite3) 0.5)
	(pointing satellite3 Star9)
	(= (data_capacity satellite3) 1000)
	(= (data Planet5 image1) 121)
	(= (data Planet6 image1) 270)
	(= (data Star7 image1) 189)
	(= (data Star8 image1) 180)
	(= (data Star9 image1) 292)
	(= (data Star10 image1) 185)
	(= (data Phenomenon11 image1) 234)
	(= (data Phenomenon12 image1) 147)
	(= (data Planet5 image0) 145)
	(= (data Planet6 image0) 159)
	(= (data Star7 image0) 148)
	(= (data Star8 image0) 202)
	(= (data Star9 image0) 287)
	(= (data Star10 image0) 35)
	(= (data Phenomenon11 image0) 141)
	(= (data Phenomenon12 image0) 138)
	(= (data Planet5 image3) 273)
	(= (data Planet6 image3) 155)
	(= (data Star7 image3) 165)
	(= (data Star8 image3) 203)
	(= (data Star9 image3) 41)
	(= (data Star10 image3) 23)
	(= (data Phenomenon11 image3) 276)
	(= (data Phenomenon12 image3) 95)
	(= (data Planet5 spectrograph2) 226)
	(= (data Planet6 spectrograph2) 111)
	(= (data Star7 spectrograph2) 253)
	(= (data Star8 spectrograph2) 78)
	(= (data Star9 spectrograph2) 299)
	(= (data Star10 spectrograph2) 136)
	(= (data Phenomenon11 spectrograph2) 45)
	(= (data Phenomenon12 spectrograph2) 11)
	(= (slew_time GroundStation3 Star0) 32.4)
	(= (slew_time Star0 GroundStation3) 32.4)
	(= (slew_time GroundStation3 Star1) 24.67)
	(= (slew_time Star1 GroundStation3) 24.67)
	(= (slew_time GroundStation3 GroundStation2) 26.84)
	(= (slew_time GroundStation2 GroundStation3) 26.84)
	(= (slew_time Star1 Star0) 33.93)
	(= (slew_time Star0 Star1) 33.93)
	(= (slew_time Star4 Star0) 27.08)
	(= (slew_time Star0 Star4) 27.08)
	(= (slew_time Star4 Star1) 70.6)
	(= (slew_time Star1 Star4) 70.6)
	(= (slew_time Star4 GroundStation2) 7.727)
	(= (slew_time GroundStation2 Star4) 7.727)
	(= (slew_time Star4 GroundStation3) 73.72)
	(= (slew_time GroundStation3 Star4) 73.72)
	(= (slew_time GroundStation2 Star0) 3.744)
	(= (slew_time Star0 GroundStation2) 3.744)
	(= (slew_time GroundStation2 Star1) 50.92)
	(= (slew_time Star1 GroundStation2) 50.92)
	(= (slew_time Planet5 Star0) 3.198)
	(= (slew_time Star0 Planet5) 3.198)
	(= (slew_time Planet5 Star1) 32.92)
	(= (slew_time Star1 Planet5) 32.92)
	(= (slew_time Planet5 GroundStation2) 52.83)
	(= (slew_time GroundStation2 Planet5) 52.83)
	(= (slew_time Planet5 GroundStation3) 12.5)
	(= (slew_time GroundStation3 Planet5) 12.5)
	(= (slew_time Planet5 Star4) 18.79)
	(= (slew_time Star4 Planet5) 18.79)
	(= (slew_time Planet6 Star0) 47.76)
	(= (slew_time Star0 Planet6) 47.76)
	(= (slew_time Planet6 Star1) 27.91)
	(= (slew_time Star1 Planet6) 27.91)
	(= (slew_time Planet6 GroundStation2) 15.68)
	(= (slew_time GroundStation2 Planet6) 15.68)
	(= (slew_time Planet6 GroundStation3) 93.03)
	(= (slew_time GroundStation3 Planet6) 93.03)
	(= (slew_time Planet6 Star4) 70.29)
	(= (slew_time Star4 Planet6) 70.29)
	(= (slew_time Planet6 Planet5) 86.53)
	(= (slew_time Planet5 Planet6) 86.53)
	(= (slew_time Star7 Star0) 34.26)
	(= (slew_time Star0 Star7) 34.26)
	(= (slew_time Star7 Star1) 22.08)
	(= (slew_time Star1 Star7) 22.08)
	(= (slew_time Star7 GroundStation2) 41.39)
	(= (slew_time GroundStation2 Star7) 41.39)
	(= (slew_time Star7 GroundStation3) 26.57)
	(= (slew_time GroundStation3 Star7) 26.57)
	(= (slew_time Star7 Star4) 15.29)
	(= (slew_time Star4 Star7) 15.29)
	(= (slew_time Star7 Planet5) 0.8113)
	(= (slew_time Planet5 Star7) 0.8113)
	(= (slew_time Star7 Planet6) 14.75)
	(= (slew_time Planet6 Star7) 14.75)
	(= (slew_time Star8 Star0) 24.14)
	(= (slew_time Star0 Star8) 24.14)
	(= (slew_time Star8 Star1) 10.01)
	(= (slew_time Star1 Star8) 10.01)
	(= (slew_time Star8 GroundStation2) 44.96)
	(= (slew_time GroundStation2 Star8) 44.96)
	(= (slew_time Star8 GroundStation3) 64.99)
	(= (slew_time GroundStation3 Star8) 64.99)
	(= (slew_time Star8 Star4) 51.51)
	(= (slew_time Star4 Star8) 51.51)
	(= (slew_time Star8 Planet5) 6.796)
	(= (slew_time Planet5 Star8) 6.796)
	(= (slew_time Star8 Planet6) 11.63)
	(= (slew_time Planet6 Star8) 11.63)
	(= (slew_time Star8 Star7) 9.839)
	(= (slew_time Star7 Star8) 9.839)
	(= (slew_time Star9 Star0) 66.87)
	(= (slew_time Star0 Star9) 66.87)
	(= (slew_time Star9 Star1) 10.15)
	(= (slew_time Star1 Star9) 10.15)
	(= (slew_time Star9 GroundStation2) 13.85)
	(= (slew_time GroundStation2 Star9) 13.85)
	(= (slew_time Star9 GroundStation3) 80.87)
	(= (slew_time GroundStation3 Star9) 80.87)
	(= (slew_time Star9 Star4) 1.837)
	(= (slew_time Star4 Star9) 1.837)
	(= (slew_time Star9 Planet5) 56.15)
	(= (slew_time Planet5 Star9) 56.15)
	(= (slew_time Star9 Planet6) 2.146)
	(= (slew_time Planet6 Star9) 2.146)
	(= (slew_time Star9 Star7) 6.482)
	(= (slew_time Star7 Star9) 6.482)
	(= (slew_time Star9 Star8) 48.14)
	(= (slew_time Star8 Star9) 48.14)
	(= (slew_time Star10 Star0) 28.86)
	(= (slew_time Star0 Star10) 28.86)
	(= (slew_time Star10 Star1) 51.7)
	(= (slew_time Star1 Star10) 51.7)
	(= (slew_time Star10 GroundStation2) 44.19)
	(= (slew_time GroundStation2 Star10) 44.19)
	(= (slew_time Star10 GroundStation3) 5.533)
	(= (slew_time GroundStation3 Star10) 5.533)
	(= (slew_time Star10 Star4) 4.225)
	(= (slew_time Star4 Star10) 4.225)
	(= (slew_time Star10 Planet5) 5.467)
	(= (slew_time Planet5 Star10) 5.467)
	(= (slew_time Star10 Planet6) 57.39)
	(= (slew_time Planet6 Star10) 57.39)
	(= (slew_time Star10 Star7) 52.5)
	(= (slew_time Star7 Star10) 52.5)
	(= (slew_time Star10 Star8) 43.16)
	(= (slew_time Star8 Star10) 43.16)
	(= (slew_time Star10 Star9) 34.66)
	(= (slew_time Star9 Star10) 34.66)
	(= (slew_time Phenomenon11 Star0) 14.08)
	(= (slew_time Star0 Phenomenon11) 14.08)
	(= (slew_time Phenomenon11 Star1) 34.06)
	(= (slew_time Star1 Phenomenon11) 34.06)
	(= (slew_time Phenomenon11 GroundStation2) 82.33)
	(= (slew_time GroundStation2 Phenomenon11) 82.33)
	(= (slew_time Phenomenon11 GroundStation3) 30.06)
	(= (slew_time GroundStation3 Phenomenon11) 30.06)
	(= (slew_time Phenomenon11 Star4) 2.474)
	(= (slew_time Star4 Phenomenon11) 2.474)
	(= (slew_time Phenomenon11 Planet5) 39.44)
	(= (slew_time Planet5 Phenomenon11) 39.44)
	(= (slew_time Phenomenon11 Planet6) 5.142)
	(= (slew_time Planet6 Phenomenon11) 5.142)
	(= (slew_time Phenomenon11 Star7) 30.05)
	(= (slew_time Star7 Phenomenon11) 30.05)
	(= (slew_time Phenomenon11 Star8) 48.54)
	(= (slew_time Star8 Phenomenon11) 48.54)
	(= (slew_time Phenomenon11 Star9) 34.23)
	(= (slew_time Star9 Phenomenon11) 34.23)
	(= (slew_time Phenomenon11 Star10) 62.8)
	(= (slew_time Star10 Phenomenon11) 62.8)
	(= (slew_time Phenomenon12 Star0) 11.34)
	(= (slew_time Star0 Phenomenon12) 11.34)
	(= (slew_time Phenomenon12 Star1) 30.91)
	(= (slew_time Star1 Phenomenon12) 30.91)
	(= (slew_time Phenomenon12 GroundStation2) 20.19)
	(= (slew_time GroundStation2 Phenomenon12) 20.19)
	(= (slew_time Phenomenon12 GroundStation3) 5.073)
	(= (slew_time GroundStation3 Phenomenon12) 5.073)
	(= (slew_time Phenomenon12 Star4) 22.06)
	(= (slew_time Star4 Phenomenon12) 22.06)
	(= (slew_time Phenomenon12 Planet5) 34.4)
	(= (slew_time Planet5 Phenomenon12) 34.4)
	(= (slew_time Phenomenon12 Planet6) 4.099)
	(= (slew_time Planet6 Phenomenon12) 4.099)
	(= (slew_time Phenomenon12 Star7) 6.416)
	(= (slew_time Star7 Phenomenon12) 6.416)
	(= (slew_time Phenomenon12 Star8) 87.3)
	(= (slew_time Star8 Phenomenon12) 87.3)
	(= (slew_time Phenomenon12 Star9) 16.71)
	(= (slew_time Star9 Phenomenon12) 16.71)
	(= (slew_time Phenomenon12 Star10) 39.67)
	(= (slew_time Star10 Phenomenon12) 39.67)
	(= (slew_time Phenomenon12 Phenomenon11) 78.91)
	(= (slew_time Phenomenon11 Phenomenon12) 78.91)
	(= (data-stored) 0)
	(want Planet6 spectrograph2)
	(want Star7 spectrograph2)
	(want Star9 image1)
	(want Star10 image0)
	(want Phenomenon11 image1)
	(want Phenomenon12 image3)
)
(:goal (and
	(pointing satellite3 Star1)
	(have_image Planet6 spectrograph2)
	(have_image Star7 spectrograph2)
	(have_image Star9 image1)
	(have_image Star10 image0)
	(have_image Phenomenon11 image1)
	(have_image Phenomenon12 image3)
))
(:metric minimize (total-time))

)
