(define (problem strips-sat-x-1)
(:domain satellite)
(:objects
	cooled nocooling - coolingstatus
	satellite0 - satellite
	instrument0 - instrument
	satellite1 - satellite
	instrument1 - instrument
	instrument2 - instrument
	satellite2 - satellite
	instrument3 - instrument
	instrument4 - instrument
	instrument5 - instrument
	satellite3 - satellite
	instrument6 - instrument
	satellite4 - satellite
	instrument7 - instrument
	spectrograph2 - mode
	image3 - mode
	spectrograph0 - mode
	infrared1 - mode
	Star0 - direction
	Star2 - direction
	GroundStation4 - direction
	GroundStation5 - direction
	GroundStation1 - direction
	Star3 - direction
	Planet6 - direction
	Planet7 - direction
	Star8 - direction
	Phenomenon9 - direction
	Star10 - direction
	Phenomenon11 - direction
	Planet12 - direction
	Star13 - direction
)
(:init (= (multiplier nocooling) 1) (= (multiplier cooled) 1.5)
	(canincrease) (not-decreasing) (not-increasing) (not-flat)
	(= (powered) 0)
	(supports instrument0 spectrograph2)
	(calibration_target instrument0 Star0)
	(= (calibration_time instrument0 Star0) 78.8)
	(calibration_target instrument0 Star3)
	(= (calibration_time instrument0 Star3) 33.4)
	(on_board instrument0 satellite0)	(idle instrument0)
	(= (power_avail satellite0) 0.5)
	(pointing satellite0 Planet7)
	(= (data_capacity satellite0) 1000)
	(supports instrument1 spectrograph2)
	(supports instrument1 spectrograph0)
	(calibration_target instrument1 GroundStation4)
	(= (calibration_time instrument1 GroundStation4) 1.86)
	(supports instrument2 spectrograph0)
	(supports instrument2 spectrograph2)
	(calibration_target instrument2 Star2)
	(= (calibration_time instrument2 Star2) 79.8)
	(calibration_target instrument2 GroundStation4)
	(= (calibration_time instrument2 GroundStation4) 73.1)
	(on_board instrument1 satellite1)	(idle instrument1)
	(on_board instrument2 satellite1)	(idle instrument2)
	(= (power_avail satellite1) 0.5)
	(pointing satellite1 Planet12)
	(= (data_capacity satellite1) 1000)
	(supports instrument3 infrared1)
	(supports instrument3 image3)
	(supports instrument3 spectrograph0)
	(calibration_target instrument3 Star0)
	(= (calibration_time instrument3 Star0) 9.91)
	(calibration_target instrument3 Star3)
	(= (calibration_time instrument3 Star3) 33.7)
	(supports instrument4 image3)
	(supports instrument4 spectrograph2)
	(supports instrument4 spectrograph0)
	(calibration_target instrument4 Star2)
	(= (calibration_time instrument4 Star2) 33)
	(calibration_target instrument4 GroundStation1)
	(= (calibration_time instrument4 GroundStation1) 10.2)
	(supports instrument5 image3)
	(supports instrument5 spectrograph0)
	(supports instrument5 spectrograph2)
	(calibration_target instrument5 GroundStation5)
	(= (calibration_time instrument5 GroundStation5) 80.2)
	(calibration_target instrument5 GroundStation4)
	(= (calibration_time instrument5 GroundStation4) 95.1)
	(on_board instrument3 satellite2)	(idle instrument3)
	(on_board instrument4 satellite2)	(idle instrument4)
	(on_board instrument5 satellite2)	(idle instrument5)
	(= (power_avail satellite2) 0.5)
	(pointing satellite2 Planet7)
	(= (data_capacity satellite2) 1000)
	(supports instrument6 spectrograph2)
	(supports instrument6 image3)
	(supports instrument6 infrared1)
	(calibration_target instrument6 Star3)
	(= (calibration_time instrument6 Star3) 8.89)
	(on_board instrument6 satellite3)	(idle instrument6)
	(= (power_avail satellite3) 0.5)
	(pointing satellite3 Planet7)
	(= (data_capacity satellite3) 1000)
	(supports instrument7 infrared1)
	(supports instrument7 spectrograph0)
	(supports instrument7 image3)
	(calibration_target instrument7 Star3)
	(= (calibration_time instrument7 Star3) 14.7)
	(calibration_target instrument7 GroundStation1)
	(= (calibration_time instrument7 GroundStation1) 66.1)
	(on_board instrument7 satellite4)	(idle instrument7)
	(= (power_avail satellite4) 0.5)
	(pointing satellite4 GroundStation1)
	(= (data_capacity satellite4) 1000)
	(= (data Planet6 spectrograph2) 296)
	(= (data Planet7 spectrograph2) 11)
	(= (data Star8 spectrograph2) 1)
	(= (data Phenomenon9 spectrograph2) 27)
	(= (data Star10 spectrograph2) 281)
	(= (data Phenomenon11 spectrograph2) 236)
	(= (data Planet12 spectrograph2) 193)
	(= (data Star13 spectrograph2) 194)
	(= (data Planet6 image3) 278)
	(= (data Planet7 image3) 267)
	(= (data Star8 image3) 13)
	(= (data Phenomenon9 image3) 44)
	(= (data Star10 image3) 77)
	(= (data Phenomenon11 image3) 95)
	(= (data Planet12 image3) 13)
	(= (data Star13 image3) 1)
	(= (data Planet6 spectrograph0) 18)
	(= (data Planet7 spectrograph0) 4)
	(= (data Star8 spectrograph0) 22)
	(= (data Phenomenon9 spectrograph0) 76)
	(= (data Star10 spectrograph0) 1)
	(= (data Phenomenon11 spectrograph0) 114)
	(= (data Planet12 spectrograph0) 288)
	(= (data Star13 spectrograph0) 144)
	(= (data Planet6 infrared1) 198)
	(= (data Planet7 infrared1) 209)
	(= (data Star8 infrared1) 211)
	(= (data Phenomenon9 infrared1) 256)
	(= (data Star10 infrared1) 145)
	(= (data Phenomenon11 infrared1) 247)
	(= (data Planet12 infrared1) 144)
	(= (data Star13 infrared1) 53)
	(= (slew_time Star2 Star0) 19.93)
	(= (slew_time Star0 Star2) 19.93)
	(= (slew_time Star2 GroundStation1) 5.224)
	(= (slew_time GroundStation1 Star2) 5.224)
	(= (slew_time GroundStation4 Star0) 42.59)
	(= (slew_time Star0 GroundStation4) 42.59)
	(= (slew_time GroundStation4 GroundStation1) 29.82)
	(= (slew_time GroundStation1 GroundStation4) 29.82)
	(= (slew_time GroundStation4 Star2) 67.3)
	(= (slew_time Star2 GroundStation4) 67.3)
	(= (slew_time GroundStation4 Star3) 69.57)
	(= (slew_time Star3 GroundStation4) 69.57)
	(= (slew_time GroundStation5 Star0) 43.98)
	(= (slew_time Star0 GroundStation5) 43.98)
	(= (slew_time GroundStation5 GroundStation1) 34.35)
	(= (slew_time GroundStation1 GroundStation5) 34.35)
	(= (slew_time GroundStation5 Star2) 58.75)
	(= (slew_time Star2 GroundStation5) 58.75)
	(= (slew_time GroundStation5 Star3) 18.83)
	(= (slew_time Star3 GroundStation5) 18.83)
	(= (slew_time GroundStation5 GroundStation4) 34.08)
	(= (slew_time GroundStation4 GroundStation5) 34.08)
	(= (slew_time GroundStation1 Star0) 58.19)
	(= (slew_time Star0 GroundStation1) 58.19)
	(= (slew_time Star3 Star0) 64.31)
	(= (slew_time Star0 Star3) 64.31)
	(= (slew_time Star3 GroundStation1) 58.02)
	(= (slew_time GroundStation1 Star3) 58.02)
	(= (slew_time Star3 Star2) 55.62)
	(= (slew_time Star2 Star3) 55.62)
	(= (slew_time Planet6 Star0) 17.53)
	(= (slew_time Star0 Planet6) 17.53)
	(= (slew_time Planet6 GroundStation1) 0.5957)
	(= (slew_time GroundStation1 Planet6) 0.5957)
	(= (slew_time Planet6 Star2) 9.28)
	(= (slew_time Star2 Planet6) 9.28)
	(= (slew_time Planet6 Star3) 3.811)
	(= (slew_time Star3 Planet6) 3.811)
	(= (slew_time Planet6 GroundStation4) 34.24)
	(= (slew_time GroundStation4 Planet6) 34.24)
	(= (slew_time Planet6 GroundStation5) 0.1716)
	(= (slew_time GroundStation5 Planet6) 0.1716)
	(= (slew_time Planet7 Star0) 23.32)
	(= (slew_time Star0 Planet7) 23.32)
	(= (slew_time Planet7 GroundStation1) 44.4)
	(= (slew_time GroundStation1 Planet7) 44.4)
	(= (slew_time Planet7 Star2) 55.59)
	(= (slew_time Star2 Planet7) 55.59)
	(= (slew_time Planet7 Star3) 62.78)
	(= (slew_time Star3 Planet7) 62.78)
	(= (slew_time Planet7 GroundStation4) 11.66)
	(= (slew_time GroundStation4 Planet7) 11.66)
	(= (slew_time Planet7 GroundStation5) 41.64)
	(= (slew_time GroundStation5 Planet7) 41.64)
	(= (slew_time Planet7 Planet6) 42.06)
	(= (slew_time Planet6 Planet7) 42.06)
	(= (slew_time Star8 Star0) 42.02)
	(= (slew_time Star0 Star8) 42.02)
	(= (slew_time Star8 GroundStation1) 1.917)
	(= (slew_time GroundStation1 Star8) 1.917)
	(= (slew_time Star8 Star2) 2.456)
	(= (slew_time Star2 Star8) 2.456)
	(= (slew_time Star8 Star3) 62.15)
	(= (slew_time Star3 Star8) 62.15)
	(= (slew_time Star8 GroundStation4) 37.13)
	(= (slew_time GroundStation4 Star8) 37.13)
	(= (slew_time Star8 GroundStation5) 17.92)
	(= (slew_time GroundStation5 Star8) 17.92)
	(= (slew_time Star8 Planet6) 3.849)
	(= (slew_time Planet6 Star8) 3.849)
	(= (slew_time Star8 Planet7) 3.955)
	(= (slew_time Planet7 Star8) 3.955)
	(= (slew_time Phenomenon9 Star0) 2.94)
	(= (slew_time Star0 Phenomenon9) 2.94)
	(= (slew_time Phenomenon9 GroundStation1) 67.78)
	(= (slew_time GroundStation1 Phenomenon9) 67.78)
	(= (slew_time Phenomenon9 Star2) 5.532)
	(= (slew_time Star2 Phenomenon9) 5.532)
	(= (slew_time Phenomenon9 Star3) 65.9)
	(= (slew_time Star3 Phenomenon9) 65.9)
	(= (slew_time Phenomenon9 GroundStation4) 71.75)
	(= (slew_time GroundStation4 Phenomenon9) 71.75)
	(= (slew_time Phenomenon9 GroundStation5) 52.7)
	(= (slew_time GroundStation5 Phenomenon9) 52.7)
	(= (slew_time Phenomenon9 Planet6) 9.432)
	(= (slew_time Planet6 Phenomenon9) 9.432)
	(= (slew_time Phenomenon9 Planet7) 72.87)
	(= (slew_time Planet7 Phenomenon9) 72.87)
	(= (slew_time Phenomenon9 Star8) 5.091)
	(= (slew_time Star8 Phenomenon9) 5.091)
	(= (slew_time Star10 Star0) 30.26)
	(= (slew_time Star0 Star10) 30.26)
	(= (slew_time Star10 GroundStation1) 38.08)
	(= (slew_time GroundStation1 Star10) 38.08)
	(= (slew_time Star10 Star2) 64.37)
	(= (slew_time Star2 Star10) 64.37)
	(= (slew_time Star10 Star3) 45.56)
	(= (slew_time Star3 Star10) 45.56)
	(= (slew_time Star10 GroundStation4) 75.36)
	(= (slew_time GroundStation4 Star10) 75.36)
	(= (slew_time Star10 GroundStation5) 14.45)
	(= (slew_time GroundStation5 Star10) 14.45)
	(= (slew_time Star10 Planet6) 1.358)
	(= (slew_time Planet6 Star10) 1.358)
	(= (slew_time Star10 Planet7) 9.08)
	(= (slew_time Planet7 Star10) 9.08)
	(= (slew_time Star10 Star8) 73.41)
	(= (slew_time Star8 Star10) 73.41)
	(= (slew_time Star10 Phenomenon9) 58.11)
	(= (slew_time Phenomenon9 Star10) 58.11)
	(= (slew_time Phenomenon11 Star0) 31.02)
	(= (slew_time Star0 Phenomenon11) 31.02)
	(= (slew_time Phenomenon11 GroundStation1) 40.48)
	(= (slew_time GroundStation1 Phenomenon11) 40.48)
	(= (slew_time Phenomenon11 Star2) 5.705)
	(= (slew_time Star2 Phenomenon11) 5.705)
	(= (slew_time Phenomenon11 Star3) 12.42)
	(= (slew_time Star3 Phenomenon11) 12.42)
	(= (slew_time Phenomenon11 GroundStation4) 61.37)
	(= (slew_time GroundStation4 Phenomenon11) 61.37)
	(= (slew_time Phenomenon11 GroundStation5) 66.66)
	(= (slew_time GroundStation5 Phenomenon11) 66.66)
	(= (slew_time Phenomenon11 Planet6) 9.075)
	(= (slew_time Planet6 Phenomenon11) 9.075)
	(= (slew_time Phenomenon11 Planet7) 55.25)
	(= (slew_time Planet7 Phenomenon11) 55.25)
	(= (slew_time Phenomenon11 Star8) 23.81)
	(= (slew_time Star8 Phenomenon11) 23.81)
	(= (slew_time Phenomenon11 Phenomenon9) 40.94)
	(= (slew_time Phenomenon9 Phenomenon11) 40.94)
	(= (slew_time Phenomenon11 Star10) 17.16)
	(= (slew_time Star10 Phenomenon11) 17.16)
	(= (slew_time Planet12 Star0) 4.558)
	(= (slew_time Star0 Planet12) 4.558)
	(= (slew_time Planet12 GroundStation1) 13.49)
	(= (slew_time GroundStation1 Planet12) 13.49)
	(= (slew_time Planet12 Star2) 39.36)
	(= (slew_time Star2 Planet12) 39.36)
	(= (slew_time Planet12 Star3) 52.57)
	(= (slew_time Star3 Planet12) 52.57)
	(= (slew_time Planet12 GroundStation4) 10.74)
	(= (slew_time GroundStation4 Planet12) 10.74)
	(= (slew_time Planet12 GroundStation5) 68.97)
	(= (slew_time GroundStation5 Planet12) 68.97)
	(= (slew_time Planet12 Planet6) 5.186)
	(= (slew_time Planet6 Planet12) 5.186)
	(= (slew_time Planet12 Planet7) 37.04)
	(= (slew_time Planet7 Planet12) 37.04)
	(= (slew_time Planet12 Star8) 52.18)
	(= (slew_time Star8 Planet12) 52.18)
	(= (slew_time Planet12 Phenomenon9) 24.76)
	(= (slew_time Phenomenon9 Planet12) 24.76)
	(= (slew_time Planet12 Star10) 41.94)
	(= (slew_time Star10 Planet12) 41.94)
	(= (slew_time Planet12 Phenomenon11) 7.829)
	(= (slew_time Phenomenon11 Planet12) 7.829)
	(= (slew_time Star13 Star0) 38.16)
	(= (slew_time Star0 Star13) 38.16)
	(= (slew_time Star13 GroundStation1) 1.514)
	(= (slew_time GroundStation1 Star13) 1.514)
	(= (slew_time Star13 Star2) 27.41)
	(= (slew_time Star2 Star13) 27.41)
	(= (slew_time Star13 Star3) 28.15)
	(= (slew_time Star3 Star13) 28.15)
	(= (slew_time Star13 GroundStation4) 57.74)
	(= (slew_time GroundStation4 Star13) 57.74)
	(= (slew_time Star13 GroundStation5) 17.78)
	(= (slew_time GroundStation5 Star13) 17.78)
	(= (slew_time Star13 Planet6) 42.99)
	(= (slew_time Planet6 Star13) 42.99)
	(= (slew_time Star13 Planet7) 7.876)
	(= (slew_time Planet7 Star13) 7.876)
	(= (slew_time Star13 Star8) 15.66)
	(= (slew_time Star8 Star13) 15.66)
	(= (slew_time Star13 Phenomenon9) 2.307)
	(= (slew_time Phenomenon9 Star13) 2.307)
	(= (slew_time Star13 Star10) 40.23)
	(= (slew_time Star10 Star13) 40.23)
	(= (slew_time Star13 Phenomenon11) 29.54)
	(= (slew_time Phenomenon11 Star13) 29.54)
	(= (slew_time Star13 Planet12) 38.72)
	(= (slew_time Planet12 Star13) 38.72)
	(= (data-stored) 0)
	(want Planet6 spectrograph0)
	(want Planet7 image3)
	(want Phenomenon9 infrared1)
	(want Star10 infrared1)
	(want Phenomenon11 image3)
	(want Planet12 spectrograph0)
	(want Star13 image3)
)
(:goal (and
	(pointing satellite1 GroundStation5)
	(pointing satellite2 Planet12)
	(pointing satellite3 GroundStation5)
	(have_image Planet6 spectrograph0)
	(have_image Planet7 image3)
	(have_image Phenomenon9 infrared1)
	(have_image Star10 infrared1)
	(have_image Phenomenon11 image3)
	(have_image Planet12 spectrograph0)
	(have_image Star13 image3)
))
(:metric minimize (total-time))

)
