(define (problem strips-sat-x-1)
(:domain satellite)
(:objects
	cooled nocooling - coolingstatus
	satellite0 - satellite
	instrument0 - instrument
	instrument1 - instrument
	instrument2 - instrument
	satellite1 - satellite
	instrument3 - instrument
	satellite2 - satellite
	instrument4 - instrument
	instrument5 - instrument
	instrument6 - instrument
	satellite3 - satellite
	instrument7 - instrument
	instrument8 - instrument
	image0 - mode
	spectrograph3 - mode
	spectrograph1 - mode
	infrared2 - mode
	Star0 - direction
	GroundStation2 - direction
	GroundStation1 - direction
	GroundStation3 - direction
	GroundStation4 - direction
	Phenomenon5 - direction
	Phenomenon6 - direction
	Phenomenon7 - direction
	Phenomenon8 - direction
	Planet9 - direction
	Planet10 - direction
	Planet11 - direction
	Planet12 - direction
	Phenomenon13 - direction
)
(:init (= (multiplier nocooling) 1) (= (multiplier cooled) 1.5)
	(canincrease) (not-decreasing) (not-increasing) (not-flat)
	(= (powered) 0)
	(supports instrument0 spectrograph3)
	(supports instrument0 infrared2)
	(calibration_target instrument0 Star0)
	(= (calibration_time instrument0 Star0) 83.8)
	(supports instrument1 image0)
	(supports instrument1 spectrograph1)
	(supports instrument1 spectrograph3)
	(calibration_target instrument1 GroundStation1)
	(= (calibration_time instrument1 GroundStation1) 76.1)
	(supports instrument2 image0)
	(supports instrument2 spectrograph1)
	(supports instrument2 infrared2)
	(calibration_target instrument2 GroundStation4)
	(= (calibration_time instrument2 GroundStation4) 31.3)
	(on_board instrument0 satellite0)	(idle instrument0)
	(on_board instrument1 satellite0)	(idle instrument1)
	(on_board instrument2 satellite0)	(idle instrument2)
	(= (power_avail satellite0) 0.5)
	(pointing satellite0 Planet9)
	(= (data_capacity satellite0) 1000)
	(supports instrument3 spectrograph1)
	(supports instrument3 image0)
	(supports instrument3 infrared2)
	(calibration_target instrument3 GroundStation2)
	(= (calibration_time instrument3 GroundStation2) 17.4)
	(on_board instrument3 satellite1)	(idle instrument3)
	(= (power_avail satellite1) 0.5)
	(pointing satellite1 Planet9)
	(= (data_capacity satellite1) 1000)
	(supports instrument4 spectrograph3)
	(calibration_target instrument4 GroundStation4)
	(= (calibration_time instrument4 GroundStation4) 7.38)
	(supports instrument5 spectrograph3)
	(supports instrument5 infrared2)
	(calibration_target instrument5 GroundStation3)
	(= (calibration_time instrument5 GroundStation3) 92.6)
	(supports instrument6 spectrograph1)
	(supports instrument6 spectrograph3)
	(calibration_target instrument6 GroundStation1)
	(= (calibration_time instrument6 GroundStation1) 3.26)
	(on_board instrument4 satellite2)	(idle instrument4)
	(on_board instrument5 satellite2)	(idle instrument5)
	(on_board instrument6 satellite2)	(idle instrument6)
	(= (power_avail satellite2) 0.5)
	(pointing satellite2 GroundStation3)
	(= (data_capacity satellite2) 1000)
	(supports instrument7 infrared2)
	(supports instrument7 spectrograph3)
	(calibration_target instrument7 GroundStation3)
	(= (calibration_time instrument7 GroundStation3) 47.6)
	(supports instrument8 infrared2)
	(supports instrument8 spectrograph1)
	(calibration_target instrument8 GroundStation4)
	(= (calibration_time instrument8 GroundStation4) 66.1)
	(on_board instrument7 satellite3)	(idle instrument7)
	(on_board instrument8 satellite3)	(idle instrument8)
	(= (power_avail satellite3) 0.5)
	(pointing satellite3 Planet12)
	(= (data_capacity satellite3) 1000)
	(= (data Phenomenon5 image0) 55)
	(= (data Phenomenon6 image0) 210)
	(= (data Phenomenon7 image0) 70)
	(= (data Phenomenon8 image0) 271)
	(= (data Planet9 image0) 197)
	(= (data Planet10 image0) 8)
	(= (data Planet11 image0) 129)
	(= (data Planet12 image0) 26)
	(= (data Phenomenon13 image0) 278)
	(= (data Phenomenon5 spectrograph3) 35)
	(= (data Phenomenon6 spectrograph3) 187)
	(= (data Phenomenon7 spectrograph3) 273)
	(= (data Phenomenon8 spectrograph3) 112)
	(= (data Planet9 spectrograph3) 223)
	(= (data Planet10 spectrograph3) 205)
	(= (data Planet11 spectrograph3) 164)
	(= (data Planet12 spectrograph3) 278)
	(= (data Phenomenon13 spectrograph3) 39)
	(= (data Phenomenon5 spectrograph1) 35)
	(= (data Phenomenon6 spectrograph1) 139)
	(= (data Phenomenon7 spectrograph1) 160)
	(= (data Phenomenon8 spectrograph1) 87)
	(= (data Planet9 spectrograph1) 92)
	(= (data Planet10 spectrograph1) 66)
	(= (data Planet11 spectrograph1) 49)
	(= (data Planet12 spectrograph1) 155)
	(= (data Phenomenon13 spectrograph1) 8)
	(= (data Phenomenon5 infrared2) 9)
	(= (data Phenomenon6 infrared2) 92)
	(= (data Phenomenon7 infrared2) 265)
	(= (data Phenomenon8 infrared2) 172)
	(= (data Planet9 infrared2) 97)
	(= (data Planet10 infrared2) 36)
	(= (data Planet11 infrared2) 113)
	(= (data Planet12 infrared2) 241)
	(= (data Phenomenon13 infrared2) 298)
	(= (slew_time GroundStation2 Star0) 39.87)
	(= (slew_time Star0 GroundStation2) 39.87)
	(= (slew_time GroundStation2 GroundStation1) 41.83)
	(= (slew_time GroundStation1 GroundStation2) 41.83)
	(= (slew_time GroundStation1 Star0) 4.028)
	(= (slew_time Star0 GroundStation1) 4.028)
	(= (slew_time GroundStation3 Star0) 13.23)
	(= (slew_time Star0 GroundStation3) 13.23)
	(= (slew_time GroundStation3 GroundStation1) 27.02)
	(= (slew_time GroundStation1 GroundStation3) 27.02)
	(= (slew_time GroundStation3 GroundStation2) 73.82)
	(= (slew_time GroundStation2 GroundStation3) 73.82)
	(= (slew_time GroundStation4 Star0) 19.15)
	(= (slew_time Star0 GroundStation4) 19.15)
	(= (slew_time GroundStation4 GroundStation1) 45.3)
	(= (slew_time GroundStation1 GroundStation4) 45.3)
	(= (slew_time GroundStation4 GroundStation2) 63.94)
	(= (slew_time GroundStation2 GroundStation4) 63.94)
	(= (slew_time GroundStation4 GroundStation3) 16.17)
	(= (slew_time GroundStation3 GroundStation4) 16.17)
	(= (slew_time Phenomenon5 Star0) 3.631)
	(= (slew_time Star0 Phenomenon5) 3.631)
	(= (slew_time Phenomenon5 GroundStation1) 64.7)
	(= (slew_time GroundStation1 Phenomenon5) 64.7)
	(= (slew_time Phenomenon5 GroundStation2) 40.23)
	(= (slew_time GroundStation2 Phenomenon5) 40.23)
	(= (slew_time Phenomenon5 GroundStation3) 23.36)
	(= (slew_time GroundStation3 Phenomenon5) 23.36)
	(= (slew_time Phenomenon5 GroundStation4) 75.07)
	(= (slew_time GroundStation4 Phenomenon5) 75.07)
	(= (slew_time Phenomenon6 Star0) 73.21)
	(= (slew_time Star0 Phenomenon6) 73.21)
	(= (slew_time Phenomenon6 GroundStation1) 39.58)
	(= (slew_time GroundStation1 Phenomenon6) 39.58)
	(= (slew_time Phenomenon6 GroundStation2) 1.716)
	(= (slew_time GroundStation2 Phenomenon6) 1.716)
	(= (slew_time Phenomenon6 GroundStation3) 11.45)
	(= (slew_time GroundStation3 Phenomenon6) 11.45)
	(= (slew_time Phenomenon6 GroundStation4) 25.95)
	(= (slew_time GroundStation4 Phenomenon6) 25.95)
	(= (slew_time Phenomenon6 Phenomenon5) 67.36)
	(= (slew_time Phenomenon5 Phenomenon6) 67.36)
	(= (slew_time Phenomenon7 Star0) 28.69)
	(= (slew_time Star0 Phenomenon7) 28.69)
	(= (slew_time Phenomenon7 GroundStation1) 0.9938)
	(= (slew_time GroundStation1 Phenomenon7) 0.9938)
	(= (slew_time Phenomenon7 GroundStation2) 73.36)
	(= (slew_time GroundStation2 Phenomenon7) 73.36)
	(= (slew_time Phenomenon7 GroundStation3) 11.9)
	(= (slew_time GroundStation3 Phenomenon7) 11.9)
	(= (slew_time Phenomenon7 GroundStation4) 5.543)
	(= (slew_time GroundStation4 Phenomenon7) 5.543)
	(= (slew_time Phenomenon7 Phenomenon5) 86.64)
	(= (slew_time Phenomenon5 Phenomenon7) 86.64)
	(= (slew_time Phenomenon7 Phenomenon6) 79.42)
	(= (slew_time Phenomenon6 Phenomenon7) 79.42)
	(= (slew_time Phenomenon8 Star0) 26.37)
	(= (slew_time Star0 Phenomenon8) 26.37)
	(= (slew_time Phenomenon8 GroundStation1) 8.413)
	(= (slew_time GroundStation1 Phenomenon8) 8.413)
	(= (slew_time Phenomenon8 GroundStation2) 39.45)
	(= (slew_time GroundStation2 Phenomenon8) 39.45)
	(= (slew_time Phenomenon8 GroundStation3) 2.267)
	(= (slew_time GroundStation3 Phenomenon8) 2.267)
	(= (slew_time Phenomenon8 GroundStation4) 20.62)
	(= (slew_time GroundStation4 Phenomenon8) 20.62)
	(= (slew_time Phenomenon8 Phenomenon5) 0.6074)
	(= (slew_time Phenomenon5 Phenomenon8) 0.6074)
	(= (slew_time Phenomenon8 Phenomenon6) 35.98)
	(= (slew_time Phenomenon6 Phenomenon8) 35.98)
	(= (slew_time Phenomenon8 Phenomenon7) 22.97)
	(= (slew_time Phenomenon7 Phenomenon8) 22.97)
	(= (slew_time Planet9 Star0) 9.521)
	(= (slew_time Star0 Planet9) 9.521)
	(= (slew_time Planet9 GroundStation1) 24.91)
	(= (slew_time GroundStation1 Planet9) 24.91)
	(= (slew_time Planet9 GroundStation2) 23.96)
	(= (slew_time GroundStation2 Planet9) 23.96)
	(= (slew_time Planet9 GroundStation3) 2.043)
	(= (slew_time GroundStation3 Planet9) 2.043)
	(= (slew_time Planet9 GroundStation4) 22.78)
	(= (slew_time GroundStation4 Planet9) 22.78)
	(= (slew_time Planet9 Phenomenon5) 15.43)
	(= (slew_time Phenomenon5 Planet9) 15.43)
	(= (slew_time Planet9 Phenomenon6) 61.41)
	(= (slew_time Phenomenon6 Planet9) 61.41)
	(= (slew_time Planet9 Phenomenon7) 69.8)
	(= (slew_time Phenomenon7 Planet9) 69.8)
	(= (slew_time Planet9 Phenomenon8) 51.35)
	(= (slew_time Phenomenon8 Planet9) 51.35)
	(= (slew_time Planet10 Star0) 65.4)
	(= (slew_time Star0 Planet10) 65.4)
	(= (slew_time Planet10 GroundStation1) 42.15)
	(= (slew_time GroundStation1 Planet10) 42.15)
	(= (slew_time Planet10 GroundStation2) 6.774)
	(= (slew_time GroundStation2 Planet10) 6.774)
	(= (slew_time Planet10 GroundStation3) 3.42)
	(= (slew_time GroundStation3 Planet10) 3.42)
	(= (slew_time Planet10 GroundStation4) 8.868)
	(= (slew_time GroundStation4 Planet10) 8.868)
	(= (slew_time Planet10 Phenomenon5) 40.48)
	(= (slew_time Phenomenon5 Planet10) 40.48)
	(= (slew_time Planet10 Phenomenon6) 24.97)
	(= (slew_time Phenomenon6 Planet10) 24.97)
	(= (slew_time Planet10 Phenomenon7) 13.2)
	(= (slew_time Phenomenon7 Planet10) 13.2)
	(= (slew_time Planet10 Phenomenon8) 74.5)
	(= (slew_time Phenomenon8 Planet10) 74.5)
	(= (slew_time Planet10 Planet9) 58.09)
	(= (slew_time Planet9 Planet10) 58.09)
	(= (slew_time Planet11 Star0) 8.308)
	(= (slew_time Star0 Planet11) 8.308)
	(= (slew_time Planet11 GroundStation1) 2.043)
	(= (slew_time GroundStation1 Planet11) 2.043)
	(= (slew_time Planet11 GroundStation2) 20.75)
	(= (slew_time GroundStation2 Planet11) 20.75)
	(= (slew_time Planet11 GroundStation3) 59.23)
	(= (slew_time GroundStation3 Planet11) 59.23)
	(= (slew_time Planet11 GroundStation4) 8.227)
	(= (slew_time GroundStation4 Planet11) 8.227)
	(= (slew_time Planet11 Phenomenon5) 17.71)
	(= (slew_time Phenomenon5 Planet11) 17.71)
	(= (slew_time Planet11 Phenomenon6) 28.43)
	(= (slew_time Phenomenon6 Planet11) 28.43)
	(= (slew_time Planet11 Phenomenon7) 23.92)
	(= (slew_time Phenomenon7 Planet11) 23.92)
	(= (slew_time Planet11 Phenomenon8) 13.96)
	(= (slew_time Phenomenon8 Planet11) 13.96)
	(= (slew_time Planet11 Planet9) 36.94)
	(= (slew_time Planet9 Planet11) 36.94)
	(= (slew_time Planet11 Planet10) 11.1)
	(= (slew_time Planet10 Planet11) 11.1)
	(= (slew_time Planet12 Star0) 5.36)
	(= (slew_time Star0 Planet12) 5.36)
	(= (slew_time Planet12 GroundStation1) 71.73)
	(= (slew_time GroundStation1 Planet12) 71.73)
	(= (slew_time Planet12 GroundStation2) 35.33)
	(= (slew_time GroundStation2 Planet12) 35.33)
	(= (slew_time Planet12 GroundStation3) 56.58)
	(= (slew_time GroundStation3 Planet12) 56.58)
	(= (slew_time Planet12 GroundStation4) 6.465)
	(= (slew_time GroundStation4 Planet12) 6.465)
	(= (slew_time Planet12 Phenomenon5) 20.3)
	(= (slew_time Phenomenon5 Planet12) 20.3)
	(= (slew_time Planet12 Phenomenon6) 18.1)
	(= (slew_time Phenomenon6 Planet12) 18.1)
	(= (slew_time Planet12 Phenomenon7) 11.53)
	(= (slew_time Phenomenon7 Planet12) 11.53)
	(= (slew_time Planet12 Phenomenon8) 11.59)
	(= (slew_time Phenomenon8 Planet12) 11.59)
	(= (slew_time Planet12 Planet9) 57.06)
	(= (slew_time Planet9 Planet12) 57.06)
	(= (slew_time Planet12 Planet10) 9.1)
	(= (slew_time Planet10 Planet12) 9.1)
	(= (slew_time Planet12 Planet11) 20.37)
	(= (slew_time Planet11 Planet12) 20.37)
	(= (slew_time Phenomenon13 Star0) 37.87)
	(= (slew_time Star0 Phenomenon13) 37.87)
	(= (slew_time Phenomenon13 GroundStation1) 51.96)
	(= (slew_time GroundStation1 Phenomenon13) 51.96)
	(= (slew_time Phenomenon13 GroundStation2) 48.23)
	(= (slew_time GroundStation2 Phenomenon13) 48.23)
	(= (slew_time Phenomenon13 GroundStation3) 50.69)
	(= (slew_time GroundStation3 Phenomenon13) 50.69)
	(= (slew_time Phenomenon13 GroundStation4) 69.42)
	(= (slew_time GroundStation4 Phenomenon13) 69.42)
	(= (slew_time Phenomenon13 Phenomenon5) 46.99)
	(= (slew_time Phenomenon5 Phenomenon13) 46.99)
	(= (slew_time Phenomenon13 Phenomenon6) 38.53)
	(= (slew_time Phenomenon6 Phenomenon13) 38.53)
	(= (slew_time Phenomenon13 Phenomenon7) 57.15)
	(= (slew_time Phenomenon7 Phenomenon13) 57.15)
	(= (slew_time Phenomenon13 Phenomenon8) 56.09)
	(= (slew_time Phenomenon8 Phenomenon13) 56.09)
	(= (slew_time Phenomenon13 Planet9) 75.22)
	(= (slew_time Planet9 Phenomenon13) 75.22)
	(= (slew_time Phenomenon13 Planet10) 68.07)
	(= (slew_time Planet10 Phenomenon13) 68.07)
	(= (slew_time Phenomenon13 Planet11) 81.13)
	(= (slew_time Planet11 Phenomenon13) 81.13)
	(= (slew_time Phenomenon13 Planet12) 82.28)
	(= (slew_time Planet12 Phenomenon13) 82.28)
	(= (data-stored) 0)
	(want Phenomenon5 infrared2)
	(want Phenomenon6 spectrograph3)
	(want Phenomenon7 image0)
	(want Planet9 infrared2)
	(want Planet10 spectrograph3)
	(want Planet11 spectrograph1)
)
(:goal (and
	(pointing satellite1 GroundStation2)
	(pointing satellite3 Phenomenon7)
	(have_image Phenomenon5 infrared2)
	(have_image Phenomenon6 spectrograph3)
	(have_image Phenomenon7 image0)
	(have_image Planet9 infrared2)
	(have_image Planet10 spectrograph3)
	(have_image Planet11 spectrograph1)
))
(:metric minimize (total-time))

)
