(define (problem strips-sat-x-1)
(:domain satellite)
(:objects
	cooled nocooling - coolingstatus
	satellite0 - satellite
	instrument0 - instrument
	instrument1 - instrument
	satellite1 - satellite
	instrument2 - instrument
	instrument3 - instrument
	instrument4 - instrument
	satellite2 - satellite
	instrument5 - instrument
	satellite3 - satellite
	instrument6 - instrument
	satellite4 - satellite
	instrument7 - instrument
	infrared3 - mode
	image2 - mode
	spectrograph0 - mode
	spectrograph1 - mode
	Star2 - direction
	GroundStation4 - direction
	Star0 - direction
	Star3 - direction
	GroundStation1 - direction
	GroundStation5 - direction
	Phenomenon6 - direction
	Star7 - direction
	Planet8 - direction
	Star9 - direction
	Phenomenon10 - direction
	Star11 - direction
	Planet12 - direction
	Phenomenon13 - direction
	Planet14 - direction
)
(:init (= (multiplier nocooling) 1) (= (multiplier cooled) 1.5)
	(canincrease) (not-decreasing) (not-increasing) (not-flat)
	(= (powered) 0)
	(supports instrument0 image2)
	(supports instrument0 infrared3)
	(calibration_target instrument0 Star0)
	(= (calibration_time instrument0 Star0) 30.9)
	(supports instrument1 spectrograph1)
	(calibration_target instrument1 Star3)
	(= (calibration_time instrument1 Star3) 61)
	(on_board instrument0 satellite0)	(idle instrument0)
	(on_board instrument1 satellite0)	(idle instrument1)
	(= (power_avail satellite0) 0.5)
	(pointing satellite0 Star9)
	(= (data_capacity satellite0) 1000)
	(supports instrument2 infrared3)
	(supports instrument2 spectrograph1)
	(supports instrument2 image2)
	(calibration_target instrument2 Star0)
	(= (calibration_time instrument2 Star0) 14)
	(supports instrument3 image2)
	(supports instrument3 spectrograph0)
	(calibration_target instrument3 Star0)
	(= (calibration_time instrument3 Star0) 15.3)
	(calibration_target instrument3 GroundStation5)
	(= (calibration_time instrument3 GroundStation5) 30.6)
	(supports instrument4 spectrograph0)
	(supports instrument4 infrared3)
	(supports instrument4 spectrograph1)
	(calibration_target instrument4 GroundStation5)
	(= (calibration_time instrument4 GroundStation5) 97.2)
	(calibration_target instrument4 GroundStation1)
	(= (calibration_time instrument4 GroundStation1) 40.1)
	(on_board instrument2 satellite1)	(idle instrument2)
	(on_board instrument3 satellite1)	(idle instrument3)
	(on_board instrument4 satellite1)	(idle instrument4)
	(= (power_avail satellite1) 0.5)
	(pointing satellite1 Planet14)
	(= (data_capacity satellite1) 1000)
	(supports instrument5 spectrograph1)
	(calibration_target instrument5 GroundStation5)
	(= (calibration_time instrument5 GroundStation5) 57.1)
	(on_board instrument5 satellite2)	(idle instrument5)
	(= (power_avail satellite2) 0.5)
	(pointing satellite2 Planet14)
	(= (data_capacity satellite2) 1000)
	(supports instrument6 spectrograph1)
	(supports instrument6 infrared3)
	(calibration_target instrument6 Star3)
	(= (calibration_time instrument6 Star3) 80.6)
	(on_board instrument6 satellite3)	(idle instrument6)
	(= (power_avail satellite3) 0.5)
	(pointing satellite3 Planet14)
	(= (data_capacity satellite3) 1000)
	(supports instrument7 spectrograph1)
	(supports instrument7 spectrograph0)
	(supports instrument7 image2)
	(calibration_target instrument7 GroundStation5)
	(= (calibration_time instrument7 GroundStation5) 24.8)
	(calibration_target instrument7 GroundStation1)
	(= (calibration_time instrument7 GroundStation1) 85.8)
	(on_board instrument7 satellite4)	(idle instrument7)
	(= (power_avail satellite4) 0.5)
	(pointing satellite4 Star3)
	(= (data_capacity satellite4) 1000)
	(= (data Phenomenon6 infrared3) 202)
	(= (data Star7 infrared3) 271)
	(= (data Planet8 infrared3) 128)
	(= (data Star9 infrared3) 237)
	(= (data Phenomenon10 infrared3) 296)
	(= (data Star11 infrared3) 253)
	(= (data Planet12 infrared3) 7)
	(= (data Phenomenon13 infrared3) 166)
	(= (data Planet14 infrared3) 282)
	(= (data Phenomenon6 image2) 243)
	(= (data Star7 image2) 257)
	(= (data Planet8 image2) 177)
	(= (data Star9 image2) 255)
	(= (data Phenomenon10 image2) 182)
	(= (data Star11 image2) 50)
	(= (data Planet12 image2) 252)
	(= (data Phenomenon13 image2) 173)
	(= (data Planet14 image2) 241)
	(= (data Phenomenon6 spectrograph0) 266)
	(= (data Star7 spectrograph0) 199)
	(= (data Planet8 spectrograph0) 44)
	(= (data Star9 spectrograph0) 147)
	(= (data Phenomenon10 spectrograph0) 150)
	(= (data Star11 spectrograph0) 72)
	(= (data Planet12 spectrograph0) 126)
	(= (data Phenomenon13 spectrograph0) 46)
	(= (data Planet14 spectrograph0) 279)
	(= (data Phenomenon6 spectrograph1) 120)
	(= (data Star7 spectrograph1) 167)
	(= (data Planet8 spectrograph1) 178)
	(= (data Star9 spectrograph1) 53)
	(= (data Phenomenon10 spectrograph1) 201)
	(= (data Star11 spectrograph1) 183)
	(= (data Planet12 spectrograph1) 165)
	(= (data Phenomenon13 spectrograph1) 30)
	(= (data Planet14 spectrograph1) 217)
	(= (slew_time Star2 Star0) 63.28)
	(= (slew_time Star0 Star2) 63.28)
	(= (slew_time Star2 GroundStation1) 10.66)
	(= (slew_time GroundStation1 Star2) 10.66)
	(= (slew_time GroundStation4 Star0) 3.263)
	(= (slew_time Star0 GroundStation4) 3.263)
	(= (slew_time GroundStation4 GroundStation1) 75.8)
	(= (slew_time GroundStation1 GroundStation4) 75.8)
	(= (slew_time GroundStation4 Star2) 17.75)
	(= (slew_time Star2 GroundStation4) 17.75)
	(= (slew_time GroundStation4 Star3) 32.6)
	(= (slew_time Star3 GroundStation4) 32.6)
	(= (slew_time Star3 Star0) 0.1457)
	(= (slew_time Star0 Star3) 0.1457)
	(= (slew_time Star3 GroundStation1) 18.24)
	(= (slew_time GroundStation1 Star3) 18.24)
	(= (slew_time Star3 Star2) 17.99)
	(= (slew_time Star2 Star3) 17.99)
	(= (slew_time GroundStation1 Star0) 3.838)
	(= (slew_time Star0 GroundStation1) 3.838)
	(= (slew_time GroundStation5 Star0) 11.38)
	(= (slew_time Star0 GroundStation5) 11.38)
	(= (slew_time GroundStation5 GroundStation1) 29.82)
	(= (slew_time GroundStation1 GroundStation5) 29.82)
	(= (slew_time GroundStation5 Star2) 2.285)
	(= (slew_time Star2 GroundStation5) 2.285)
	(= (slew_time GroundStation5 Star3) 24.83)
	(= (slew_time Star3 GroundStation5) 24.83)
	(= (slew_time GroundStation5 GroundStation4) 4.194)
	(= (slew_time GroundStation4 GroundStation5) 4.194)
	(= (slew_time Phenomenon6 Star0) 31.05)
	(= (slew_time Star0 Phenomenon6) 31.05)
	(= (slew_time Phenomenon6 GroundStation1) 36.08)
	(= (slew_time GroundStation1 Phenomenon6) 36.08)
	(= (slew_time Phenomenon6 Star2) 18.1)
	(= (slew_time Star2 Phenomenon6) 18.1)
	(= (slew_time Phenomenon6 Star3) 54.69)
	(= (slew_time Star3 Phenomenon6) 54.69)
	(= (slew_time Phenomenon6 GroundStation4) 4.408)
	(= (slew_time GroundStation4 Phenomenon6) 4.408)
	(= (slew_time Phenomenon6 GroundStation5) 28.1)
	(= (slew_time GroundStation5 Phenomenon6) 28.1)
	(= (slew_time Star7 Star0) 52.45)
	(= (slew_time Star0 Star7) 52.45)
	(= (slew_time Star7 GroundStation1) 4.935)
	(= (slew_time GroundStation1 Star7) 4.935)
	(= (slew_time Star7 Star2) 16.98)
	(= (slew_time Star2 Star7) 16.98)
	(= (slew_time Star7 Star3) 2.816)
	(= (slew_time Star3 Star7) 2.816)
	(= (slew_time Star7 GroundStation4) 39.62)
	(= (slew_time GroundStation4 Star7) 39.62)
	(= (slew_time Star7 GroundStation5) 43.19)
	(= (slew_time GroundStation5 Star7) 43.19)
	(= (slew_time Star7 Phenomenon6) 22.43)
	(= (slew_time Phenomenon6 Star7) 22.43)
	(= (slew_time Planet8 Star0) 28.77)
	(= (slew_time Star0 Planet8) 28.77)
	(= (slew_time Planet8 GroundStation1) 21.49)
	(= (slew_time GroundStation1 Planet8) 21.49)
	(= (slew_time Planet8 Star2) 35.15)
	(= (slew_time Star2 Planet8) 35.15)
	(= (slew_time Planet8 Star3) 56.49)
	(= (slew_time Star3 Planet8) 56.49)
	(= (slew_time Planet8 GroundStation4) 52.09)
	(= (slew_time GroundStation4 Planet8) 52.09)
	(= (slew_time Planet8 GroundStation5) 29.62)
	(= (slew_time GroundStation5 Planet8) 29.62)
	(= (slew_time Planet8 Phenomenon6) 23.61)
	(= (slew_time Phenomenon6 Planet8) 23.61)
	(= (slew_time Planet8 Star7) 3.343)
	(= (slew_time Star7 Planet8) 3.343)
	(= (slew_time Star9 Star0) 58.98)
	(= (slew_time Star0 Star9) 58.98)
	(= (slew_time Star9 GroundStation1) 89.58)
	(= (slew_time GroundStation1 Star9) 89.58)
	(= (slew_time Star9 Star2) 47.67)
	(= (slew_time Star2 Star9) 47.67)
	(= (slew_time Star9 Star3) 33.95)
	(= (slew_time Star3 Star9) 33.95)
	(= (slew_time Star9 GroundStation4) 11.99)
	(= (slew_time GroundStation4 Star9) 11.99)
	(= (slew_time Star9 GroundStation5) 78.88)
	(= (slew_time GroundStation5 Star9) 78.88)
	(= (slew_time Star9 Phenomenon6) 60.33)
	(= (slew_time Phenomenon6 Star9) 60.33)
	(= (slew_time Star9 Star7) 3.975)
	(= (slew_time Star7 Star9) 3.975)
	(= (slew_time Star9 Planet8) 18.36)
	(= (slew_time Planet8 Star9) 18.36)
	(= (slew_time Phenomenon10 Star0) 30.32)
	(= (slew_time Star0 Phenomenon10) 30.32)
	(= (slew_time Phenomenon10 GroundStation1) 10.15)
	(= (slew_time GroundStation1 Phenomenon10) 10.15)
	(= (slew_time Phenomenon10 Star2) 28.72)
	(= (slew_time Star2 Phenomenon10) 28.72)
	(= (slew_time Phenomenon10 Star3) 31.52)
	(= (slew_time Star3 Phenomenon10) 31.52)
	(= (slew_time Phenomenon10 GroundStation4) 2.705)
	(= (slew_time GroundStation4 Phenomenon10) 2.705)
	(= (slew_time Phenomenon10 GroundStation5) 12.63)
	(= (slew_time GroundStation5 Phenomenon10) 12.63)
	(= (slew_time Phenomenon10 Phenomenon6) 55.64)
	(= (slew_time Phenomenon6 Phenomenon10) 55.64)
	(= (slew_time Phenomenon10 Star7) 49.12)
	(= (slew_time Star7 Phenomenon10) 49.12)
	(= (slew_time Phenomenon10 Planet8) 46.5)
	(= (slew_time Planet8 Phenomenon10) 46.5)
	(= (slew_time Phenomenon10 Star9) 56.91)
	(= (slew_time Star9 Phenomenon10) 56.91)
	(= (slew_time Star11 Star0) 38.84)
	(= (slew_time Star0 Star11) 38.84)
	(= (slew_time Star11 GroundStation1) 24.03)
	(= (slew_time GroundStation1 Star11) 24.03)
	(= (slew_time Star11 Star2) 28.85)
	(= (slew_time Star2 Star11) 28.85)
	(= (slew_time Star11 Star3) 5.249)
	(= (slew_time Star3 Star11) 5.249)
	(= (slew_time Star11 GroundStation4) 85.35)
	(= (slew_time GroundStation4 Star11) 85.35)
	(= (slew_time Star11 GroundStation5) 18.18)
	(= (slew_time GroundStation5 Star11) 18.18)
	(= (slew_time Star11 Phenomenon6) 15.97)
	(= (slew_time Phenomenon6 Star11) 15.97)
	(= (slew_time Star11 Star7) 75.29)
	(= (slew_time Star7 Star11) 75.29)
	(= (slew_time Star11 Planet8) 31.45)
	(= (slew_time Planet8 Star11) 31.45)
	(= (slew_time Star11 Star9) 6.116)
	(= (slew_time Star9 Star11) 6.116)
	(= (slew_time Star11 Phenomenon10) 37.39)
	(= (slew_time Phenomenon10 Star11) 37.39)
	(= (slew_time Planet12 Star0) 58.85)
	(= (slew_time Star0 Planet12) 58.85)
	(= (slew_time Planet12 GroundStation1) 7.936)
	(= (slew_time GroundStation1 Planet12) 7.936)
	(= (slew_time Planet12 Star2) 20.46)
	(= (slew_time Star2 Planet12) 20.46)
	(= (slew_time Planet12 Star3) 17.06)
	(= (slew_time Star3 Planet12) 17.06)
	(= (slew_time Planet12 GroundStation4) 21.04)
	(= (slew_time GroundStation4 Planet12) 21.04)
	(= (slew_time Planet12 GroundStation5) 37.52)
	(= (slew_time GroundStation5 Planet12) 37.52)
	(= (slew_time Planet12 Phenomenon6) 90.46)
	(= (slew_time Phenomenon6 Planet12) 90.46)
	(= (slew_time Planet12 Star7) 72.05)
	(= (slew_time Star7 Planet12) 72.05)
	(= (slew_time Planet12 Planet8) 50.05)
	(= (slew_time Planet8 Planet12) 50.05)
	(= (slew_time Planet12 Star9) 11.01)
	(= (slew_time Star9 Planet12) 11.01)
	(= (slew_time Planet12 Phenomenon10) 55.64)
	(= (slew_time Phenomenon10 Planet12) 55.64)
	(= (slew_time Planet12 Star11) 19.19)
	(= (slew_time Star11 Planet12) 19.19)
	(= (slew_time Phenomenon13 Star0) 42.17)
	(= (slew_time Star0 Phenomenon13) 42.17)
	(= (slew_time Phenomenon13 GroundStation1) 28.74)
	(= (slew_time GroundStation1 Phenomenon13) 28.74)
	(= (slew_time Phenomenon13 Star2) 5.263)
	(= (slew_time Star2 Phenomenon13) 5.263)
	(= (slew_time Phenomenon13 Star3) 4.005)
	(= (slew_time Star3 Phenomenon13) 4.005)
	(= (slew_time Phenomenon13 GroundStation4) 51.79)
	(= (slew_time GroundStation4 Phenomenon13) 51.79)
	(= (slew_time Phenomenon13 GroundStation5) 18.64)
	(= (slew_time GroundStation5 Phenomenon13) 18.64)
	(= (slew_time Phenomenon13 Phenomenon6) 55.06)
	(= (slew_time Phenomenon6 Phenomenon13) 55.06)
	(= (slew_time Phenomenon13 Star7) 46.16)
	(= (slew_time Star7 Phenomenon13) 46.16)
	(= (slew_time Phenomenon13 Planet8) 31.28)
	(= (slew_time Planet8 Phenomenon13) 31.28)
	(= (slew_time Phenomenon13 Star9) 51.16)
	(= (slew_time Star9 Phenomenon13) 51.16)
	(= (slew_time Phenomenon13 Phenomenon10) 5.553)
	(= (slew_time Phenomenon10 Phenomenon13) 5.553)
	(= (slew_time Phenomenon13 Star11) 0.1252)
	(= (slew_time Star11 Phenomenon13) 0.1252)
	(= (slew_time Phenomenon13 Planet12) 27.83)
	(= (slew_time Planet12 Phenomenon13) 27.83)
	(= (slew_time Planet14 Star0) 25.92)
	(= (slew_time Star0 Planet14) 25.92)
	(= (slew_time Planet14 GroundStation1) 20.43)
	(= (slew_time GroundStation1 Planet14) 20.43)
	(= (slew_time Planet14 Star2) 87.28)
	(= (slew_time Star2 Planet14) 87.28)
	(= (slew_time Planet14 Star3) 3.591)
	(= (slew_time Star3 Planet14) 3.591)
	(= (slew_time Planet14 GroundStation4) 33.54)
	(= (slew_time GroundStation4 Planet14) 33.54)
	(= (slew_time Planet14 GroundStation5) 77.96)
	(= (slew_time GroundStation5 Planet14) 77.96)
	(= (slew_time Planet14 Phenomenon6) 36.34)
	(= (slew_time Phenomenon6 Planet14) 36.34)
	(= (slew_time Planet14 Star7) 36.86)
	(= (slew_time Star7 Planet14) 36.86)
	(= (slew_time Planet14 Planet8) 40.23)
	(= (slew_time Planet8 Planet14) 40.23)
	(= (slew_time Planet14 Star9) 42.15)
	(= (slew_time Star9 Planet14) 42.15)
	(= (slew_time Planet14 Phenomenon10) 46.81)
	(= (slew_time Phenomenon10 Planet14) 46.81)
	(= (slew_time Planet14 Star11) 20.57)
	(= (slew_time Star11 Planet14) 20.57)
	(= (slew_time Planet14 Planet12) 26.51)
	(= (slew_time Planet12 Planet14) 26.51)
	(= (slew_time Planet14 Phenomenon13) 21.81)
	(= (slew_time Phenomenon13 Planet14) 21.81)
	(= (data-stored) 0)
	(want Phenomenon6 spectrograph0)
	(want Star7 infrared3)
	(want Star9 spectrograph0)
	(want Phenomenon10 infrared3)
	(want Star11 image2)
	(want Planet12 image2)
	(want Phenomenon13 spectrograph0)
	(want Planet14 spectrograph1)
)
(:goal (and
	(pointing satellite0 Phenomenon13)
	(have_image Phenomenon6 spectrograph0)
	(have_image Star7 infrared3)
	(have_image Star9 spectrograph0)
	(have_image Phenomenon10 infrared3)
	(have_image Star11 image2)
	(have_image Planet12 image2)
	(have_image Phenomenon13 spectrograph0)
	(have_image Planet14 spectrograph1)
))
(:metric minimize (total-time))

)
