(define (problem strips-sat-x-1)
(:domain satellite)
(:objects
	cooled nocooling - coolingstatus
	satellite0 - satellite
	instrument0 - instrument
	instrument1 - instrument
	instrument2 - instrument
	satellite1 - satellite
	instrument3 - instrument
	instrument4 - instrument
	satellite2 - satellite
	instrument5 - instrument
	satellite3 - satellite
	instrument6 - instrument
	instrument7 - instrument
	instrument8 - instrument
	infrared3 - mode
	thermograph2 - mode
	spectrograph0 - mode
	thermograph1 - mode
	Star4 - direction
	GroundStation3 - direction
	GroundStation2 - direction
	GroundStation0 - direction
	Star1 - direction
	Star5 - direction
	Planet6 - direction
	Planet7 - direction
	Planet8 - direction
	Planet9 - direction
	Planet10 - direction
	Planet11 - direction
	Star12 - direction
	Planet13 - direction
	Phenomenon14 - direction
)
(:init (= (multiplier nocooling) 1) (= (multiplier cooled) 1.5)
	(canincrease) (not-decreasing) (not-increasing) (not-flat)
	(= (powered) 0)
	(supports instrument0 thermograph2)
	(supports instrument0 thermograph1)
	(calibration_target instrument0 GroundStation0)
	(= (calibration_time instrument0 GroundStation0) 28.5)
	(supports instrument1 infrared3)
	(supports instrument1 spectrograph0)
	(supports instrument1 thermograph2)
	(calibration_target instrument1 GroundStation0)
	(= (calibration_time instrument1 GroundStation0) 59.7)
	(supports instrument2 spectrograph0)
	(supports instrument2 infrared3)
	(calibration_target instrument2 GroundStation2)
	(= (calibration_time instrument2 GroundStation2) 85.7)
	(on_board instrument0 satellite0)	(idle instrument0)
	(on_board instrument1 satellite0)	(idle instrument1)
	(on_board instrument2 satellite0)	(idle instrument2)
	(= (power_avail satellite0) 0.5)
	(pointing satellite0 Planet8)
	(= (data_capacity satellite0) 1000)
	(supports instrument3 thermograph1)
	(calibration_target instrument3 GroundStation2)
	(= (calibration_time instrument3 GroundStation2) 90.2)
	(supports instrument4 thermograph2)
	(supports instrument4 thermograph1)
	(calibration_target instrument4 Star1)
	(= (calibration_time instrument4 Star1) 7.74)
	(on_board instrument3 satellite1)	(idle instrument3)
	(on_board instrument4 satellite1)	(idle instrument4)
	(= (power_avail satellite1) 0.5)
	(pointing satellite1 Planet9)
	(= (data_capacity satellite1) 1000)
	(supports instrument5 thermograph1)
	(supports instrument5 infrared3)
	(calibration_target instrument5 GroundStation3)
	(= (calibration_time instrument5 GroundStation3) 90.6)
	(on_board instrument5 satellite2)	(idle instrument5)
	(= (power_avail satellite2) 0.5)
	(pointing satellite2 Planet8)
	(= (data_capacity satellite2) 1000)
	(supports instrument6 infrared3)
	(supports instrument6 thermograph1)
	(calibration_target instrument6 GroundStation2)
	(= (calibration_time instrument6 GroundStation2) 22.9)
	(supports instrument7 thermograph2)
	(supports instrument7 thermograph1)
	(calibration_target instrument7 GroundStation0)
	(= (calibration_time instrument7 GroundStation0) 35.7)
	(supports instrument8 thermograph1)
	(supports instrument8 spectrograph0)
	(supports instrument8 thermograph2)
	(calibration_target instrument8 Star1)
	(= (calibration_time instrument8 Star1) 39.8)
	(on_board instrument6 satellite3)	(idle instrument6)
	(on_board instrument7 satellite3)	(idle instrument7)
	(on_board instrument8 satellite3)	(idle instrument8)
	(= (power_avail satellite3) 0.5)
	(pointing satellite3 GroundStation2)
	(= (data_capacity satellite3) 1000)
	(= (data Star5 infrared3) 5)
	(= (data Planet6 infrared3) 90)
	(= (data Planet7 infrared3) 294)
	(= (data Planet8 infrared3) 138)
	(= (data Planet9 infrared3) 134)
	(= (data Planet10 infrared3) 18)
	(= (data Planet11 infrared3) 82)
	(= (data Star12 infrared3) 139)
	(= (data Planet13 infrared3) 272)
	(= (data Phenomenon14 infrared3) 203)
	(= (data Star5 thermograph2) 157)
	(= (data Planet6 thermograph2) 286)
	(= (data Planet7 thermograph2) 50)
	(= (data Planet8 thermograph2) 37)
	(= (data Planet9 thermograph2) 172)
	(= (data Planet10 thermograph2) 71)
	(= (data Planet11 thermograph2) 184)
	(= (data Star12 thermograph2) 145)
	(= (data Planet13 thermograph2) 231)
	(= (data Phenomenon14 thermograph2) 136)
	(= (data Star5 spectrograph0) 126)
	(= (data Planet6 spectrograph0) 24)
	(= (data Planet7 spectrograph0) 250)
	(= (data Planet8 spectrograph0) 227)
	(= (data Planet9 spectrograph0) 84)
	(= (data Planet10 spectrograph0) 233)
	(= (data Planet11 spectrograph0) 11)
	(= (data Star12 spectrograph0) 254)
	(= (data Planet13 spectrograph0) 97)
	(= (data Phenomenon14 spectrograph0) 51)
	(= (data Star5 thermograph1) 146)
	(= (data Planet6 thermograph1) 40)
	(= (data Planet7 thermograph1) 187)
	(= (data Planet8 thermograph1) 102)
	(= (data Planet9 thermograph1) 1)
	(= (data Planet10 thermograph1) 124)
	(= (data Planet11 thermograph1) 167)
	(= (data Star12 thermograph1) 100)
	(= (data Planet13 thermograph1) 223)
	(= (data Phenomenon14 thermograph1) 297)
	(= (slew_time Star4 GroundStation0) 56.71)
	(= (slew_time GroundStation0 Star4) 56.71)
	(= (slew_time Star4 Star1) 16.9)
	(= (slew_time Star1 Star4) 16.9)
	(= (slew_time Star4 GroundStation2) 39.43)
	(= (slew_time GroundStation2 Star4) 39.43)
	(= (slew_time Star4 GroundStation3) 2.409)
	(= (slew_time GroundStation3 Star4) 2.409)
	(= (slew_time GroundStation3 GroundStation0) 27.61)
	(= (slew_time GroundStation0 GroundStation3) 27.61)
	(= (slew_time GroundStation3 Star1) 36.79)
	(= (slew_time Star1 GroundStation3) 36.79)
	(= (slew_time GroundStation3 GroundStation2) 13.02)
	(= (slew_time GroundStation2 GroundStation3) 13.02)
	(= (slew_time GroundStation2 GroundStation0) 66.19)
	(= (slew_time GroundStation0 GroundStation2) 66.19)
	(= (slew_time GroundStation2 Star1) 15.54)
	(= (slew_time Star1 GroundStation2) 15.54)
	(= (slew_time Star1 GroundStation0) 49.85)
	(= (slew_time GroundStation0 Star1) 49.85)
	(= (slew_time Star5 GroundStation0) 36.18)
	(= (slew_time GroundStation0 Star5) 36.18)
	(= (slew_time Star5 Star1) 59.69)
	(= (slew_time Star1 Star5) 59.69)
	(= (slew_time Star5 GroundStation2) 3.339)
	(= (slew_time GroundStation2 Star5) 3.339)
	(= (slew_time Star5 GroundStation3) 1.986)
	(= (slew_time GroundStation3 Star5) 1.986)
	(= (slew_time Star5 Star4) 10.92)
	(= (slew_time Star4 Star5) 10.92)
	(= (slew_time Planet6 GroundStation0) 41.97)
	(= (slew_time GroundStation0 Planet6) 41.97)
	(= (slew_time Planet6 Star1) 57.04)
	(= (slew_time Star1 Planet6) 57.04)
	(= (slew_time Planet6 GroundStation2) 92.76)
	(= (slew_time GroundStation2 Planet6) 92.76)
	(= (slew_time Planet6 GroundStation3) 9.336)
	(= (slew_time GroundStation3 Planet6) 9.336)
	(= (slew_time Planet6 Star4) 36)
	(= (slew_time Star4 Planet6) 36)
	(= (slew_time Planet6 Star5) 73.42)
	(= (slew_time Star5 Planet6) 73.42)
	(= (slew_time Planet7 GroundStation0) 28.78)
	(= (slew_time GroundStation0 Planet7) 28.78)
	(= (slew_time Planet7 Star1) 49.86)
	(= (slew_time Star1 Planet7) 49.86)
	(= (slew_time Planet7 GroundStation2) 35.39)
	(= (slew_time GroundStation2 Planet7) 35.39)
	(= (slew_time Planet7 GroundStation3) 25.12)
	(= (slew_time GroundStation3 Planet7) 25.12)
	(= (slew_time Planet7 Star4) 14.87)
	(= (slew_time Star4 Planet7) 14.87)
	(= (slew_time Planet7 Star5) 14.29)
	(= (slew_time Star5 Planet7) 14.29)
	(= (slew_time Planet7 Planet6) 10.24)
	(= (slew_time Planet6 Planet7) 10.24)
	(= (slew_time Planet8 GroundStation0) 36.8)
	(= (slew_time GroundStation0 Planet8) 36.8)
	(= (slew_time Planet8 Star1) 10.52)
	(= (slew_time Star1 Planet8) 10.52)
	(= (slew_time Planet8 GroundStation2) 69.61)
	(= (slew_time GroundStation2 Planet8) 69.61)
	(= (slew_time Planet8 GroundStation3) 68.93)
	(= (slew_time GroundStation3 Planet8) 68.93)
	(= (slew_time Planet8 Star4) 1.961)
	(= (slew_time Star4 Planet8) 1.961)
	(= (slew_time Planet8 Star5) 27.73)
	(= (slew_time Star5 Planet8) 27.73)
	(= (slew_time Planet8 Planet6) 31.05)
	(= (slew_time Planet6 Planet8) 31.05)
	(= (slew_time Planet8 Planet7) 70.39)
	(= (slew_time Planet7 Planet8) 70.39)
	(= (slew_time Planet9 GroundStation0) 18.51)
	(= (slew_time GroundStation0 Planet9) 18.51)
	(= (slew_time Planet9 Star1) 49.99)
	(= (slew_time Star1 Planet9) 49.99)
	(= (slew_time Planet9 GroundStation2) 93.92)
	(= (slew_time GroundStation2 Planet9) 93.92)
	(= (slew_time Planet9 GroundStation3) 12.55)
	(= (slew_time GroundStation3 Planet9) 12.55)
	(= (slew_time Planet9 Star4) 12.57)
	(= (slew_time Star4 Planet9) 12.57)
	(= (slew_time Planet9 Star5) 18.09)
	(= (slew_time Star5 Planet9) 18.09)
	(= (slew_time Planet9 Planet6) 3.222)
	(= (slew_time Planet6 Planet9) 3.222)
	(= (slew_time Planet9 Planet7) 61.16)
	(= (slew_time Planet7 Planet9) 61.16)
	(= (slew_time Planet9 Planet8) 8.996)
	(= (slew_time Planet8 Planet9) 8.996)
	(= (slew_time Planet10 GroundStation0) 51.74)
	(= (slew_time GroundStation0 Planet10) 51.74)
	(= (slew_time Planet10 Star1) 18.77)
	(= (slew_time Star1 Planet10) 18.77)
	(= (slew_time Planet10 GroundStation2) 46.12)
	(= (slew_time GroundStation2 Planet10) 46.12)
	(= (slew_time Planet10 GroundStation3) 33.9)
	(= (slew_time GroundStation3 Planet10) 33.9)
	(= (slew_time Planet10 Star4) 39.42)
	(= (slew_time Star4 Planet10) 39.42)
	(= (slew_time Planet10 Star5) 64.25)
	(= (slew_time Star5 Planet10) 64.25)
	(= (slew_time Planet10 Planet6) 9.255)
	(= (slew_time Planet6 Planet10) 9.255)
	(= (slew_time Planet10 Planet7) 75.16)
	(= (slew_time Planet7 Planet10) 75.16)
	(= (slew_time Planet10 Planet8) 80.22)
	(= (slew_time Planet8 Planet10) 80.22)
	(= (slew_time Planet10 Planet9) 23.51)
	(= (slew_time Planet9 Planet10) 23.51)
	(= (slew_time Planet11 GroundStation0) 39.57)
	(= (slew_time GroundStation0 Planet11) 39.57)
	(= (slew_time Planet11 Star1) 24.27)
	(= (slew_time Star1 Planet11) 24.27)
	(= (slew_time Planet11 GroundStation2) 14.94)
	(= (slew_time GroundStation2 Planet11) 14.94)
	(= (slew_time Planet11 GroundStation3) 69.83)
	(= (slew_time GroundStation3 Planet11) 69.83)
	(= (slew_time Planet11 Star4) 5.235)
	(= (slew_time Star4 Planet11) 5.235)
	(= (slew_time Planet11 Star5) 27.29)
	(= (slew_time Star5 Planet11) 27.29)
	(= (slew_time Planet11 Planet6) 56.3)
	(= (slew_time Planet6 Planet11) 56.3)
	(= (slew_time Planet11 Planet7) 28.48)
	(= (slew_time Planet7 Planet11) 28.48)
	(= (slew_time Planet11 Planet8) 31.64)
	(= (slew_time Planet8 Planet11) 31.64)
	(= (slew_time Planet11 Planet9) 19.71)
	(= (slew_time Planet9 Planet11) 19.71)
	(= (slew_time Planet11 Planet10) 24.43)
	(= (slew_time Planet10 Planet11) 24.43)
	(= (slew_time Star12 GroundStation0) 58.84)
	(= (slew_time GroundStation0 Star12) 58.84)
	(= (slew_time Star12 Star1) 4.111)
	(= (slew_time Star1 Star12) 4.111)
	(= (slew_time Star12 GroundStation2) 6.785)
	(= (slew_time GroundStation2 Star12) 6.785)
	(= (slew_time Star12 GroundStation3) 11.39)
	(= (slew_time GroundStation3 Star12) 11.39)
	(= (slew_time Star12 Star4) 12.12)
	(= (slew_time Star4 Star12) 12.12)
	(= (slew_time Star12 Star5) 66.76)
	(= (slew_time Star5 Star12) 66.76)
	(= (slew_time Star12 Planet6) 61.5)
	(= (slew_time Planet6 Star12) 61.5)
	(= (slew_time Star12 Planet7) 69.05)
	(= (slew_time Planet7 Star12) 69.05)
	(= (slew_time Star12 Planet8) 36.59)
	(= (slew_time Planet8 Star12) 36.59)
	(= (slew_time Star12 Planet9) 6.394)
	(= (slew_time Planet9 Star12) 6.394)
	(= (slew_time Star12 Planet10) 12.56)
	(= (slew_time Planet10 Star12) 12.56)
	(= (slew_time Star12 Planet11) 0.4851)
	(= (slew_time Planet11 Star12) 0.4851)
	(= (slew_time Planet13 GroundStation0) 20.51)
	(= (slew_time GroundStation0 Planet13) 20.51)
	(= (slew_time Planet13 Star1) 6.515)
	(= (slew_time Star1 Planet13) 6.515)
	(= (slew_time Planet13 GroundStation2) 21.16)
	(= (slew_time GroundStation2 Planet13) 21.16)
	(= (slew_time Planet13 GroundStation3) 76.77)
	(= (slew_time GroundStation3 Planet13) 76.77)
	(= (slew_time Planet13 Star4) 24.05)
	(= (slew_time Star4 Planet13) 24.05)
	(= (slew_time Planet13 Star5) 30.38)
	(= (slew_time Star5 Planet13) 30.38)
	(= (slew_time Planet13 Planet6) 53.99)
	(= (slew_time Planet6 Planet13) 53.99)
	(= (slew_time Planet13 Planet7) 75.52)
	(= (slew_time Planet7 Planet13) 75.52)
	(= (slew_time Planet13 Planet8) 39.37)
	(= (slew_time Planet8 Planet13) 39.37)
	(= (slew_time Planet13 Planet9) 61.1)
	(= (slew_time Planet9 Planet13) 61.1)
	(= (slew_time Planet13 Planet10) 38.3)
	(= (slew_time Planet10 Planet13) 38.3)
	(= (slew_time Planet13 Planet11) 17.73)
	(= (slew_time Planet11 Planet13) 17.73)
	(= (slew_time Planet13 Star12) 4.343)
	(= (slew_time Star12 Planet13) 4.343)
	(= (slew_time Phenomenon14 GroundStation0) 16.43)
	(= (slew_time GroundStation0 Phenomenon14) 16.43)
	(= (slew_time Phenomenon14 Star1) 33.15)
	(= (slew_time Star1 Phenomenon14) 33.15)
	(= (slew_time Phenomenon14 GroundStation2) 43.65)
	(= (slew_time GroundStation2 Phenomenon14) 43.65)
	(= (slew_time Phenomenon14 GroundStation3) 63.27)
	(= (slew_time GroundStation3 Phenomenon14) 63.27)
	(= (slew_time Phenomenon14 Star4) 23.55)
	(= (slew_time Star4 Phenomenon14) 23.55)
	(= (slew_time Phenomenon14 Star5) 51.95)
	(= (slew_time Star5 Phenomenon14) 51.95)
	(= (slew_time Phenomenon14 Planet6) 8.113)
	(= (slew_time Planet6 Phenomenon14) 8.113)
	(= (slew_time Phenomenon14 Planet7) 21.09)
	(= (slew_time Planet7 Phenomenon14) 21.09)
	(= (slew_time Phenomenon14 Planet8) 56.74)
	(= (slew_time Planet8 Phenomenon14) 56.74)
	(= (slew_time Phenomenon14 Planet9) 69.2)
	(= (slew_time Planet9 Phenomenon14) 69.2)
	(= (slew_time Phenomenon14 Planet10) 9.191)
	(= (slew_time Planet10 Phenomenon14) 9.191)
	(= (slew_time Phenomenon14 Planet11) 28.05)
	(= (slew_time Planet11 Phenomenon14) 28.05)
	(= (slew_time Phenomenon14 Star12) 12.05)
	(= (slew_time Star12 Phenomenon14) 12.05)
	(= (slew_time Phenomenon14 Planet13) 66.07)
	(= (slew_time Planet13 Phenomenon14) 66.07)
	(= (data-stored) 0)
	(want Star5 thermograph1)
	(want Planet6 thermograph1)
	(want Planet7 thermograph2)
	(want Planet8 thermograph2)
	(want Planet9 thermograph1)
	(want Planet10 thermograph2)
	(want Planet11 spectrograph0)
	(want Star12 infrared3)
	(want Planet13 thermograph1)
	(want Phenomenon14 thermograph1)
)
(:goal (and
	(pointing satellite1 Planet7)
	(pointing satellite2 GroundStation2)
	(have_image Star5 thermograph1)
	(have_image Planet6 thermograph1)
	(have_image Planet7 thermograph2)
	(have_image Planet8 thermograph2)
	(have_image Planet9 thermograph1)
	(have_image Planet10 thermograph2)
	(have_image Planet11 spectrograph0)
	(have_image Star12 infrared3)
	(have_image Planet13 thermograph1)
	(have_image Phenomenon14 thermograph1)
))
(:metric minimize (total-time))

)
