(define (problem strips-sat-x-1)
(:domain satellite)
(:objects
	cooled nocooling - coolingstatus
	satellite0 - satellite
	instrument0 - instrument
	instrument1 - instrument
	satellite1 - satellite
	instrument2 - instrument
	instrument3 - instrument
	satellite2 - satellite
	instrument4 - instrument
	satellite3 - satellite
	instrument5 - instrument
	instrument6 - instrument
	satellite4 - satellite
	instrument7 - instrument
	instrument8 - instrument
	image1 - mode
	infrared3 - mode
	infrared2 - mode
	infrared0 - mode
	Star0 - direction
	GroundStation2 - direction
	Star1 - direction
	GroundStation5 - direction
	GroundStation4 - direction
	Star3 - direction
	Star6 - direction
	Phenomenon7 - direction
	Phenomenon8 - direction
	Phenomenon9 - direction
	Planet10 - direction
	Star11 - direction
	Star12 - direction
	Star13 - direction
	Phenomenon14 - direction
	Phenomenon15 - direction
)
(:init (= (multiplier nocooling) 1) (= (multiplier cooled) 1.5)
	(canincrease) (not-decreasing) (not-increasing) (not-flat)
	(= (powered) 0)
	(supports instrument0 image1)
	(supports instrument0 infrared3)
	(calibration_target instrument0 GroundStation4)
	(= (calibration_time instrument0 GroundStation4) 46.9)
	(supports instrument1 infrared2)
	(calibration_target instrument1 GroundStation2)
	(= (calibration_time instrument1 GroundStation2) 0.802)
	(on_board instrument0 satellite0)	(idle instrument0)
	(on_board instrument1 satellite0)	(idle instrument1)
	(= (power_avail satellite0) 0.5)
	(pointing satellite0 Star13)
	(= (data_capacity satellite0) 1000)
	(supports instrument2 infrared2)
	(supports instrument2 image1)
	(calibration_target instrument2 GroundStation5)
	(= (calibration_time instrument2 GroundStation5) 48.8)
	(calibration_target instrument2 Star3)
	(= (calibration_time instrument2 Star3) 33.4)
	(supports instrument3 image1)
	(calibration_target instrument3 Star3)
	(= (calibration_time instrument3 Star3) 11.6)
	(on_board instrument2 satellite1)	(idle instrument2)
	(on_board instrument3 satellite1)	(idle instrument3)
	(= (power_avail satellite1) 0.5)
	(pointing satellite1 Phenomenon14)
	(= (data_capacity satellite1) 1000)
	(supports instrument4 image1)
	(calibration_target instrument4 Star1)
	(= (calibration_time instrument4 Star1) 39.6)
	(calibration_target instrument4 Star3)
	(= (calibration_time instrument4 Star3) 62.2)
	(on_board instrument4 satellite2)	(idle instrument4)
	(= (power_avail satellite2) 0.5)
	(pointing satellite2 Star1)
	(= (data_capacity satellite2) 1000)
	(supports instrument5 infrared0)
	(calibration_target instrument5 GroundStation5)
	(= (calibration_time instrument5 GroundStation5) 42.6)
	(supports instrument6 infrared3)
	(calibration_target instrument6 GroundStation5)
	(= (calibration_time instrument6 GroundStation5) 87.7)
	(calibration_target instrument6 GroundStation4)
	(= (calibration_time instrument6 GroundStation4) 14.7)
	(on_board instrument5 satellite3)	(idle instrument5)
	(on_board instrument6 satellite3)	(idle instrument6)
	(= (power_avail satellite3) 0.5)
	(pointing satellite3 Star3)
	(= (data_capacity satellite3) 1000)
	(supports instrument7 image1)
	(supports instrument7 infrared0)
	(supports instrument7 infrared2)
	(calibration_target instrument7 GroundStation4)
	(= (calibration_time instrument7 GroundStation4) 99.5)
	(supports instrument8 infrared0)
	(supports instrument8 infrared2)
	(supports instrument8 infrared3)
	(calibration_target instrument8 Star3)
	(= (calibration_time instrument8 Star3) 32.7)
	(on_board instrument7 satellite4)	(idle instrument7)
	(on_board instrument8 satellite4)	(idle instrument8)
	(= (power_avail satellite4) 0.5)
	(pointing satellite4 Star6)
	(= (data_capacity satellite4) 1000)
	(= (data Star6 image1) 145)
	(= (data Phenomenon7 image1) 254)
	(= (data Phenomenon8 image1) 245)
	(= (data Phenomenon9 image1) 254)
	(= (data Planet10 image1) 132)
	(= (data Star11 image1) 219)
	(= (data Star12 image1) 199)
	(= (data Star13 image1) 45)
	(= (data Phenomenon14 image1) 156)
	(= (data Phenomenon15 image1) 293)
	(= (data Star6 infrared3) 39)
	(= (data Phenomenon7 infrared3) 223)
	(= (data Phenomenon8 infrared3) 62)
	(= (data Phenomenon9 infrared3) 49)
	(= (data Planet10 infrared3) 264)
	(= (data Star11 infrared3) 91)
	(= (data Star12 infrared3) 35)
	(= (data Star13 infrared3) 244)
	(= (data Phenomenon14 infrared3) 68)
	(= (data Phenomenon15 infrared3) 234)
	(= (data Star6 infrared2) 55)
	(= (data Phenomenon7 infrared2) 113)
	(= (data Phenomenon8 infrared2) 295)
	(= (data Phenomenon9 infrared2) 218)
	(= (data Planet10 infrared2) 283)
	(= (data Star11 infrared2) 238)
	(= (data Star12 infrared2) 216)
	(= (data Star13 infrared2) 224)
	(= (data Phenomenon14 infrared2) 50)
	(= (data Phenomenon15 infrared2) 229)
	(= (data Star6 infrared0) 166)
	(= (data Phenomenon7 infrared0) 45)
	(= (data Phenomenon8 infrared0) 233)
	(= (data Phenomenon9 infrared0) 142)
	(= (data Planet10 infrared0) 123)
	(= (data Star11 infrared0) 108)
	(= (data Star12 infrared0) 151)
	(= (data Star13 infrared0) 14)
	(= (data Phenomenon14 infrared0) 214)
	(= (data Phenomenon15 infrared0) 51)
	(= (slew_time GroundStation2 Star0) 44.38)
	(= (slew_time Star0 GroundStation2) 44.38)
	(= (slew_time GroundStation2 Star1) 33.23)
	(= (slew_time Star1 GroundStation2) 33.23)
	(= (slew_time Star1 Star0) 0.3594)
	(= (slew_time Star0 Star1) 0.3594)
	(= (slew_time GroundStation5 Star0) 29.62)
	(= (slew_time Star0 GroundStation5) 29.62)
	(= (slew_time GroundStation5 Star1) 15.34)
	(= (slew_time Star1 GroundStation5) 15.34)
	(= (slew_time GroundStation5 GroundStation2) 1.137)
	(= (slew_time GroundStation2 GroundStation5) 1.137)
	(= (slew_time GroundStation5 Star3) 15.13)
	(= (slew_time Star3 GroundStation5) 15.13)
	(= (slew_time GroundStation5 GroundStation4) 15.24)
	(= (slew_time GroundStation4 GroundStation5) 15.24)
	(= (slew_time GroundStation4 Star0) 71.99)
	(= (slew_time Star0 GroundStation4) 71.99)
	(= (slew_time GroundStation4 Star1) 39.35)
	(= (slew_time Star1 GroundStation4) 39.35)
	(= (slew_time GroundStation4 GroundStation2) 20.73)
	(= (slew_time GroundStation2 GroundStation4) 20.73)
	(= (slew_time GroundStation4 Star3) 52.59)
	(= (slew_time Star3 GroundStation4) 52.59)
	(= (slew_time Star3 Star0) 41.86)
	(= (slew_time Star0 Star3) 41.86)
	(= (slew_time Star3 Star1) 0.3288)
	(= (slew_time Star1 Star3) 0.3288)
	(= (slew_time Star3 GroundStation2) 2.43)
	(= (slew_time GroundStation2 Star3) 2.43)
	(= (slew_time Star6 Star0) 20.99)
	(= (slew_time Star0 Star6) 20.99)
	(= (slew_time Star6 Star1) 19.38)
	(= (slew_time Star1 Star6) 19.38)
	(= (slew_time Star6 GroundStation2) 3.107)
	(= (slew_time GroundStation2 Star6) 3.107)
	(= (slew_time Star6 Star3) 4.704)
	(= (slew_time Star3 Star6) 4.704)
	(= (slew_time Star6 GroundStation4) 36.1)
	(= (slew_time GroundStation4 Star6) 36.1)
	(= (slew_time Star6 GroundStation5) 20.41)
	(= (slew_time GroundStation5 Star6) 20.41)
	(= (slew_time Phenomenon7 Star0) 0.2661)
	(= (slew_time Star0 Phenomenon7) 0.2661)
	(= (slew_time Phenomenon7 Star1) 52.74)
	(= (slew_time Star1 Phenomenon7) 52.74)
	(= (slew_time Phenomenon7 GroundStation2) 9.4)
	(= (slew_time GroundStation2 Phenomenon7) 9.4)
	(= (slew_time Phenomenon7 Star3) 63.76)
	(= (slew_time Star3 Phenomenon7) 63.76)
	(= (slew_time Phenomenon7 GroundStation4) 42.34)
	(= (slew_time GroundStation4 Phenomenon7) 42.34)
	(= (slew_time Phenomenon7 GroundStation5) 36.53)
	(= (slew_time GroundStation5 Phenomenon7) 36.53)
	(= (slew_time Phenomenon7 Star6) 46.98)
	(= (slew_time Star6 Phenomenon7) 46.98)
	(= (slew_time Phenomenon8 Star0) 16.74)
	(= (slew_time Star0 Phenomenon8) 16.74)
	(= (slew_time Phenomenon8 Star1) 31.56)
	(= (slew_time Star1 Phenomenon8) 31.56)
	(= (slew_time Phenomenon8 GroundStation2) 47.28)
	(= (slew_time GroundStation2 Phenomenon8) 47.28)
	(= (slew_time Phenomenon8 Star3) 4.379)
	(= (slew_time Star3 Phenomenon8) 4.379)
	(= (slew_time Phenomenon8 GroundStation4) 23.86)
	(= (slew_time GroundStation4 Phenomenon8) 23.86)
	(= (slew_time Phenomenon8 GroundStation5) 42.23)
	(= (slew_time GroundStation5 Phenomenon8) 42.23)
	(= (slew_time Phenomenon8 Star6) 25.22)
	(= (slew_time Star6 Phenomenon8) 25.22)
	(= (slew_time Phenomenon8 Phenomenon7) 1.777)
	(= (slew_time Phenomenon7 Phenomenon8) 1.777)
	(= (slew_time Phenomenon9 Star0) 39.47)
	(= (slew_time Star0 Phenomenon9) 39.47)
	(= (slew_time Phenomenon9 Star1) 15.8)
	(= (slew_time Star1 Phenomenon9) 15.8)
	(= (slew_time Phenomenon9 GroundStation2) 8.748)
	(= (slew_time GroundStation2 Phenomenon9) 8.748)
	(= (slew_time Phenomenon9 Star3) 20.08)
	(= (slew_time Star3 Phenomenon9) 20.08)
	(= (slew_time Phenomenon9 GroundStation4) 12.55)
	(= (slew_time GroundStation4 Phenomenon9) 12.55)
	(= (slew_time Phenomenon9 GroundStation5) 57.74)
	(= (slew_time GroundStation5 Phenomenon9) 57.74)
	(= (slew_time Phenomenon9 Star6) 9.617)
	(= (slew_time Star6 Phenomenon9) 9.617)
	(= (slew_time Phenomenon9 Phenomenon7) 12.6)
	(= (slew_time Phenomenon7 Phenomenon9) 12.6)
	(= (slew_time Phenomenon9 Phenomenon8) 49.25)
	(= (slew_time Phenomenon8 Phenomenon9) 49.25)
	(= (slew_time Planet10 Star0) 27.39)
	(= (slew_time Star0 Planet10) 27.39)
	(= (slew_time Planet10 Star1) 76.24)
	(= (slew_time Star1 Planet10) 76.24)
	(= (slew_time Planet10 GroundStation2) 9.489)
	(= (slew_time GroundStation2 Planet10) 9.489)
	(= (slew_time Planet10 Star3) 11.88)
	(= (slew_time Star3 Planet10) 11.88)
	(= (slew_time Planet10 GroundStation4) 14.71)
	(= (slew_time GroundStation4 Planet10) 14.71)
	(= (slew_time Planet10 GroundStation5) 21.81)
	(= (slew_time GroundStation5 Planet10) 21.81)
	(= (slew_time Planet10 Star6) 12.64)
	(= (slew_time Star6 Planet10) 12.64)
	(= (slew_time Planet10 Phenomenon7) 57)
	(= (slew_time Phenomenon7 Planet10) 57)
	(= (slew_time Planet10 Phenomenon8) 5.806)
	(= (slew_time Phenomenon8 Planet10) 5.806)
	(= (slew_time Planet10 Phenomenon9) 23.74)
	(= (slew_time Phenomenon9 Planet10) 23.74)
	(= (slew_time Star11 Star0) 38.84)
	(= (slew_time Star0 Star11) 38.84)
	(= (slew_time Star11 Star1) 47.5)
	(= (slew_time Star1 Star11) 47.5)
	(= (slew_time Star11 GroundStation2) 15.82)
	(= (slew_time GroundStation2 Star11) 15.82)
	(= (slew_time Star11 Star3) 15.72)
	(= (slew_time Star3 Star11) 15.72)
	(= (slew_time Star11 GroundStation4) 44.45)
	(= (slew_time GroundStation4 Star11) 44.45)
	(= (slew_time Star11 GroundStation5) 18.96)
	(= (slew_time GroundStation5 Star11) 18.96)
	(= (slew_time Star11 Star6) 16.79)
	(= (slew_time Star6 Star11) 16.79)
	(= (slew_time Star11 Phenomenon7) 64.9)
	(= (slew_time Phenomenon7 Star11) 64.9)
	(= (slew_time Star11 Phenomenon8) 37.21)
	(= (slew_time Phenomenon8 Star11) 37.21)
	(= (slew_time Star11 Phenomenon9) 0.1914)
	(= (slew_time Phenomenon9 Star11) 0.1914)
	(= (slew_time Star11 Planet10) 39.49)
	(= (slew_time Planet10 Star11) 39.49)
	(= (slew_time Star12 Star0) 53.17)
	(= (slew_time Star0 Star12) 53.17)
	(= (slew_time Star12 Star1) 32.3)
	(= (slew_time Star1 Star12) 32.3)
	(= (slew_time Star12 GroundStation2) 44.03)
	(= (slew_time GroundStation2 Star12) 44.03)
	(= (slew_time Star12 Star3) 34.41)
	(= (slew_time Star3 Star12) 34.41)
	(= (slew_time Star12 GroundStation4) 45.56)
	(= (slew_time GroundStation4 Star12) 45.56)
	(= (slew_time Star12 GroundStation5) 24.46)
	(= (slew_time GroundStation5 Star12) 24.46)
	(= (slew_time Star12 Star6) 8.595)
	(= (slew_time Star6 Star12) 8.595)
	(= (slew_time Star12 Phenomenon7) 38.32)
	(= (slew_time Phenomenon7 Star12) 38.32)
	(= (slew_time Star12 Phenomenon8) 70.68)
	(= (slew_time Phenomenon8 Star12) 70.68)
	(= (slew_time Star12 Phenomenon9) 64.2)
	(= (slew_time Phenomenon9 Star12) 64.2)
	(= (slew_time Star12 Planet10) 6.927)
	(= (slew_time Planet10 Star12) 6.927)
	(= (slew_time Star12 Star11) 5.962)
	(= (slew_time Star11 Star12) 5.962)
	(= (slew_time Star13 Star0) 4.305)
	(= (slew_time Star0 Star13) 4.305)
	(= (slew_time Star13 Star1) 43)
	(= (slew_time Star1 Star13) 43)
	(= (slew_time Star13 GroundStation2) 41)
	(= (slew_time GroundStation2 Star13) 41)
	(= (slew_time Star13 Star3) 23.36)
	(= (slew_time Star3 Star13) 23.36)
	(= (slew_time Star13 GroundStation4) 56.26)
	(= (slew_time GroundStation4 Star13) 56.26)
	(= (slew_time Star13 GroundStation5) 30.91)
	(= (slew_time GroundStation5 Star13) 30.91)
	(= (slew_time Star13 Star6) 57.65)
	(= (slew_time Star6 Star13) 57.65)
	(= (slew_time Star13 Phenomenon7) 8.552)
	(= (slew_time Phenomenon7 Star13) 8.552)
	(= (slew_time Star13 Phenomenon8) 55.24)
	(= (slew_time Phenomenon8 Star13) 55.24)
	(= (slew_time Star13 Phenomenon9) 16.49)
	(= (slew_time Phenomenon9 Star13) 16.49)
	(= (slew_time Star13 Planet10) 19.64)
	(= (slew_time Planet10 Star13) 19.64)
	(= (slew_time Star13 Star11) 3.192)
	(= (slew_time Star11 Star13) 3.192)
	(= (slew_time Star13 Star12) 31.87)
	(= (slew_time Star12 Star13) 31.87)
	(= (slew_time Phenomenon14 Star0) 11.57)
	(= (slew_time Star0 Phenomenon14) 11.57)
	(= (slew_time Phenomenon14 Star1) 10.03)
	(= (slew_time Star1 Phenomenon14) 10.03)
	(= (slew_time Phenomenon14 GroundStation2) 29.61)
	(= (slew_time GroundStation2 Phenomenon14) 29.61)
	(= (slew_time Phenomenon14 Star3) 33.83)
	(= (slew_time Star3 Phenomenon14) 33.83)
	(= (slew_time Phenomenon14 GroundStation4) 68.85)
	(= (slew_time GroundStation4 Phenomenon14) 68.85)
	(= (slew_time Phenomenon14 GroundStation5) 29.75)
	(= (slew_time GroundStation5 Phenomenon14) 29.75)
	(= (slew_time Phenomenon14 Star6) 78.47)
	(= (slew_time Star6 Phenomenon14) 78.47)
	(= (slew_time Phenomenon14 Phenomenon7) 15.95)
	(= (slew_time Phenomenon7 Phenomenon14) 15.95)
	(= (slew_time Phenomenon14 Phenomenon8) 26.2)
	(= (slew_time Phenomenon8 Phenomenon14) 26.2)
	(= (slew_time Phenomenon14 Phenomenon9) 17.41)
	(= (slew_time Phenomenon9 Phenomenon14) 17.41)
	(= (slew_time Phenomenon14 Planet10) 52.01)
	(= (slew_time Planet10 Phenomenon14) 52.01)
	(= (slew_time Phenomenon14 Star11) 64.76)
	(= (slew_time Star11 Phenomenon14) 64.76)
	(= (slew_time Phenomenon14 Star12) 3.007)
	(= (slew_time Star12 Phenomenon14) 3.007)
	(= (slew_time Phenomenon14 Star13) 7.991)
	(= (slew_time Star13 Phenomenon14) 7.991)
	(= (slew_time Phenomenon15 Star0) 1.571)
	(= (slew_time Star0 Phenomenon15) 1.571)
	(= (slew_time Phenomenon15 Star1) 9.489)
	(= (slew_time Star1 Phenomenon15) 9.489)
	(= (slew_time Phenomenon15 GroundStation2) 68.83)
	(= (slew_time GroundStation2 Phenomenon15) 68.83)
	(= (slew_time Phenomenon15 Star3) 27.58)
	(= (slew_time Star3 Phenomenon15) 27.58)
	(= (slew_time Phenomenon15 GroundStation4) 13.76)
	(= (slew_time GroundStation4 Phenomenon15) 13.76)
	(= (slew_time Phenomenon15 GroundStation5) 4.594)
	(= (slew_time GroundStation5 Phenomenon15) 4.594)
	(= (slew_time Phenomenon15 Star6) 60.16)
	(= (slew_time Star6 Phenomenon15) 60.16)
	(= (slew_time Phenomenon15 Phenomenon7) 37.04)
	(= (slew_time Phenomenon7 Phenomenon15) 37.04)
	(= (slew_time Phenomenon15 Phenomenon8) 28.71)
	(= (slew_time Phenomenon8 Phenomenon15) 28.71)
	(= (slew_time Phenomenon15 Phenomenon9) 3.879)
	(= (slew_time Phenomenon9 Phenomenon15) 3.879)
	(= (slew_time Phenomenon15 Planet10) 28.28)
	(= (slew_time Planet10 Phenomenon15) 28.28)
	(= (slew_time Phenomenon15 Star11) 24.35)
	(= (slew_time Star11 Phenomenon15) 24.35)
	(= (slew_time Phenomenon15 Star12) 18.93)
	(= (slew_time Star12 Phenomenon15) 18.93)
	(= (slew_time Phenomenon15 Star13) 1.981)
	(= (slew_time Star13 Phenomenon15) 1.981)
	(= (slew_time Phenomenon15 Phenomenon14) 15.12)
	(= (slew_time Phenomenon14 Phenomenon15) 15.12)
	(= (data-stored) 0)
	(want Star6 image1)
	(want Phenomenon7 infrared3)
	(want Phenomenon8 infrared2)
	(want Phenomenon9 image1)
	(want Planet10 infrared2)
	(want Star11 infrared3)
	(want Star12 image1)
	(want Phenomenon14 infrared2)
	(want Phenomenon15 infrared2)
)
(:goal (and
	(pointing satellite0 Phenomenon7)
	(pointing satellite1 Planet10)
	(pointing satellite4 Star1)
	(have_image Star6 image1)
	(have_image Phenomenon7 infrared3)
	(have_image Phenomenon8 infrared2)
	(have_image Phenomenon9 image1)
	(have_image Planet10 infrared2)
	(have_image Star11 infrared3)
	(have_image Star12 image1)
	(have_image Phenomenon14 infrared2)
	(have_image Phenomenon15 infrared2)
))
(:metric minimize (total-time))

)
