(define (problem auvprob4123) (:domain auv)
(:objects
	ship1 - ship
	auv0 auv1 auv2 - auv
	torch0 torch1 torch2 - torch
	auv0gulper auv1gulper auv2gulper - gulper
	waypoint0 waypoint1 waypoint2 waypoint3 waypoint4 waypoint5 - Waypoint
	camera0 camera1 - Camera
	fish0 fish1 - Objective
	)
(:init
	(ready)
	(= (drift-rate) 0.5)
	(at_water_sample waypoint2)
	(at_water_sample waypoint3)
	(at_water_sample waypoint4)
	(at_water_sample waypoint5)
	(at_surface waypoint3)
	(is-ship waypoint3)
	(channel_free)
	(= (energy auv0) 1000)
	(= (recharge-rate auv0) 14)
	(at auv0 waypoint3)
	(on_board_torch torch0 auv0)
	(off torch0)
	(= (distance-from-waypoint auv0) 0)
	(= (recharge-rate auv0) 10)
	(available auv0)
	(on_board_gulper auv0gulper auv0)
	(empty auv0gulper)

	(equipped_for_imaging auv0)
	(= (distance waypoint2 waypoint0) 8)
	(can_traverse waypoint2 waypoint0)
	(= (distance waypoint0 waypoint2) 3)
	(can_traverse waypoint0 waypoint2)
	(= (distance waypoint2 waypoint1) 9)
	(can_traverse waypoint2 waypoint1)
	(= (distance waypoint1 waypoint2) 3)
	(can_traverse waypoint1 waypoint2)
	(= (distance waypoint2 waypoint3) 3)
	(can_traverse waypoint2 waypoint3)
	(= (distance waypoint3 waypoint2) 6)
	(can_traverse waypoint3 waypoint2)
	(= (distance waypoint2 waypoint5) 1)
	(can_traverse waypoint2 waypoint5)
	(= (distance waypoint5 waypoint2) 9)
	(can_traverse waypoint5 waypoint2)
	(= (distance waypoint0 waypoint4) 5)
	(can_traverse waypoint0 waypoint4)
	(= (distance waypoint4 waypoint0) 9)
	(can_traverse waypoint4 waypoint0)
	(= (energy auv1) 1000)
	(= (recharge-rate auv1) 15)
	(at auv1 waypoint3)
	(on_board_torch torch1 auv1)
	(off torch1)
	(= (distance-from-waypoint auv1) 0)
	(= (recharge-rate auv1) 10)
	(available auv1)
	(on_board_gulper auv1gulper auv1)
	(empty auv1gulper)

	(= (distance waypoint3 waypoint0) 1)
	(can_traverse waypoint3 waypoint0)
	(= (distance waypoint0 waypoint3) 10)
	(can_traverse waypoint0 waypoint3)
	(= (distance waypoint3 waypoint2) 6)
	(can_traverse waypoint3 waypoint2)
	(= (distance waypoint2 waypoint3) 3)
	(can_traverse waypoint2 waypoint3)
	(= (distance waypoint3 waypoint4) 1)
	(can_traverse waypoint3 waypoint4)
	(= (distance waypoint4 waypoint3) 3)
	(can_traverse waypoint4 waypoint3)
	(= (distance waypoint0 waypoint1) 3)
	(can_traverse waypoint0 waypoint1)
	(= (distance waypoint1 waypoint0) 6)
	(can_traverse waypoint1 waypoint0)
	(= (distance waypoint0 waypoint5) 8)
	(can_traverse waypoint0 waypoint5)
	(= (distance waypoint5 waypoint0) 1)
	(can_traverse waypoint5 waypoint0)
	(= (energy auv2) 1000)
	(= (recharge-rate auv2) 14)
	(at auv2 waypoint3)
	(on_board_torch torch2 auv2)
	(off torch2)
	(= (distance-from-waypoint auv2) 0)
	(= (recharge-rate auv2) 10)
	(available auv2)
	(on_board_gulper auv2gulper auv2)
	(empty auv2gulper)

	(equipped_for_imaging auv2)
	(= (distance waypoint4 waypoint0) 9)
	(can_traverse waypoint4 waypoint0)
	(= (distance waypoint0 waypoint4) 5)
	(can_traverse waypoint0 waypoint4)
	(= (distance waypoint4 waypoint5) 9)
	(can_traverse waypoint4 waypoint5)
	(= (distance waypoint5 waypoint4) 4)
	(can_traverse waypoint5 waypoint4)
	(= (distance waypoint0 waypoint1) 3)
	(can_traverse waypoint0 waypoint1)
	(= (distance waypoint1 waypoint0) 6)
	(can_traverse waypoint1 waypoint0)
	(= (distance waypoint0 waypoint3) 10)
	(can_traverse waypoint0 waypoint3)
	(= (distance waypoint3 waypoint0) 1)
	(can_traverse waypoint3 waypoint0)
	(= (distance waypoint5 waypoint2) 9)
	(can_traverse waypoint5 waypoint2)
	(= (distance waypoint2 waypoint5) 1)
	(can_traverse waypoint2 waypoint5)
	(on_board_camera camera0 auv0)
	(calibration_target camera0 fish0)
	(on_board_camera camera1 auv2)
	(calibration_target camera1 fish1)
	(visible_from fish0 waypoint0)
	(visible_from fish0 waypoint1)
	(visible_from fish0 waypoint2)
	(visible_from fish0 waypoint3)
	(visible_from fish0 waypoint4)
	(visible_from fish1 waypoint0)
	(visible_from fish1 waypoint1)
	(visible_from fish1 waypoint2)
	(visible_from fish1 waypoint3)
	(free waypoint0)
	(free waypoint1)
	(free waypoint2)
	(free waypoint3)
	(free waypoint4)
	(free waypoint5)
	(= (light-level fish0) 0)
	(= (light-level fish1) 0)
	(visible_from_ship fish0 ship1)
	(need_image fish0)
	(need_water_sample waypoint4)
	(need_water_sample waypoint2)
	(need_water_sample waypoint3)
)

(:goal (and
(have_water_sample waypoint3)
(have_water_sample waypoint2)
(have_water_sample waypoint4)
(communicated_image_data fish0)
	)
)

(:metric minimize (total-time))
)
