(define (problem auvprob4775) (:domain auv)
(:objects
	ship1 - ship
	auv0 auv1 auv2 auv3 auv4 auv5 - auv
	torch0 torch1 torch2 torch3 torch4 torch5 - torch
	auv0gulper auv1gulper auv2gulper auv3gulper auv4gulper auv5gulper - gulper
	waypoint0 waypoint1 waypoint2 waypoint3 waypoint4 waypoint5 waypoint6 waypoint7 waypoint8 waypoint9 waypoint10 waypoint11 waypoint12 waypoint13 waypoint14 - Waypoint
	camera0 camera1 camera2 camera3 camera4 camera5 camera6 - Camera
	fish0 fish1 fish2 fish3 fish4 fish5 - Objective
	)
(:init
	(ready)
	(= (drift-rate) 0.5)
	(at_water_sample waypoint0)
	(at_water_sample waypoint2)
	(at_water_sample waypoint3)
	(at_water_sample waypoint5)
	(at_water_sample waypoint6)
	(at_water_sample waypoint8)
	(at_water_sample waypoint9)
	(at_water_sample waypoint10)
	(at_water_sample waypoint11)
	(at_water_sample waypoint12)
	(at_surface waypoint13)
	(is-ship waypoint13)
	(channel_free)
	(= (energy auv0) 1000)
	(= (recharge-rate auv0) 20)
	(at auv0 waypoint13)
	(on_board_torch torch0 auv0)
	(off torch0)
	(= (distance-from-waypoint auv0) 0)
	(= (recharge-rate auv0) 10)
	(available auv0)
	(on_board_gulper auv0gulper auv0)
	(empty auv0gulper)
	(equipped_for_imaging auv0)
	(= (distance waypoint6 waypoint1) 3)
	(can_traverse waypoint6 waypoint1)
	(= (distance waypoint1 waypoint6) 9)
	(can_traverse waypoint1 waypoint6)
	(= (distance waypoint6 waypoint5) 7)
	(can_traverse waypoint6 waypoint5)
	(= (distance waypoint5 waypoint6) 9)
	(can_traverse waypoint5 waypoint6)
	(= (distance waypoint6 waypoint14) 7)
	(can_traverse waypoint6 waypoint14)
	(= (distance waypoint14 waypoint6) 1)
	(can_traverse waypoint14 waypoint6)
	(= (distance waypoint1 waypoint0) 9)
	(can_traverse waypoint1 waypoint0)
	(= (distance waypoint0 waypoint1) 1)
	(can_traverse waypoint0 waypoint1)
	(= (distance waypoint1 waypoint4) 10)
	(can_traverse waypoint1 waypoint4)
	(= (distance waypoint4 waypoint1) 9)
	(can_traverse waypoint4 waypoint1)
	(= (distance waypoint1 waypoint12) 6)
	(can_traverse waypoint1 waypoint12)
	(= (distance waypoint12 waypoint1) 4)
	(can_traverse waypoint12 waypoint1)
	(= (distance waypoint5 waypoint3) 1)
	(can_traverse waypoint5 waypoint3)
	(= (distance waypoint3 waypoint5) 5)
	(can_traverse waypoint3 waypoint5)
	(= (distance waypoint5 waypoint10) 3)
	(can_traverse waypoint5 waypoint10)
	(= (distance waypoint10 waypoint5) 2)
	(can_traverse waypoint10 waypoint5)
	(= (distance waypoint5 waypoint11) 5)
	(can_traverse waypoint5 waypoint11)
	(= (distance waypoint11 waypoint5) 4)
	(can_traverse waypoint11 waypoint5)
	(= (distance waypoint5 waypoint13) 1)
	(can_traverse waypoint5 waypoint13)
	(= (distance waypoint13 waypoint5) 5)
	(can_traverse waypoint13 waypoint5)
	(= (distance waypoint14 waypoint8) 5)
	(can_traverse waypoint14 waypoint8)
	(= (distance waypoint8 waypoint14) 7)
	(can_traverse waypoint8 waypoint14)
	(= (distance waypoint4 waypoint2) 9)
	(can_traverse waypoint4 waypoint2)
	(= (distance waypoint2 waypoint4) 4)
	(can_traverse waypoint2 waypoint4)
	(= (distance waypoint3 waypoint7) 10)
	(can_traverse waypoint3 waypoint7)
	(= (distance waypoint7 waypoint3) 5)
	(can_traverse waypoint7 waypoint3)
	(= (distance waypoint11 waypoint9) 9)
	(can_traverse waypoint11 waypoint9)
	(= (distance waypoint9 waypoint11) 4)
	(can_traverse waypoint9 waypoint11)
	(= (energy auv1) 1000)
	(= (recharge-rate auv1) 16)
	(at auv1 waypoint13)
	(on_board_torch torch1 auv1)
	(off torch1)
	(= (distance-from-waypoint auv1) 0)
	(= (recharge-rate auv1) 10)
	(available auv1)
	(on_board_gulper auv1gulper auv1)
	(empty auv1gulper)

	(= (distance waypoint5 waypoint1) 4)
	(can_traverse waypoint5 waypoint1)
	(= (distance waypoint1 waypoint5) 10)
	(can_traverse waypoint1 waypoint5)
	(= (distance waypoint5 waypoint4) 5)
	(can_traverse waypoint5 waypoint4)
	(= (distance waypoint4 waypoint5) 5)
	(can_traverse waypoint4 waypoint5)
	(= (distance waypoint5 waypoint6) 9)
	(can_traverse waypoint5 waypoint6)
	(= (distance waypoint6 waypoint5) 7)
	(can_traverse waypoint6 waypoint5)
	(= (distance waypoint5 waypoint7) 4)
	(can_traverse waypoint5 waypoint7)
	(= (distance waypoint7 waypoint5) 3)
	(can_traverse waypoint7 waypoint5)
	(= (distance waypoint5 waypoint11) 5)
	(can_traverse waypoint5 waypoint11)
	(= (distance waypoint11 waypoint5) 4)
	(can_traverse waypoint11 waypoint5)
	(= (distance waypoint5 waypoint12) 9)
	(can_traverse waypoint5 waypoint12)
	(= (distance waypoint12 waypoint5) 10)
	(can_traverse waypoint12 waypoint5)
	(= (distance waypoint5 waypoint13) 1)
	(can_traverse waypoint5 waypoint13)
	(= (distance waypoint13 waypoint5) 5)
	(can_traverse waypoint13 waypoint5)
	(= (distance waypoint1 waypoint0) 9)
	(can_traverse waypoint1 waypoint0)
	(= (distance waypoint0 waypoint1) 1)
	(can_traverse waypoint0 waypoint1)
	(= (distance waypoint1 waypoint9) 4)
	(can_traverse waypoint1 waypoint9)
	(= (distance waypoint9 waypoint1) 8)
	(can_traverse waypoint9 waypoint1)
	(= (distance waypoint1 waypoint10) 6)
	(can_traverse waypoint1 waypoint10)
	(= (distance waypoint10 waypoint1) 3)
	(can_traverse waypoint10 waypoint1)
	(= (distance waypoint1 waypoint14) 1)
	(can_traverse waypoint1 waypoint14)
	(= (distance waypoint14 waypoint1) 4)
	(can_traverse waypoint14 waypoint1)
	(= (distance waypoint4 waypoint2) 9)
	(can_traverse waypoint4 waypoint2)
	(= (distance waypoint2 waypoint4) 4)
	(can_traverse waypoint2 waypoint4)
	(= (distance waypoint4 waypoint8) 6)
	(can_traverse waypoint4 waypoint8)
	(= (distance waypoint8 waypoint4) 9)
	(can_traverse waypoint8 waypoint4)
	(= (distance waypoint6 waypoint3) 5)
	(can_traverse waypoint6 waypoint3)
	(= (distance waypoint3 waypoint6) 4)
	(can_traverse waypoint3 waypoint6)
	(= (energy auv2) 1000)
	(= (recharge-rate auv2) 18)
	(at auv2 waypoint13)
	(on_board_torch torch2 auv2)
	(off torch2)
	(= (distance-from-waypoint auv2) 0)
	(= (recharge-rate auv2) 10)
	(available auv2)
	(on_board_gulper auv2gulper auv2)
	(empty auv2gulper)

	(equipped_for_imaging auv2)
	(= (distance waypoint11 waypoint3) 6)
	(can_traverse waypoint11 waypoint3)
	(= (distance waypoint3 waypoint11) 5)
	(can_traverse waypoint3 waypoint11)
	(= (distance waypoint11 waypoint4) 4)
	(can_traverse waypoint11 waypoint4)
	(= (distance waypoint4 waypoint11) 3)
	(can_traverse waypoint4 waypoint11)
	(= (distance waypoint11 waypoint5) 4)
	(can_traverse waypoint11 waypoint5)
	(= (distance waypoint5 waypoint11) 5)
	(can_traverse waypoint5 waypoint11)
	(= (distance waypoint11 waypoint10) 2)
	(can_traverse waypoint11 waypoint10)
	(= (distance waypoint10 waypoint11) 2)
	(can_traverse waypoint10 waypoint11)
	(= (distance waypoint11 waypoint14) 9)
	(can_traverse waypoint11 waypoint14)
	(= (distance waypoint14 waypoint11) 9)
	(can_traverse waypoint14 waypoint11)
	(= (distance waypoint3 waypoint0) 10)
	(can_traverse waypoint3 waypoint0)
	(= (distance waypoint0 waypoint3) 9)
	(can_traverse waypoint0 waypoint3)
	(= (distance waypoint3 waypoint7) 10)
	(can_traverse waypoint3 waypoint7)
	(= (distance waypoint7 waypoint3) 5)
	(can_traverse waypoint7 waypoint3)
	(= (distance waypoint3 waypoint12) 5)
	(can_traverse waypoint3 waypoint12)
	(= (distance waypoint12 waypoint3) 5)
	(can_traverse waypoint12 waypoint3)
	(= (distance waypoint3 waypoint13) 6)
	(can_traverse waypoint3 waypoint13)
	(= (distance waypoint13 waypoint3) 5)
	(can_traverse waypoint13 waypoint3)
	(= (distance waypoint4 waypoint1) 9)
	(can_traverse waypoint4 waypoint1)
	(= (distance waypoint1 waypoint4) 10)
	(can_traverse waypoint1 waypoint4)
	(= (distance waypoint4 waypoint2) 9)
	(can_traverse waypoint4 waypoint2)
	(= (distance waypoint2 waypoint4) 4)
	(can_traverse waypoint2 waypoint4)
	(= (distance waypoint4 waypoint6) 6)
	(can_traverse waypoint4 waypoint6)
	(= (distance waypoint6 waypoint4) 2)
	(can_traverse waypoint6 waypoint4)
	(= (distance waypoint4 waypoint8) 6)
	(can_traverse waypoint4 waypoint8)
	(= (distance waypoint8 waypoint4) 9)
	(can_traverse waypoint8 waypoint4)
	(= (distance waypoint4 waypoint9) 7)
	(can_traverse waypoint4 waypoint9)
	(= (distance waypoint9 waypoint4) 2)
	(can_traverse waypoint9 waypoint4)
	(= (energy auv3) 1000)
	(= (recharge-rate auv3) 19)
	(at auv3 waypoint13)
	(on_board_torch torch3 auv3)
	(off torch3)
	(= (distance-from-waypoint auv3) 0)
	(= (recharge-rate auv3) 10)
	(available auv3)
	(on_board_gulper auv3gulper auv3)
	(empty auv3gulper)

	(equipped_for_imaging auv3)
	(= (distance waypoint13 waypoint0) 4)
	(can_traverse waypoint13 waypoint0)
	(= (distance waypoint0 waypoint13) 1)
	(can_traverse waypoint0 waypoint13)
	(= (distance waypoint13 waypoint5) 5)
	(can_traverse waypoint13 waypoint5)
	(= (distance waypoint5 waypoint13) 1)
	(can_traverse waypoint5 waypoint13)
	(= (distance waypoint13 waypoint7) 5)
	(can_traverse waypoint13 waypoint7)
	(= (distance waypoint7 waypoint13) 1)
	(can_traverse waypoint7 waypoint13)
	(= (distance waypoint13 waypoint12) 6)
	(can_traverse waypoint13 waypoint12)
	(= (distance waypoint12 waypoint13) 9)
	(can_traverse waypoint12 waypoint13)
	(= (distance waypoint13 waypoint14) 5)
	(can_traverse waypoint13 waypoint14)
	(= (distance waypoint14 waypoint13) 7)
	(can_traverse waypoint14 waypoint13)
	(= (distance waypoint0 waypoint3) 9)
	(can_traverse waypoint0 waypoint3)
	(= (distance waypoint3 waypoint0) 10)
	(can_traverse waypoint3 waypoint0)
	(= (distance waypoint0 waypoint4) 10)
	(can_traverse waypoint0 waypoint4)
	(= (distance waypoint4 waypoint0) 3)
	(can_traverse waypoint4 waypoint0)
	(= (distance waypoint0 waypoint10) 9)
	(can_traverse waypoint0 waypoint10)
	(= (distance waypoint10 waypoint0) 9)
	(can_traverse waypoint10 waypoint0)
	(= (distance waypoint5 waypoint1) 4)
	(can_traverse waypoint5 waypoint1)
	(= (distance waypoint1 waypoint5) 10)
	(can_traverse waypoint1 waypoint5)
	(= (distance waypoint5 waypoint6) 9)
	(can_traverse waypoint5 waypoint6)
	(= (distance waypoint6 waypoint5) 7)
	(can_traverse waypoint6 waypoint5)
	(= (distance waypoint5 waypoint11) 5)
	(can_traverse waypoint5 waypoint11)
	(= (distance waypoint11 waypoint5) 4)
	(can_traverse waypoint11 waypoint5)
	(= (distance waypoint7 waypoint9) 3)
	(can_traverse waypoint7 waypoint9)
	(= (distance waypoint9 waypoint7) 3)
	(can_traverse waypoint9 waypoint7)
	(= (distance waypoint12 waypoint8) 6)
	(can_traverse waypoint12 waypoint8)
	(= (distance waypoint8 waypoint12) 9)
	(can_traverse waypoint8 waypoint12)
	(= (distance waypoint10 waypoint2) 2)
	(can_traverse waypoint10 waypoint2)
	(= (distance waypoint2 waypoint10) 4)
	(can_traverse waypoint2 waypoint10)
	(= (energy auv4) 1000)
	(= (recharge-rate auv4) 16)
	(at auv4 waypoint13)
	(on_board_torch torch4 auv4)
	(off torch4)
	(= (distance-from-waypoint auv4) 0)
	(= (recharge-rate auv4) 10)
	(available auv4)
	(on_board_gulper auv4gulper auv4)
	(empty auv4gulper)
	(equipped_for_imaging auv4)
	(= (distance waypoint10 waypoint0) 9)
	(can_traverse waypoint10 waypoint0)
	(= (distance waypoint0 waypoint10) 9)
	(can_traverse waypoint0 waypoint10)
	(= (distance waypoint10 waypoint1) 3)
	(can_traverse waypoint10 waypoint1)
	(= (distance waypoint1 waypoint10) 6)
	(can_traverse waypoint1 waypoint10)
	(= (distance waypoint10 waypoint3) 7)
	(can_traverse waypoint10 waypoint3)
	(= (distance waypoint3 waypoint10) 9)
	(can_traverse waypoint3 waypoint10)
	(= (distance waypoint10 waypoint5) 2)
	(can_traverse waypoint10 waypoint5)
	(= (distance waypoint5 waypoint10) 3)
	(can_traverse waypoint5 waypoint10)
	(= (distance waypoint10 waypoint7) 6)
	(can_traverse waypoint10 waypoint7)
	(= (distance waypoint7 waypoint10) 9)
	(can_traverse waypoint7 waypoint10)
	(= (distance waypoint10 waypoint8) 10)
	(can_traverse waypoint10 waypoint8)
	(= (distance waypoint8 waypoint10) 6)
	(can_traverse waypoint8 waypoint10)
	(= (distance waypoint10 waypoint11) 2)
	(can_traverse waypoint10 waypoint11)
	(= (distance waypoint11 waypoint10) 2)
	(can_traverse waypoint11 waypoint10)
	(= (distance waypoint10 waypoint12) 9)
	(can_traverse waypoint10 waypoint12)
	(= (distance waypoint12 waypoint10) 7)
	(can_traverse waypoint12 waypoint10)
	(= (distance waypoint0 waypoint4) 10)
	(can_traverse waypoint0 waypoint4)
	(= (distance waypoint4 waypoint0) 3)
	(can_traverse waypoint4 waypoint0)
	(= (distance waypoint0 waypoint9) 10)
	(can_traverse waypoint0 waypoint9)
	(= (distance waypoint9 waypoint0) 8)
	(can_traverse waypoint9 waypoint0)
	(= (distance waypoint0 waypoint13) 1)
	(can_traverse waypoint0 waypoint13)
	(= (distance waypoint13 waypoint0) 4)
	(can_traverse waypoint13 waypoint0)
	(= (distance waypoint5 waypoint14) 2)
	(can_traverse waypoint5 waypoint14)
	(= (distance waypoint14 waypoint5) 3)
	(can_traverse waypoint14 waypoint5)
	(= (distance waypoint12 waypoint2) 1)
	(can_traverse waypoint12 waypoint2)
	(= (distance waypoint2 waypoint12) 2)
	(can_traverse waypoint2 waypoint12)
	(= (distance waypoint4 waypoint6) 6)
	(can_traverse waypoint4 waypoint6)
	(= (distance waypoint6 waypoint4) 2)
	(can_traverse waypoint6 waypoint4)
	(= (energy auv5) 1000)
	(= (recharge-rate auv5) 16)
	(at auv5 waypoint13)
	(on_board_torch torch5 auv5)
	(off torch5)
	(= (distance-from-waypoint auv5) 0)
	(= (recharge-rate auv5) 10)
	(available auv5)
	(on_board_gulper auv5gulper auv5)
	(empty auv5gulper)

	(equipped_for_imaging auv5)
	(= (distance waypoint4 waypoint0) 3)
	(can_traverse waypoint4 waypoint0)
	(= (distance waypoint0 waypoint4) 10)
	(can_traverse waypoint0 waypoint4)
	(= (distance waypoint4 waypoint2) 9)
	(can_traverse waypoint4 waypoint2)
	(= (distance waypoint2 waypoint4) 4)
	(can_traverse waypoint2 waypoint4)
	(= (distance waypoint4 waypoint6) 6)
	(can_traverse waypoint4 waypoint6)
	(= (distance waypoint6 waypoint4) 2)
	(can_traverse waypoint6 waypoint4)
	(= (distance waypoint4 waypoint9) 7)
	(can_traverse waypoint4 waypoint9)
	(= (distance waypoint9 waypoint4) 2)
	(can_traverse waypoint9 waypoint4)
	(= (distance waypoint0 waypoint1) 1)
	(can_traverse waypoint0 waypoint1)
	(= (distance waypoint1 waypoint0) 9)
	(can_traverse waypoint1 waypoint0)
	(= (distance waypoint0 waypoint10) 9)
	(can_traverse waypoint0 waypoint10)
	(= (distance waypoint10 waypoint0) 9)
	(can_traverse waypoint10 waypoint0)
	(= (distance waypoint0 waypoint13) 1)
	(can_traverse waypoint0 waypoint13)
	(= (distance waypoint13 waypoint0) 4)
	(can_traverse waypoint13 waypoint0)
	(= (distance waypoint2 waypoint12) 2)
	(can_traverse waypoint2 waypoint12)
	(= (distance waypoint12 waypoint2) 1)
	(can_traverse waypoint12 waypoint2)
	(= (distance waypoint6 waypoint3) 5)
	(can_traverse waypoint6 waypoint3)
	(= (distance waypoint3 waypoint6) 4)
	(can_traverse waypoint3 waypoint6)
	(= (distance waypoint9 waypoint7) 3)
	(can_traverse waypoint9 waypoint7)
	(= (distance waypoint7 waypoint9) 3)
	(can_traverse waypoint7 waypoint9)
	(= (distance waypoint9 waypoint8) 1)
	(can_traverse waypoint9 waypoint8)
	(= (distance waypoint8 waypoint9) 9)
	(can_traverse waypoint8 waypoint9)
	(= (distance waypoint9 waypoint11) 4)
	(can_traverse waypoint9 waypoint11)
	(= (distance waypoint11 waypoint9) 9)
	(can_traverse waypoint11 waypoint9)
	(= (distance waypoint1 waypoint14) 1)
	(can_traverse waypoint1 waypoint14)
	(= (distance waypoint14 waypoint1) 4)
	(can_traverse waypoint14 waypoint1)
	(= (distance waypoint10 waypoint5) 2)
	(can_traverse waypoint10 waypoint5)
	(= (distance waypoint5 waypoint10) 3)
	(can_traverse waypoint5 waypoint10)
	(on_board_camera camera0 auv3)
	(calibration_target camera0 fish1)
	(on_board_camera camera1 auv4)
	(calibration_target camera1 fish5)
	(on_board_camera camera2 auv3)
	(calibration_target camera2 fish4)
	(on_board_camera camera3 auv5)
	(calibration_target camera3 fish5)
	(on_board_camera camera4 auv5)
	(calibration_target camera4 fish1)
	(on_board_camera camera5 auv0)
	(calibration_target camera5 fish5)
	(on_board_camera camera6 auv2)
	(calibration_target camera6 fish5)
	(visible_from fish0 waypoint0)
	(visible_from fish0 waypoint1)
	(visible_from fish0 waypoint2)
	(visible_from fish0 waypoint3)
	(visible_from fish0 waypoint4)
	(visible_from fish0 waypoint5)
	(visible_from fish0 waypoint6)
	(visible_from fish0 waypoint7)
	(visible_from fish1 waypoint0)
	(visible_from fish1 waypoint1)
	(visible_from fish1 waypoint2)
	(visible_from fish1 waypoint3)
	(visible_from fish2 waypoint0)
	(visible_from fish2 waypoint1)
	(visible_from fish2 waypoint2)
	(visible_from fish2 waypoint3)
	(visible_from fish2 waypoint4)
	(visible_from fish2 waypoint5)
	(visible_from fish2 waypoint6)
	(visible_from fish2 waypoint7)
	(visible_from fish3 waypoint0)
	(visible_from fish3 waypoint1)
	(visible_from fish3 waypoint2)
	(visible_from fish3 waypoint3)
	(visible_from fish3 waypoint4)
	(visible_from fish3 waypoint5)
	(visible_from fish3 waypoint6)
	(visible_from fish3 waypoint7)
	(visible_from fish3 waypoint8)
	(visible_from fish3 waypoint9)
	(visible_from fish3 waypoint10)
	(visible_from fish3 waypoint11)
	(visible_from fish4 waypoint0)
	(visible_from fish4 waypoint1)
	(visible_from fish4 waypoint2)
	(visible_from fish4 waypoint3)
	(visible_from fish4 waypoint4)
	(visible_from fish5 waypoint0)
	(visible_from fish5 waypoint1)
	(visible_from fish5 waypoint2)
	(visible_from fish5 waypoint3)
	(visible_from fish5 waypoint4)
	(visible_from fish5 waypoint5)
	(visible_from fish5 waypoint6)
	(visible_from fish5 waypoint7)
	(visible_from fish5 waypoint8)
	(visible_from fish5 waypoint9)
	(visible_from fish5 waypoint10)
	(visible_from fish5 waypoint11)
	(visible_from fish5 waypoint12)
	(visible_from fish5 waypoint13)
	(free waypoint0)
	(free waypoint1)
	(free waypoint2)
	(free waypoint3)
	(free waypoint4)
	(free waypoint5)
	(free waypoint6)
	(free waypoint7)
	(free waypoint8)
	(free waypoint9)
	(free waypoint10)
	(free waypoint11)
	(free waypoint12)
	(free waypoint13)
	(free waypoint14)
	(= (light-level fish0) 0)
	(= (light-level fish1) 0)
	(= (light-level fish2) 0)
	(= (light-level fish3) 0)
	(= (light-level fish4) 0)
	(= (light-level fish5) 0)
	(need_image fish3)
	(need_image fish5)
	(need_image fish5)
	(need_water_sample waypoint12)
	(need_water_sample waypoint0)
	(need_water_sample waypoint10)
)

(:goal (and
(have_water_sample waypoint10)
(have_water_sample waypoint0)
(have_water_sample waypoint12)
(communicated_image_data fish5)
(communicated_image_data fish5)
(communicated_image_data fish3)
	)
)

(:metric minimize (total-time))
)
