(define (problem strips-sat-x-1)
(:domain satellite)
(:objects
	cooled nocooling - coolingstatus
	satellite0 - satellite
	instrument0 - instrument
	instrument1 - instrument
	instrument2 - instrument
	satellite1 - satellite
	instrument3 - instrument
	instrument4 - instrument
	instrument5 - instrument
	satellite2 - satellite
	instrument6 - instrument
	satellite3 - satellite
	instrument7 - instrument
	satellite4 - satellite
	instrument8 - instrument
	instrument9 - instrument
	instrument10 - instrument
	spectrograph0 - mode
	image3 - mode
	image4 - mode
	infrared1 - mode
	image2 - mode
	Star4 - direction
	Star3 - direction
	GroundStation1 - direction
	Star0 - direction
	Star2 - direction
	Planet5 - direction
	Phenomenon6 - direction
	Phenomenon7 - direction
	Phenomenon8 - direction
	Star9 - direction
	Planet10 - direction
	Planet11 - direction
	Phenomenon12 - direction
	Phenomenon13 - direction
	Star14 - direction
)
(:init (= (multiplier nocooling) 1) (= (multiplier cooled) 1.5)
	(canincrease) (not-decreasing) (not-increasing) (not-flat)
	(= (powered) 0)
	(supports instrument0 infrared1)
	(supports instrument0 image4)
	(calibration_target instrument0 Star3)
	(= (calibration_time instrument0 Star3) 72.8)
	(supports instrument1 image4)
	(supports instrument1 image2)
	(supports instrument1 spectrograph0)
	(calibration_target instrument1 Star4)
	(= (calibration_time instrument1 Star4) 90)
	(supports instrument2 image2)
	(calibration_target instrument2 Star2)
	(= (calibration_time instrument2 Star2) 45.9)
	(on_board instrument0 satellite0)	(idle instrument0)
	(on_board instrument1 satellite0)	(idle instrument1)
	(on_board instrument2 satellite0)	(idle instrument2)
	(= (power_avail satellite0) 0.5)
	(pointing satellite0 Star0)
	(= (data_capacity satellite0) 1000)
	(supports instrument3 image2)
	(supports instrument3 image3)
	(supports instrument3 image4)
	(calibration_target instrument3 Star2)
	(= (calibration_time instrument3 Star2) 46.4)
	(supports instrument4 image3)
	(supports instrument4 image2)
	(calibration_target instrument4 Star3)
	(= (calibration_time instrument4 Star3) 62.2)
	(supports instrument5 image4)
	(supports instrument5 infrared1)
	(supports instrument5 spectrograph0)
	(calibration_target instrument5 Star3)
	(= (calibration_time instrument5 Star3) 26.7)
	(on_board instrument3 satellite1)	(idle instrument3)
	(on_board instrument4 satellite1)	(idle instrument4)
	(on_board instrument5 satellite1)	(idle instrument5)
	(= (power_avail satellite1) 0.5)
	(pointing satellite1 Planet11)
	(= (data_capacity satellite1) 1000)
	(supports instrument6 image2)
	(supports instrument6 spectrograph0)
	(calibration_target instrument6 Star2)
	(= (calibration_time instrument6 Star2) 19)
	(on_board instrument6 satellite2)	(idle instrument6)
	(= (power_avail satellite2) 0.5)
	(pointing satellite2 Phenomenon6)
	(= (data_capacity satellite2) 1000)
	(supports instrument7 image3)
	(supports instrument7 spectrograph0)
	(supports instrument7 image4)
	(calibration_target instrument7 Star0)
	(= (calibration_time instrument7 Star0) 60.5)
	(on_board instrument7 satellite3)	(idle instrument7)
	(= (power_avail satellite3) 0.5)
	(pointing satellite3 Planet10)
	(= (data_capacity satellite3) 1000)
	(supports instrument8 image4)
	(supports instrument8 infrared1)
	(supports instrument8 image3)
	(calibration_target instrument8 GroundStation1)
	(= (calibration_time instrument8 GroundStation1) 15)
	(supports instrument9 image4)
	(calibration_target instrument9 Star0)
	(= (calibration_time instrument9 Star0) 46.9)
	(supports instrument10 image2)
	(supports instrument10 infrared1)
	(supports instrument10 image4)
	(calibration_target instrument10 Star2)
	(= (calibration_time instrument10 Star2) 95.2)
	(on_board instrument8 satellite4)	(idle instrument8)
	(on_board instrument9 satellite4)	(idle instrument9)
	(on_board instrument10 satellite4)	(idle instrument10)
	(= (power_avail satellite4) 0.5)
	(pointing satellite4 Star9)
	(= (data_capacity satellite4) 1000)
	(= (data Planet5 spectrograph0) 33)
	(= (data Phenomenon6 spectrograph0) 259)
	(= (data Phenomenon7 spectrograph0) 71)
	(= (data Phenomenon8 spectrograph0) 292)
	(= (data Star9 spectrograph0) 239)
	(= (data Planet10 spectrograph0) 280)
	(= (data Planet11 spectrograph0) 170)
	(= (data Phenomenon12 spectrograph0) 19)
	(= (data Phenomenon13 spectrograph0) 41)
	(= (data Star14 spectrograph0) 31)
	(= (data Planet5 image3) 4)
	(= (data Phenomenon6 image3) 86)
	(= (data Phenomenon7 image3) 270)
	(= (data Phenomenon8 image3) 193)
	(= (data Star9 image3) 74)
	(= (data Planet10 image3) 228)
	(= (data Planet11 image3) 98)
	(= (data Phenomenon12 image3) 100)
	(= (data Phenomenon13 image3) 114)
	(= (data Star14 image3) 20)
	(= (data Planet5 image4) 226)
	(= (data Phenomenon6 image4) 260)
	(= (data Phenomenon7 image4) 105)
	(= (data Phenomenon8 image4) 11)
	(= (data Star9 image4) 240)
	(= (data Planet10 image4) 242)
	(= (data Planet11 image4) 214)
	(= (data Phenomenon12 image4) 106)
	(= (data Phenomenon13 image4) 279)
	(= (data Star14 image4) 136)
	(= (data Planet5 infrared1) 189)
	(= (data Phenomenon6 infrared1) 199)
	(= (data Phenomenon7 infrared1) 224)
	(= (data Phenomenon8 infrared1) 113)
	(= (data Star9 infrared1) 248)
	(= (data Planet10 infrared1) 70)
	(= (data Planet11 infrared1) 271)
	(= (data Phenomenon12 infrared1) 140)
	(= (data Phenomenon13 infrared1) 32)
	(= (data Star14 infrared1) 87)
	(= (data Planet5 image2) 162)
	(= (data Phenomenon6 image2) 160)
	(= (data Phenomenon7 image2) 52)
	(= (data Phenomenon8 image2) 276)
	(= (data Star9 image2) 172)
	(= (data Planet10 image2) 299)
	(= (data Planet11 image2) 8)
	(= (data Phenomenon12 image2) 42)
	(= (data Phenomenon13 image2) 242)
	(= (data Star14 image2) 265)
	(= (slew_time Star4 Star0) 23.5)
	(= (slew_time Star0 Star4) 23.5)
	(= (slew_time Star4 GroundStation1) 17.74)
	(= (slew_time GroundStation1 Star4) 17.74)
	(= (slew_time Star4 Star2) 33.63)
	(= (slew_time Star2 Star4) 33.63)
	(= (slew_time Star4 Star3) 50.36)
	(= (slew_time Star3 Star4) 50.36)
	(= (slew_time Star3 Star0) 35.26)
	(= (slew_time Star0 Star3) 35.26)
	(= (slew_time Star3 GroundStation1) 78.01)
	(= (slew_time GroundStation1 Star3) 78.01)
	(= (slew_time Star3 Star2) 84.2)
	(= (slew_time Star2 Star3) 84.2)
	(= (slew_time GroundStation1 Star0) 31.11)
	(= (slew_time Star0 GroundStation1) 31.11)
	(= (slew_time Star2 Star0) 30.86)
	(= (slew_time Star0 Star2) 30.86)
	(= (slew_time Star2 GroundStation1) 54.29)
	(= (slew_time GroundStation1 Star2) 54.29)
	(= (slew_time Planet5 Star0) 20.86)
	(= (slew_time Star0 Planet5) 20.86)
	(= (slew_time Planet5 GroundStation1) 48.9)
	(= (slew_time GroundStation1 Planet5) 48.9)
	(= (slew_time Planet5 Star2) 47.19)
	(= (slew_time Star2 Planet5) 47.19)
	(= (slew_time Planet5 Star3) 31.7)
	(= (slew_time Star3 Planet5) 31.7)
	(= (slew_time Planet5 Star4) 72.71)
	(= (slew_time Star4 Planet5) 72.71)
	(= (slew_time Phenomenon6 Star0) 36.86)
	(= (slew_time Star0 Phenomenon6) 36.86)
	(= (slew_time Phenomenon6 GroundStation1) 35.44)
	(= (slew_time GroundStation1 Phenomenon6) 35.44)
	(= (slew_time Phenomenon6 Star2) 48.67)
	(= (slew_time Star2 Phenomenon6) 48.67)
	(= (slew_time Phenomenon6 Star3) 36.81)
	(= (slew_time Star3 Phenomenon6) 36.81)
	(= (slew_time Phenomenon6 Star4) 47.72)
	(= (slew_time Star4 Phenomenon6) 47.72)
	(= (slew_time Phenomenon6 Planet5) 28.88)
	(= (slew_time Planet5 Phenomenon6) 28.88)
	(= (slew_time Phenomenon7 Star0) 23.4)
	(= (slew_time Star0 Phenomenon7) 23.4)
	(= (slew_time Phenomenon7 GroundStation1) 43.55)
	(= (slew_time GroundStation1 Phenomenon7) 43.55)
	(= (slew_time Phenomenon7 Star2) 77.99)
	(= (slew_time Star2 Phenomenon7) 77.99)
	(= (slew_time Phenomenon7 Star3) 23.38)
	(= (slew_time Star3 Phenomenon7) 23.38)
	(= (slew_time Phenomenon7 Star4) 82.72)
	(= (slew_time Star4 Phenomenon7) 82.72)
	(= (slew_time Phenomenon7 Planet5) 67.51)
	(= (slew_time Planet5 Phenomenon7) 67.51)
	(= (slew_time Phenomenon7 Phenomenon6) 47.94)
	(= (slew_time Phenomenon6 Phenomenon7) 47.94)
	(= (slew_time Phenomenon8 Star0) 5.79)
	(= (slew_time Star0 Phenomenon8) 5.79)
	(= (slew_time Phenomenon8 GroundStation1) 6.877)
	(= (slew_time GroundStation1 Phenomenon8) 6.877)
	(= (slew_time Phenomenon8 Star2) 25.52)
	(= (slew_time Star2 Phenomenon8) 25.52)
	(= (slew_time Phenomenon8 Star3) 55.78)
	(= (slew_time Star3 Phenomenon8) 55.78)
	(= (slew_time Phenomenon8 Star4) 55.15)
	(= (slew_time Star4 Phenomenon8) 55.15)
	(= (slew_time Phenomenon8 Planet5) 9.429)
	(= (slew_time Planet5 Phenomenon8) 9.429)
	(= (slew_time Phenomenon8 Phenomenon6) 33.75)
	(= (slew_time Phenomenon6 Phenomenon8) 33.75)
	(= (slew_time Phenomenon8 Phenomenon7) 0.5836)
	(= (slew_time Phenomenon7 Phenomenon8) 0.5836)
	(= (slew_time Star9 Star0) 73.97)
	(= (slew_time Star0 Star9) 73.97)
	(= (slew_time Star9 GroundStation1) 46.94)
	(= (slew_time GroundStation1 Star9) 46.94)
	(= (slew_time Star9 Star2) 64.9)
	(= (slew_time Star2 Star9) 64.9)
	(= (slew_time Star9 Star3) 52.68)
	(= (slew_time Star3 Star9) 52.68)
	(= (slew_time Star9 Star4) 4.125)
	(= (slew_time Star4 Star9) 4.125)
	(= (slew_time Star9 Planet5) 2.868)
	(= (slew_time Planet5 Star9) 2.868)
	(= (slew_time Star9 Phenomenon6) 17.25)
	(= (slew_time Phenomenon6 Star9) 17.25)
	(= (slew_time Star9 Phenomenon7) 8.972)
	(= (slew_time Phenomenon7 Star9) 8.972)
	(= (slew_time Star9 Phenomenon8) 21.83)
	(= (slew_time Phenomenon8 Star9) 21.83)
	(= (slew_time Planet10 Star0) 78.34)
	(= (slew_time Star0 Planet10) 78.34)
	(= (slew_time Planet10 GroundStation1) 54.03)
	(= (slew_time GroundStation1 Planet10) 54.03)
	(= (slew_time Planet10 Star2) 1.69)
	(= (slew_time Star2 Planet10) 1.69)
	(= (slew_time Planet10 Star3) 14.6)
	(= (slew_time Star3 Planet10) 14.6)
	(= (slew_time Planet10 Star4) 79.32)
	(= (slew_time Star4 Planet10) 79.32)
	(= (slew_time Planet10 Planet5) 1.259)
	(= (slew_time Planet5 Planet10) 1.259)
	(= (slew_time Planet10 Phenomenon6) 15.98)
	(= (slew_time Phenomenon6 Planet10) 15.98)
	(= (slew_time Planet10 Phenomenon7) 0.9005)
	(= (slew_time Phenomenon7 Planet10) 0.9005)
	(= (slew_time Planet10 Phenomenon8) 22.54)
	(= (slew_time Phenomenon8 Planet10) 22.54)
	(= (slew_time Planet10 Star9) 57.12)
	(= (slew_time Star9 Planet10) 57.12)
	(= (slew_time Planet11 Star0) 31.56)
	(= (slew_time Star0 Planet11) 31.56)
	(= (slew_time Planet11 GroundStation1) 34.8)
	(= (slew_time GroundStation1 Planet11) 34.8)
	(= (slew_time Planet11 Star2) 73.92)
	(= (slew_time Star2 Planet11) 73.92)
	(= (slew_time Planet11 Star3) 39.03)
	(= (slew_time Star3 Planet11) 39.03)
	(= (slew_time Planet11 Star4) 17.07)
	(= (slew_time Star4 Planet11) 17.07)
	(= (slew_time Planet11 Planet5) 2.536)
	(= (slew_time Planet5 Planet11) 2.536)
	(= (slew_time Planet11 Phenomenon6) 10.81)
	(= (slew_time Phenomenon6 Planet11) 10.81)
	(= (slew_time Planet11 Phenomenon7) 55.1)
	(= (slew_time Phenomenon7 Planet11) 55.1)
	(= (slew_time Planet11 Phenomenon8) 1.469)
	(= (slew_time Phenomenon8 Planet11) 1.469)
	(= (slew_time Planet11 Star9) 26.86)
	(= (slew_time Star9 Planet11) 26.86)
	(= (slew_time Planet11 Planet10) 60.37)
	(= (slew_time Planet10 Planet11) 60.37)
	(= (slew_time Phenomenon12 Star0) 61.81)
	(= (slew_time Star0 Phenomenon12) 61.81)
	(= (slew_time Phenomenon12 GroundStation1) 20.77)
	(= (slew_time GroundStation1 Phenomenon12) 20.77)
	(= (slew_time Phenomenon12 Star2) 67.55)
	(= (slew_time Star2 Phenomenon12) 67.55)
	(= (slew_time Phenomenon12 Star3) 17.94)
	(= (slew_time Star3 Phenomenon12) 17.94)
	(= (slew_time Phenomenon12 Star4) 1.243)
	(= (slew_time Star4 Phenomenon12) 1.243)
	(= (slew_time Phenomenon12 Planet5) 51.94)
	(= (slew_time Planet5 Phenomenon12) 51.94)
	(= (slew_time Phenomenon12 Phenomenon6) 2.427)
	(= (slew_time Phenomenon6 Phenomenon12) 2.427)
	(= (slew_time Phenomenon12 Phenomenon7) 27.43)
	(= (slew_time Phenomenon7 Phenomenon12) 27.43)
	(= (slew_time Phenomenon12 Phenomenon8) 46.02)
	(= (slew_time Phenomenon8 Phenomenon12) 46.02)
	(= (slew_time Phenomenon12 Star9) 73.83)
	(= (slew_time Star9 Phenomenon12) 73.83)
	(= (slew_time Phenomenon12 Planet10) 8.949)
	(= (slew_time Planet10 Phenomenon12) 8.949)
	(= (slew_time Phenomenon12 Planet11) 55.97)
	(= (slew_time Planet11 Phenomenon12) 55.97)
	(= (slew_time Phenomenon13 Star0) 59.85)
	(= (slew_time Star0 Phenomenon13) 59.85)
	(= (slew_time Phenomenon13 GroundStation1) 58.05)
	(= (slew_time GroundStation1 Phenomenon13) 58.05)
	(= (slew_time Phenomenon13 Star2) 5.415)
	(= (slew_time Star2 Phenomenon13) 5.415)
	(= (slew_time Phenomenon13 Star3) 40.3)
	(= (slew_time Star3 Phenomenon13) 40.3)
	(= (slew_time Phenomenon13 Star4) 56.7)
	(= (slew_time Star4 Phenomenon13) 56.7)
	(= (slew_time Phenomenon13 Planet5) 99.46)
	(= (slew_time Planet5 Phenomenon13) 99.46)
	(= (slew_time Phenomenon13 Phenomenon6) 59.45)
	(= (slew_time Phenomenon6 Phenomenon13) 59.45)
	(= (slew_time Phenomenon13 Phenomenon7) 50.22)
	(= (slew_time Phenomenon7 Phenomenon13) 50.22)
	(= (slew_time Phenomenon13 Phenomenon8) 21.34)
	(= (slew_time Phenomenon8 Phenomenon13) 21.34)
	(= (slew_time Phenomenon13 Star9) 18.82)
	(= (slew_time Star9 Phenomenon13) 18.82)
	(= (slew_time Phenomenon13 Planet10) 18.9)
	(= (slew_time Planet10 Phenomenon13) 18.9)
	(= (slew_time Phenomenon13 Planet11) 53.23)
	(= (slew_time Planet11 Phenomenon13) 53.23)
	(= (slew_time Phenomenon13 Phenomenon12) 4.346)
	(= (slew_time Phenomenon12 Phenomenon13) 4.346)
	(= (slew_time Star14 Star0) 62.77)
	(= (slew_time Star0 Star14) 62.77)
	(= (slew_time Star14 GroundStation1) 11.74)
	(= (slew_time GroundStation1 Star14) 11.74)
	(= (slew_time Star14 Star2) 79.59)
	(= (slew_time Star2 Star14) 79.59)
	(= (slew_time Star14 Star3) 59.26)
	(= (slew_time Star3 Star14) 59.26)
	(= (slew_time Star14 Star4) 20.26)
	(= (slew_time Star4 Star14) 20.26)
	(= (slew_time Star14 Planet5) 74.82)
	(= (slew_time Planet5 Star14) 74.82)
	(= (slew_time Star14 Phenomenon6) 9.591)
	(= (slew_time Phenomenon6 Star14) 9.591)
	(= (slew_time Star14 Phenomenon7) 51.05)
	(= (slew_time Phenomenon7 Star14) 51.05)
	(= (slew_time Star14 Phenomenon8) 18.95)
	(= (slew_time Phenomenon8 Star14) 18.95)
	(= (slew_time Star14 Star9) 67.82)
	(= (slew_time Star9 Star14) 67.82)
	(= (slew_time Star14 Planet10) 68.7)
	(= (slew_time Planet10 Star14) 68.7)
	(= (slew_time Star14 Planet11) 4.1)
	(= (slew_time Planet11 Star14) 4.1)
	(= (slew_time Star14 Phenomenon12) 27.29)
	(= (slew_time Phenomenon12 Star14) 27.29)
	(= (slew_time Star14 Phenomenon13) 0.2689)
	(= (slew_time Phenomenon13 Star14) 0.2689)
	(= (data-stored) 0)
	(want Planet5 image2)
	(want Phenomenon6 image3)
	(want Phenomenon7 infrared1)
	(want Phenomenon8 image2)
	(want Star9 image3)
	(want Planet10 image4)
	(want Planet11 spectrograph0)
	(want Phenomenon12 image3)
	(want Phenomenon13 spectrograph0)
	(want Star14 image4)
)
(:goal (and
	(pointing satellite0 Phenomenon7)
	(pointing satellite3 Star9)
	(pointing satellite4 Planet5)
	(have_image Planet5 image2)
	(have_image Phenomenon6 image3)
	(have_image Phenomenon7 infrared1)
	(have_image Phenomenon8 image2)
	(have_image Star9 image3)
	(have_image Planet10 image4)
	(have_image Planet11 spectrograph0)
	(have_image Phenomenon12 image3)
	(have_image Phenomenon13 spectrograph0)
	(have_image Star14 image4)
))
(:metric minimize (total-time))

)
