(define (problem strips-sat-x-1)
(:domain satellite)
(:objects
	cooled nocooling - coolingstatus
	satellite0 - satellite
	instrument0 - instrument
	instrument1 - instrument
	instrument2 - instrument
	satellite1 - satellite
	instrument3 - instrument
	satellite2 - satellite
	instrument4 - instrument
	instrument5 - instrument
	satellite3 - satellite
	instrument6 - instrument
	instrument7 - instrument
	instrument8 - instrument
	infrared2 - mode
	spectrograph0 - mode
	thermograph1 - mode
	thermograph3 - mode
	Star1 - direction
	GroundStation2 - direction
	Star0 - direction
	GroundStation3 - direction
	Star4 - direction
	Planet5 - direction
	Planet6 - direction
	Star7 - direction
	Star8 - direction
	Planet9 - direction
	Planet10 - direction
	Phenomenon11 - direction
	Star12 - direction
)
(:init (= (multiplier nocooling) 1) (= (multiplier cooled) 1.5)
	(canincrease) (not-decreasing) (not-increasing) (not-flat)
	(= (powered) 0)
	(supports instrument0 spectrograph0)
	(supports instrument0 thermograph1)
	(supports instrument0 infrared2)
	(calibration_target instrument0 Star4)
	(= (calibration_time instrument0 Star4) 63.9)
	(supports instrument1 infrared2)
	(supports instrument1 spectrograph0)
	(calibration_target instrument1 Star1)
	(= (calibration_time instrument1 Star1) 97.2)
	(supports instrument2 infrared2)
	(supports instrument2 thermograph1)
	(calibration_target instrument2 GroundStation2)
	(= (calibration_time instrument2 GroundStation2) 56.9)
	(on_board instrument0 satellite0)	(idle instrument0)
	(on_board instrument1 satellite0)	(idle instrument1)
	(on_board instrument2 satellite0)	(idle instrument2)
	(= (power_avail satellite0) 0.5)
	(pointing satellite0 Star12)
	(= (data_capacity satellite0) 1000)
	(supports instrument3 infrared2)
	(supports instrument3 thermograph3)
	(calibration_target instrument3 Star4)
	(= (calibration_time instrument3 Star4) 6.08)
	(on_board instrument3 satellite1)	(idle instrument3)
	(= (power_avail satellite1) 0.5)
	(pointing satellite1 Planet9)
	(= (data_capacity satellite1) 1000)
	(supports instrument4 spectrograph0)
	(calibration_target instrument4 GroundStation3)
	(= (calibration_time instrument4 GroundStation3) 5.39)
	(supports instrument5 thermograph3)
	(calibration_target instrument5 GroundStation3)
	(= (calibration_time instrument5 GroundStation3) 56.5)
	(on_board instrument4 satellite2)	(idle instrument4)
	(on_board instrument5 satellite2)	(idle instrument5)
	(= (power_avail satellite2) 0.5)
	(pointing satellite2 Planet10)
	(= (data_capacity satellite2) 1000)
	(supports instrument6 spectrograph0)
	(calibration_target instrument6 Star0)
	(= (calibration_time instrument6 Star0) 75)
	(supports instrument7 thermograph1)
	(calibration_target instrument7 GroundStation3)
	(= (calibration_time instrument7 GroundStation3) 72.3)
	(supports instrument8 thermograph3)
	(supports instrument8 thermograph1)
	(calibration_target instrument8 Star4)
	(= (calibration_time instrument8 Star4) 92.7)
	(on_board instrument6 satellite3)	(idle instrument6)
	(on_board instrument7 satellite3)	(idle instrument7)
	(on_board instrument8 satellite3)	(idle instrument8)
	(= (power_avail satellite3) 0.5)
	(pointing satellite3 Star4)
	(= (data_capacity satellite3) 1000)
	(= (data Planet5 infrared2) 292)
	(= (data Planet6 infrared2) 200)
	(= (data Star7 infrared2) 114)
	(= (data Star8 infrared2) 255)
	(= (data Planet9 infrared2) 38)
	(= (data Planet10 infrared2) 253)
	(= (data Phenomenon11 infrared2) 192)
	(= (data Star12 infrared2) 130)
	(= (data Planet5 spectrograph0) 42)
	(= (data Planet6 spectrograph0) 69)
	(= (data Star7 spectrograph0) 83)
	(= (data Star8 spectrograph0) 165)
	(= (data Planet9 spectrograph0) 11)
	(= (data Planet10 spectrograph0) 69)
	(= (data Phenomenon11 spectrograph0) 192)
	(= (data Star12 spectrograph0) 76)
	(= (data Planet5 thermograph1) 198)
	(= (data Planet6 thermograph1) 123)
	(= (data Star7 thermograph1) 13)
	(= (data Star8 thermograph1) 34)
	(= (data Planet9 thermograph1) 166)
	(= (data Planet10 thermograph1) 256)
	(= (data Phenomenon11 thermograph1) 268)
	(= (data Star12 thermograph1) 249)
	(= (data Planet5 thermograph3) 64)
	(= (data Planet6 thermograph3) 283)
	(= (data Star7 thermograph3) 111)
	(= (data Star8 thermograph3) 172)
	(= (data Planet9 thermograph3) 225)
	(= (data Planet10 thermograph3) 80)
	(= (data Phenomenon11 thermograph3) 145)
	(= (data Star12 thermograph3) 124)
	(= (slew_time Star1 Star0) 72.46)
	(= (slew_time Star0 Star1) 72.46)
	(= (slew_time GroundStation2 Star0) 3.127)
	(= (slew_time Star0 GroundStation2) 3.127)
	(= (slew_time GroundStation2 Star1) 77.23)
	(= (slew_time Star1 GroundStation2) 77.23)
	(= (slew_time GroundStation3 Star0) 20.18)
	(= (slew_time Star0 GroundStation3) 20.18)
	(= (slew_time GroundStation3 Star1) 1.873)
	(= (slew_time Star1 GroundStation3) 1.873)
	(= (slew_time GroundStation3 GroundStation2) 20.56)
	(= (slew_time GroundStation2 GroundStation3) 20.56)
	(= (slew_time Star4 Star0) 18.35)
	(= (slew_time Star0 Star4) 18.35)
	(= (slew_time Star4 Star1) 1.772)
	(= (slew_time Star1 Star4) 1.772)
	(= (slew_time Star4 GroundStation2) 0.225)
	(= (slew_time GroundStation2 Star4) 0.225)
	(= (slew_time Star4 GroundStation3) 26.34)
	(= (slew_time GroundStation3 Star4) 26.34)
	(= (slew_time Planet5 Star0) 26.53)
	(= (slew_time Star0 Planet5) 26.53)
	(= (slew_time Planet5 Star1) 35.93)
	(= (slew_time Star1 Planet5) 35.93)
	(= (slew_time Planet5 GroundStation2) 43.32)
	(= (slew_time GroundStation2 Planet5) 43.32)
	(= (slew_time Planet5 GroundStation3) 36.54)
	(= (slew_time GroundStation3 Planet5) 36.54)
	(= (slew_time Planet5 Star4) 91.3)
	(= (slew_time Star4 Planet5) 91.3)
	(= (slew_time Planet6 Star0) 50.55)
	(= (slew_time Star0 Planet6) 50.55)
	(= (slew_time Planet6 Star1) 18.18)
	(= (slew_time Star1 Planet6) 18.18)
	(= (slew_time Planet6 GroundStation2) 37.26)
	(= (slew_time GroundStation2 Planet6) 37.26)
	(= (slew_time Planet6 GroundStation3) 69.21)
	(= (slew_time GroundStation3 Planet6) 69.21)
	(= (slew_time Planet6 Star4) 27.05)
	(= (slew_time Star4 Planet6) 27.05)
	(= (slew_time Planet6 Planet5) 57.69)
	(= (slew_time Planet5 Planet6) 57.69)
	(= (slew_time Star7 Star0) 3.396)
	(= (slew_time Star0 Star7) 3.396)
	(= (slew_time Star7 Star1) 44.04)
	(= (slew_time Star1 Star7) 44.04)
	(= (slew_time Star7 GroundStation2) 8.003)
	(= (slew_time GroundStation2 Star7) 8.003)
	(= (slew_time Star7 GroundStation3) 14.42)
	(= (slew_time GroundStation3 Star7) 14.42)
	(= (slew_time Star7 Star4) 60.94)
	(= (slew_time Star4 Star7) 60.94)
	(= (slew_time Star7 Planet5) 1.998)
	(= (slew_time Planet5 Star7) 1.998)
	(= (slew_time Star7 Planet6) 17.36)
	(= (slew_time Planet6 Star7) 17.36)
	(= (slew_time Star8 Star0) 36.93)
	(= (slew_time Star0 Star8) 36.93)
	(= (slew_time Star8 Star1) 65.57)
	(= (slew_time Star1 Star8) 65.57)
	(= (slew_time Star8 GroundStation2) 11.96)
	(= (slew_time GroundStation2 Star8) 11.96)
	(= (slew_time Star8 GroundStation3) 71.22)
	(= (slew_time GroundStation3 Star8) 71.22)
	(= (slew_time Star8 Star4) 65.21)
	(= (slew_time Star4 Star8) 65.21)
	(= (slew_time Star8 Planet5) 41.49)
	(= (slew_time Planet5 Star8) 41.49)
	(= (slew_time Star8 Planet6) 38.43)
	(= (slew_time Planet6 Star8) 38.43)
	(= (slew_time Star8 Star7) 28.77)
	(= (slew_time Star7 Star8) 28.77)
	(= (slew_time Planet9 Star0) 19.11)
	(= (slew_time Star0 Planet9) 19.11)
	(= (slew_time Planet9 Star1) 29.29)
	(= (slew_time Star1 Planet9) 29.29)
	(= (slew_time Planet9 GroundStation2) 12.74)
	(= (slew_time GroundStation2 Planet9) 12.74)
	(= (slew_time Planet9 GroundStation3) 69.76)
	(= (slew_time GroundStation3 Planet9) 69.76)
	(= (slew_time Planet9 Star4) 2.106)
	(= (slew_time Star4 Planet9) 2.106)
	(= (slew_time Planet9 Planet5) 21.3)
	(= (slew_time Planet5 Planet9) 21.3)
	(= (slew_time Planet9 Planet6) 20.52)
	(= (slew_time Planet6 Planet9) 20.52)
	(= (slew_time Planet9 Star7) 53.66)
	(= (slew_time Star7 Planet9) 53.66)
	(= (slew_time Planet9 Star8) 60.35)
	(= (slew_time Star8 Planet9) 60.35)
	(= (slew_time Planet10 Star0) 49.82)
	(= (slew_time Star0 Planet10) 49.82)
	(= (slew_time Planet10 Star1) 83.56)
	(= (slew_time Star1 Planet10) 83.56)
	(= (slew_time Planet10 GroundStation2) 3.76)
	(= (slew_time GroundStation2 Planet10) 3.76)
	(= (slew_time Planet10 GroundStation3) 1.253)
	(= (slew_time GroundStation3 Planet10) 1.253)
	(= (slew_time Planet10 Star4) 68.62)
	(= (slew_time Star4 Planet10) 68.62)
	(= (slew_time Planet10 Planet5) 54.06)
	(= (slew_time Planet5 Planet10) 54.06)
	(= (slew_time Planet10 Planet6) 10.19)
	(= (slew_time Planet6 Planet10) 10.19)
	(= (slew_time Planet10 Star7) 42.56)
	(= (slew_time Star7 Planet10) 42.56)
	(= (slew_time Planet10 Star8) 29.76)
	(= (slew_time Star8 Planet10) 29.76)
	(= (slew_time Planet10 Planet9) 3.627)
	(= (slew_time Planet9 Planet10) 3.627)
	(= (slew_time Phenomenon11 Star0) 55.98)
	(= (slew_time Star0 Phenomenon11) 55.98)
	(= (slew_time Phenomenon11 Star1) 57.07)
	(= (slew_time Star1 Phenomenon11) 57.07)
	(= (slew_time Phenomenon11 GroundStation2) 23.4)
	(= (slew_time GroundStation2 Phenomenon11) 23.4)
	(= (slew_time Phenomenon11 GroundStation3) 28)
	(= (slew_time GroundStation3 Phenomenon11) 28)
	(= (slew_time Phenomenon11 Star4) 9.061)
	(= (slew_time Star4 Phenomenon11) 9.061)
	(= (slew_time Phenomenon11 Planet5) 45.17)
	(= (slew_time Planet5 Phenomenon11) 45.17)
	(= (slew_time Phenomenon11 Planet6) 43.25)
	(= (slew_time Planet6 Phenomenon11) 43.25)
	(= (slew_time Phenomenon11 Star7) 2.065)
	(= (slew_time Star7 Phenomenon11) 2.065)
	(= (slew_time Phenomenon11 Star8) 55.4)
	(= (slew_time Star8 Phenomenon11) 55.4)
	(= (slew_time Phenomenon11 Planet9) 44.16)
	(= (slew_time Planet9 Phenomenon11) 44.16)
	(= (slew_time Phenomenon11 Planet10) 3.583)
	(= (slew_time Planet10 Phenomenon11) 3.583)
	(= (slew_time Star12 Star0) 11.12)
	(= (slew_time Star0 Star12) 11.12)
	(= (slew_time Star12 Star1) 27.82)
	(= (slew_time Star1 Star12) 27.82)
	(= (slew_time Star12 GroundStation2) 53.91)
	(= (slew_time GroundStation2 Star12) 53.91)
	(= (slew_time Star12 GroundStation3) 19.46)
	(= (slew_time GroundStation3 Star12) 19.46)
	(= (slew_time Star12 Star4) 84.78)
	(= (slew_time Star4 Star12) 84.78)
	(= (slew_time Star12 Planet5) 3.348)
	(= (slew_time Planet5 Star12) 3.348)
	(= (slew_time Star12 Planet6) 68.97)
	(= (slew_time Planet6 Star12) 68.97)
	(= (slew_time Star12 Star7) 59.63)
	(= (slew_time Star7 Star12) 59.63)
	(= (slew_time Star12 Star8) 20.34)
	(= (slew_time Star8 Star12) 20.34)
	(= (slew_time Star12 Planet9) 30.53)
	(= (slew_time Planet9 Star12) 30.53)
	(= (slew_time Star12 Planet10) 40.66)
	(= (slew_time Planet10 Star12) 40.66)
	(= (slew_time Star12 Phenomenon11) 28.39)
	(= (slew_time Phenomenon11 Star12) 28.39)
	(= (data-stored) 0)
	(want Planet5 infrared2)
	(want Planet6 infrared2)
	(want Star7 infrared2)
	(want Star8 thermograph3)
	(want Planet9 spectrograph0)
	(want Planet10 spectrograph0)
	(want Phenomenon11 spectrograph0)
	(want Star12 spectrograph0)
)
(:goal (and
	(have_image Planet5 infrared2)
	(have_image Planet6 infrared2)
	(have_image Star7 infrared2)
	(have_image Star8 thermograph3)
	(have_image Planet9 spectrograph0)
	(have_image Planet10 spectrograph0)
	(have_image Phenomenon11 spectrograph0)
	(have_image Star12 spectrograph0)
))
(:metric minimize (total-time))

)
