(define (problem strips-sat-x-1)
(:domain satellite)
(:objects
	cooled nocooling - coolingstatus
	satellite0 - satellite
	instrument0 - instrument
	instrument1 - instrument
	instrument2 - instrument
	satellite1 - satellite
	instrument3 - instrument
	satellite2 - satellite
	instrument4 - instrument
	instrument5 - instrument
	instrument6 - instrument
	satellite3 - satellite
	instrument7 - instrument
	instrument8 - instrument
	satellite4 - satellite
	instrument9 - instrument
	instrument10 - instrument
	instrument11 - instrument
	infrared3 - mode
	thermograph0 - mode
	spectrograph2 - mode
	spectrograph1 - mode
	Star4 - direction
	GroundStation0 - direction
	GroundStation5 - direction
	Star3 - direction
	Star2 - direction
	GroundStation1 - direction
	Star6 - direction
	Phenomenon7 - direction
	Planet8 - direction
	Star9 - direction
	Star10 - direction
	Planet11 - direction
	Planet12 - direction
	Phenomenon13 - direction
	Phenomenon14 - direction
)
(:init (= (multiplier nocooling) 1) (= (multiplier cooled) 1.5)
	(canincrease) (not-decreasing) (not-increasing) (not-flat)
	(= (powered) 0)
	(supports instrument0 spectrograph2)
	(supports instrument0 thermograph0)
	(calibration_target instrument0 GroundStation0)
	(= (calibration_time instrument0 GroundStation0) 70.5)
	(calibration_target instrument0 GroundStation1)
	(= (calibration_time instrument0 GroundStation1) 5.4)
	(supports instrument1 infrared3)
	(supports instrument1 spectrograph1)
	(supports instrument1 thermograph0)
	(calibration_target instrument1 Star4)
	(= (calibration_time instrument1 Star4) 79.2)
	(calibration_target instrument1 GroundStation5)
	(= (calibration_time instrument1 GroundStation5) 94.4)
	(supports instrument2 spectrograph2)
	(supports instrument2 infrared3)
	(calibration_target instrument2 Star4)
	(= (calibration_time instrument2 Star4) 24.8)
	(calibration_target instrument2 Star2)
	(= (calibration_time instrument2 Star2) 73.1)
	(on_board instrument0 satellite0)	(idle instrument0)
	(on_board instrument1 satellite0)	(idle instrument1)
	(on_board instrument2 satellite0)	(idle instrument2)
	(= (power_avail satellite0) 0.5)
	(pointing satellite0 Planet11)
	(= (data_capacity satellite0) 1000)
	(supports instrument3 thermograph0)
	(supports instrument3 spectrograph2)
	(supports instrument3 infrared3)
	(calibration_target instrument3 GroundStation5)
	(= (calibration_time instrument3 GroundStation5) 99.7)
	(on_board instrument3 satellite1)	(idle instrument3)
	(= (power_avail satellite1) 0.5)
	(pointing satellite1 Star9)
	(= (data_capacity satellite1) 1000)
	(supports instrument4 infrared3)
	(calibration_target instrument4 GroundStation1)
	(= (calibration_time instrument4 GroundStation1) 31.7)
	(supports instrument5 spectrograph1)
	(supports instrument5 thermograph0)
	(supports instrument5 spectrograph2)
	(calibration_target instrument5 GroundStation0)
	(= (calibration_time instrument5 GroundStation0) 51.9)
	(calibration_target instrument5 Star4)
	(= (calibration_time instrument5 Star4) 4.03)
	(supports instrument6 spectrograph1)
	(calibration_target instrument6 Star3)
	(= (calibration_time instrument6 Star3) 13.7)
	(on_board instrument4 satellite2)	(idle instrument4)
	(on_board instrument5 satellite2)	(idle instrument5)
	(on_board instrument6 satellite2)	(idle instrument6)
	(= (power_avail satellite2) 0.5)
	(pointing satellite2 GroundStation5)
	(= (data_capacity satellite2) 1000)
	(supports instrument7 infrared3)
	(supports instrument7 spectrograph2)
	(supports instrument7 thermograph0)
	(calibration_target instrument7 GroundStation1)
	(= (calibration_time instrument7 GroundStation1) 19.5)
	(calibration_target instrument7 GroundStation0)
	(= (calibration_time instrument7 GroundStation0) 71.5)
	(supports instrument8 spectrograph1)
	(calibration_target instrument8 Star3)
	(= (calibration_time instrument8 Star3) 83.9)
	(calibration_target instrument8 GroundStation5)
	(= (calibration_time instrument8 GroundStation5) 82.9)
	(on_board instrument7 satellite3)	(idle instrument7)
	(on_board instrument8 satellite3)	(idle instrument8)
	(= (power_avail satellite3) 0.5)
	(pointing satellite3 Star3)
	(= (data_capacity satellite3) 1000)
	(supports instrument9 thermograph0)
	(supports instrument9 spectrograph1)
	(calibration_target instrument9 Star3)
	(= (calibration_time instrument9 Star3) 62.6)
	(calibration_target instrument9 GroundStation5)
	(= (calibration_time instrument9 GroundStation5) 49.8)
	(supports instrument10 spectrograph1)
	(supports instrument10 infrared3)
	(supports instrument10 spectrograph2)
	(calibration_target instrument10 Star2)
	(= (calibration_time instrument10 Star2) 88)
	(calibration_target instrument10 Star3)
	(= (calibration_time instrument10 Star3) 72.9)
	(supports instrument11 spectrograph1)
	(supports instrument11 spectrograph2)
	(supports instrument11 thermograph0)
	(calibration_target instrument11 GroundStation1)
	(= (calibration_time instrument11 GroundStation1) 28.2)
	(on_board instrument9 satellite4)	(idle instrument9)
	(on_board instrument10 satellite4)	(idle instrument10)
	(on_board instrument11 satellite4)	(idle instrument11)
	(= (power_avail satellite4) 0.5)
	(pointing satellite4 Star9)
	(= (data_capacity satellite4) 1000)
	(= (data Star6 infrared3) 71)
	(= (data Phenomenon7 infrared3) 194)
	(= (data Planet8 infrared3) 247)
	(= (data Star9 infrared3) 77)
	(= (data Star10 infrared3) 14)
	(= (data Planet11 infrared3) 109)
	(= (data Planet12 infrared3) 8)
	(= (data Phenomenon13 infrared3) 16)
	(= (data Phenomenon14 infrared3) 186)
	(= (data Star6 thermograph0) 299)
	(= (data Phenomenon7 thermograph0) 220)
	(= (data Planet8 thermograph0) 101)
	(= (data Star9 thermograph0) 55)
	(= (data Star10 thermograph0) 258)
	(= (data Planet11 thermograph0) 115)
	(= (data Planet12 thermograph0) 45)
	(= (data Phenomenon13 thermograph0) 255)
	(= (data Phenomenon14 thermograph0) 58)
	(= (data Star6 spectrograph2) 240)
	(= (data Phenomenon7 spectrograph2) 19)
	(= (data Planet8 spectrograph2) 51)
	(= (data Star9 spectrograph2) 288)
	(= (data Star10 spectrograph2) 294)
	(= (data Planet11 spectrograph2) 299)
	(= (data Planet12 spectrograph2) 152)
	(= (data Phenomenon13 spectrograph2) 240)
	(= (data Phenomenon14 spectrograph2) 56)
	(= (data Star6 spectrograph1) 141)
	(= (data Phenomenon7 spectrograph1) 206)
	(= (data Planet8 spectrograph1) 173)
	(= (data Star9 spectrograph1) 14)
	(= (data Star10 spectrograph1) 46)
	(= (data Planet11 spectrograph1) 249)
	(= (data Planet12 spectrograph1) 162)
	(= (data Phenomenon13 spectrograph1) 51)
	(= (data Phenomenon14 spectrograph1) 247)
	(= (slew_time Star4 GroundStation0) 14.59)
	(= (slew_time GroundStation0 Star4) 14.59)
	(= (slew_time Star4 GroundStation1) 43.34)
	(= (slew_time GroundStation1 Star4) 43.34)
	(= (slew_time Star4 Star2) 9.487)
	(= (slew_time Star2 Star4) 9.487)
	(= (slew_time Star4 Star3) 77.16)
	(= (slew_time Star3 Star4) 77.16)
	(= (slew_time GroundStation5 GroundStation0) 71.06)
	(= (slew_time GroundStation0 GroundStation5) 71.06)
	(= (slew_time GroundStation5 GroundStation1) 53.02)
	(= (slew_time GroundStation1 GroundStation5) 53.02)
	(= (slew_time GroundStation5 Star2) 56.7)
	(= (slew_time Star2 GroundStation5) 56.7)
	(= (slew_time GroundStation5 Star3) 24.52)
	(= (slew_time Star3 GroundStation5) 24.52)
	(= (slew_time GroundStation5 Star4) 75.21)
	(= (slew_time Star4 GroundStation5) 75.21)
	(= (slew_time Star3 GroundStation0) 15.77)
	(= (slew_time GroundStation0 Star3) 15.77)
	(= (slew_time Star3 GroundStation1) 57.55)
	(= (slew_time GroundStation1 Star3) 57.55)
	(= (slew_time Star3 Star2) 23.59)
	(= (slew_time Star2 Star3) 23.59)
	(= (slew_time Star2 GroundStation0) 30.2)
	(= (slew_time GroundStation0 Star2) 30.2)
	(= (slew_time Star2 GroundStation1) 62.52)
	(= (slew_time GroundStation1 Star2) 62.52)
	(= (slew_time GroundStation1 GroundStation0) 19.09)
	(= (slew_time GroundStation0 GroundStation1) 19.09)
	(= (slew_time Star6 GroundStation0) 7.509)
	(= (slew_time GroundStation0 Star6) 7.509)
	(= (slew_time Star6 GroundStation1) 25.54)
	(= (slew_time GroundStation1 Star6) 25.54)
	(= (slew_time Star6 Star2) 57.93)
	(= (slew_time Star2 Star6) 57.93)
	(= (slew_time Star6 Star3) 54.95)
	(= (slew_time Star3 Star6) 54.95)
	(= (slew_time Star6 Star4) 16.52)
	(= (slew_time Star4 Star6) 16.52)
	(= (slew_time Star6 GroundStation5) 73.97)
	(= (slew_time GroundStation5 Star6) 73.97)
	(= (slew_time Phenomenon7 GroundStation0) 37.98)
	(= (slew_time GroundStation0 Phenomenon7) 37.98)
	(= (slew_time Phenomenon7 GroundStation1) 29.47)
	(= (slew_time GroundStation1 Phenomenon7) 29.47)
	(= (slew_time Phenomenon7 Star2) 22.15)
	(= (slew_time Star2 Phenomenon7) 22.15)
	(= (slew_time Phenomenon7 Star3) 1.354)
	(= (slew_time Star3 Phenomenon7) 1.354)
	(= (slew_time Phenomenon7 Star4) 44.17)
	(= (slew_time Star4 Phenomenon7) 44.17)
	(= (slew_time Phenomenon7 GroundStation5) 27.58)
	(= (slew_time GroundStation5 Phenomenon7) 27.58)
	(= (slew_time Phenomenon7 Star6) 48.2)
	(= (slew_time Star6 Phenomenon7) 48.2)
	(= (slew_time Planet8 GroundStation0) 64.5)
	(= (slew_time GroundStation0 Planet8) 64.5)
	(= (slew_time Planet8 GroundStation1) 4.125)
	(= (slew_time GroundStation1 Planet8) 4.125)
	(= (slew_time Planet8 Star2) 50.14)
	(= (slew_time Star2 Planet8) 50.14)
	(= (slew_time Planet8 Star3) 21.18)
	(= (slew_time Star3 Planet8) 21.18)
	(= (slew_time Planet8 Star4) 31.18)
	(= (slew_time Star4 Planet8) 31.18)
	(= (slew_time Planet8 GroundStation5) 27.99)
	(= (slew_time GroundStation5 Planet8) 27.99)
	(= (slew_time Planet8 Star6) 14.96)
	(= (slew_time Star6 Planet8) 14.96)
	(= (slew_time Planet8 Phenomenon7) 19.97)
	(= (slew_time Phenomenon7 Planet8) 19.97)
	(= (slew_time Star9 GroundStation0) 46.76)
	(= (slew_time GroundStation0 Star9) 46.76)
	(= (slew_time Star9 GroundStation1) 0.7233)
	(= (slew_time GroundStation1 Star9) 0.7233)
	(= (slew_time Star9 Star2) 43.25)
	(= (slew_time Star2 Star9) 43.25)
	(= (slew_time Star9 Star3) 70.08)
	(= (slew_time Star3 Star9) 70.08)
	(= (slew_time Star9 Star4) 31.48)
	(= (slew_time Star4 Star9) 31.48)
	(= (slew_time Star9 GroundStation5) 37.98)
	(= (slew_time GroundStation5 Star9) 37.98)
	(= (slew_time Star9 Star6) 25.51)
	(= (slew_time Star6 Star9) 25.51)
	(= (slew_time Star9 Phenomenon7) 11.83)
	(= (slew_time Phenomenon7 Star9) 11.83)
	(= (slew_time Star9 Planet8) 57.64)
	(= (slew_time Planet8 Star9) 57.64)
	(= (slew_time Star10 GroundStation0) 10.22)
	(= (slew_time GroundStation0 Star10) 10.22)
	(= (slew_time Star10 GroundStation1) 46.85)
	(= (slew_time GroundStation1 Star10) 46.85)
	(= (slew_time Star10 Star2) 38.54)
	(= (slew_time Star2 Star10) 38.54)
	(= (slew_time Star10 Star3) 5.084)
	(= (slew_time Star3 Star10) 5.084)
	(= (slew_time Star10 Star4) 44.96)
	(= (slew_time Star4 Star10) 44.96)
	(= (slew_time Star10 GroundStation5) 1.265)
	(= (slew_time GroundStation5 Star10) 1.265)
	(= (slew_time Star10 Star6) 43.9)
	(= (slew_time Star6 Star10) 43.9)
	(= (slew_time Star10 Phenomenon7) 0.6842)
	(= (slew_time Phenomenon7 Star10) 0.6842)
	(= (slew_time Star10 Planet8) 85.64)
	(= (slew_time Planet8 Star10) 85.64)
	(= (slew_time Star10 Star9) 1.32)
	(= (slew_time Star9 Star10) 1.32)
	(= (slew_time Planet11 GroundStation0) 74.67)
	(= (slew_time GroundStation0 Planet11) 74.67)
	(= (slew_time Planet11 GroundStation1) 8.89)
	(= (slew_time GroundStation1 Planet11) 8.89)
	(= (slew_time Planet11 Star2) 10.5)
	(= (slew_time Star2 Planet11) 10.5)
	(= (slew_time Planet11 Star3) 39.52)
	(= (slew_time Star3 Planet11) 39.52)
	(= (slew_time Planet11 Star4) 31.57)
	(= (slew_time Star4 Planet11) 31.57)
	(= (slew_time Planet11 GroundStation5) 32.7)
	(= (slew_time GroundStation5 Planet11) 32.7)
	(= (slew_time Planet11 Star6) 7.06)
	(= (slew_time Star6 Planet11) 7.06)
	(= (slew_time Planet11 Phenomenon7) 51.42)
	(= (slew_time Phenomenon7 Planet11) 51.42)
	(= (slew_time Planet11 Planet8) 33.29)
	(= (slew_time Planet8 Planet11) 33.29)
	(= (slew_time Planet11 Star9) 32.85)
	(= (slew_time Star9 Planet11) 32.85)
	(= (slew_time Planet11 Star10) 27.28)
	(= (slew_time Star10 Planet11) 27.28)
	(= (slew_time Planet12 GroundStation0) 68.13)
	(= (slew_time GroundStation0 Planet12) 68.13)
	(= (slew_time Planet12 GroundStation1) 12.93)
	(= (slew_time GroundStation1 Planet12) 12.93)
	(= (slew_time Planet12 Star2) 3.831)
	(= (slew_time Star2 Planet12) 3.831)
	(= (slew_time Planet12 Star3) 2.796)
	(= (slew_time Star3 Planet12) 2.796)
	(= (slew_time Planet12 Star4) 4.615)
	(= (slew_time Star4 Planet12) 4.615)
	(= (slew_time Planet12 GroundStation5) 12.05)
	(= (slew_time GroundStation5 Planet12) 12.05)
	(= (slew_time Planet12 Star6) 5.303)
	(= (slew_time Star6 Planet12) 5.303)
	(= (slew_time Planet12 Phenomenon7) 62.05)
	(= (slew_time Phenomenon7 Planet12) 62.05)
	(= (slew_time Planet12 Planet8) 29.93)
	(= (slew_time Planet8 Planet12) 29.93)
	(= (slew_time Planet12 Star9) 8.819)
	(= (slew_time Star9 Planet12) 8.819)
	(= (slew_time Planet12 Star10) 9.827)
	(= (slew_time Star10 Planet12) 9.827)
	(= (slew_time Planet12 Planet11) 34.44)
	(= (slew_time Planet11 Planet12) 34.44)
	(= (slew_time Phenomenon13 GroundStation0) 8.15)
	(= (slew_time GroundStation0 Phenomenon13) 8.15)
	(= (slew_time Phenomenon13 GroundStation1) 11.66)
	(= (slew_time GroundStation1 Phenomenon13) 11.66)
	(= (slew_time Phenomenon13 Star2) 15.27)
	(= (slew_time Star2 Phenomenon13) 15.27)
	(= (slew_time Phenomenon13 Star3) 39.03)
	(= (slew_time Star3 Phenomenon13) 39.03)
	(= (slew_time Phenomenon13 Star4) 14.32)
	(= (slew_time Star4 Phenomenon13) 14.32)
	(= (slew_time Phenomenon13 GroundStation5) 91.8)
	(= (slew_time GroundStation5 Phenomenon13) 91.8)
	(= (slew_time Phenomenon13 Star6) 7.866)
	(= (slew_time Star6 Phenomenon13) 7.866)
	(= (slew_time Phenomenon13 Phenomenon7) 76.34)
	(= (slew_time Phenomenon7 Phenomenon13) 76.34)
	(= (slew_time Phenomenon13 Planet8) 0.9908)
	(= (slew_time Planet8 Phenomenon13) 0.9908)
	(= (slew_time Phenomenon13 Star9) 65.13)
	(= (slew_time Star9 Phenomenon13) 65.13)
	(= (slew_time Phenomenon13 Star10) 21.26)
	(= (slew_time Star10 Phenomenon13) 21.26)
	(= (slew_time Phenomenon13 Planet11) 2.266)
	(= (slew_time Planet11 Phenomenon13) 2.266)
	(= (slew_time Phenomenon13 Planet12) 21.85)
	(= (slew_time Planet12 Phenomenon13) 21.85)
	(= (slew_time Phenomenon14 GroundStation0) 32.68)
	(= (slew_time GroundStation0 Phenomenon14) 32.68)
	(= (slew_time Phenomenon14 GroundStation1) 42.09)
	(= (slew_time GroundStation1 Phenomenon14) 42.09)
	(= (slew_time Phenomenon14 Star2) 39.55)
	(= (slew_time Star2 Phenomenon14) 39.55)
	(= (slew_time Phenomenon14 Star3) 1.316)
	(= (slew_time Star3 Phenomenon14) 1.316)
	(= (slew_time Phenomenon14 Star4) 23.97)
	(= (slew_time Star4 Phenomenon14) 23.97)
	(= (slew_time Phenomenon14 GroundStation5) 82)
	(= (slew_time GroundStation5 Phenomenon14) 82)
	(= (slew_time Phenomenon14 Star6) 44.34)
	(= (slew_time Star6 Phenomenon14) 44.34)
	(= (slew_time Phenomenon14 Phenomenon7) 37.53)
	(= (slew_time Phenomenon7 Phenomenon14) 37.53)
	(= (slew_time Phenomenon14 Planet8) 25.84)
	(= (slew_time Planet8 Phenomenon14) 25.84)
	(= (slew_time Phenomenon14 Star9) 79.65)
	(= (slew_time Star9 Phenomenon14) 79.65)
	(= (slew_time Phenomenon14 Star10) 24.27)
	(= (slew_time Star10 Phenomenon14) 24.27)
	(= (slew_time Phenomenon14 Planet11) 70.12)
	(= (slew_time Planet11 Phenomenon14) 70.12)
	(= (slew_time Phenomenon14 Planet12) 3.099)
	(= (slew_time Planet12 Phenomenon14) 3.099)
	(= (slew_time Phenomenon14 Phenomenon13) 2.689)
	(= (slew_time Phenomenon13 Phenomenon14) 2.689)
	(= (data-stored) 0)
	(want Star6 spectrograph2)
	(want Phenomenon7 infrared3)
	(want Planet8 thermograph0)
	(want Star9 infrared3)
	(want Star10 spectrograph2)
	(want Planet11 spectrograph2)
	(want Planet12 spectrograph1)
	(want Phenomenon13 spectrograph1)
	(want Phenomenon14 thermograph0)
)
(:goal (and
	(pointing satellite4 Phenomenon13)
	(have_image Star6 spectrograph2)
	(have_image Phenomenon7 infrared3)
	(have_image Planet8 thermograph0)
	(have_image Star9 infrared3)
	(have_image Star10 spectrograph2)
	(have_image Planet11 spectrograph2)
	(have_image Planet12 spectrograph1)
	(have_image Phenomenon13 spectrograph1)
	(have_image Phenomenon14 thermograph0)
))
(:metric minimize (total-time))

)
