(define (problem strips-sat-x-1)
(:domain satellite)
(:objects
	cooled nocooling - coolingstatus
	satellite0 - satellite
	instrument0 - instrument
	instrument1 - instrument
	satellite1 - satellite
	instrument2 - instrument
	instrument3 - instrument
	satellite2 - satellite
	instrument4 - instrument
	instrument5 - instrument
	satellite3 - satellite
	instrument6 - instrument
	instrument7 - instrument
	instrument8 - instrument
	image0 - mode
	spectrograph2 - mode
	spectrograph3 - mode
	infrared1 - mode
	Star2 - direction
	Star1 - direction
	GroundStation4 - direction
	Star3 - direction
	Star0 - direction
	Planet5 - direction
	Planet6 - direction
	Planet7 - direction
	Planet8 - direction
	Planet9 - direction
	Star10 - direction
	Star11 - direction
	Phenomenon12 - direction
	Star13 - direction
)
(:init (= (multiplier nocooling) 1) (= (multiplier cooled) 1.5)
	(canincrease) (not-decreasing) (not-increasing) (not-flat)
	(= (powered) 0)
	(supports instrument0 spectrograph3)
	(calibration_target instrument0 GroundStation4)
	(= (calibration_time instrument0 GroundStation4) 42.6)
	(supports instrument1 spectrograph2)
	(calibration_target instrument1 Star2)
	(= (calibration_time instrument1 Star2) 91.9)
	(on_board instrument0 satellite0)	(idle instrument0)
	(on_board instrument1 satellite0)	(idle instrument1)
	(= (power_avail satellite0) 0.5)
	(pointing satellite0 Planet6)
	(= (data_capacity satellite0) 1000)
	(supports instrument2 image0)
	(supports instrument2 spectrograph3)
	(calibration_target instrument2 Star2)
	(= (calibration_time instrument2 Star2) 91.3)
	(supports instrument3 spectrograph3)
	(supports instrument3 infrared1)
	(calibration_target instrument3 Star1)
	(= (calibration_time instrument3 Star1) 20.7)
	(on_board instrument2 satellite1)	(idle instrument2)
	(on_board instrument3 satellite1)	(idle instrument3)
	(= (power_avail satellite1) 0.5)
	(pointing satellite1 Star2)
	(= (data_capacity satellite1) 1000)
	(supports instrument4 image0)
	(calibration_target instrument4 GroundStation4)
	(= (calibration_time instrument4 GroundStation4) 20.6)
	(supports instrument5 spectrograph3)
	(supports instrument5 infrared1)
	(supports instrument5 spectrograph2)
	(calibration_target instrument5 Star1)
	(= (calibration_time instrument5 Star1) 49.1)
	(on_board instrument4 satellite2)	(idle instrument4)
	(on_board instrument5 satellite2)	(idle instrument5)
	(= (power_avail satellite2) 0.5)
	(pointing satellite2 Phenomenon12)
	(= (data_capacity satellite2) 1000)
	(supports instrument6 image0)
	(calibration_target instrument6 GroundStation4)
	(= (calibration_time instrument6 GroundStation4) 21)
	(supports instrument7 infrared1)
	(calibration_target instrument7 Star3)
	(= (calibration_time instrument7 Star3) 46.5)
	(supports instrument8 infrared1)
	(supports instrument8 spectrograph3)
	(supports instrument8 spectrograph2)
	(calibration_target instrument8 Star0)
	(= (calibration_time instrument8 Star0) 29.9)
	(on_board instrument6 satellite3)	(idle instrument6)
	(on_board instrument7 satellite3)	(idle instrument7)
	(on_board instrument8 satellite3)	(idle instrument8)
	(= (power_avail satellite3) 0.5)
	(pointing satellite3 GroundStation4)
	(= (data_capacity satellite3) 1000)
	(= (data Planet5 image0) 216)
	(= (data Planet6 image0) 16)
	(= (data Planet7 image0) 98)
	(= (data Planet8 image0) 22)
	(= (data Planet9 image0) 190)
	(= (data Star10 image0) 13)
	(= (data Star11 image0) 214)
	(= (data Phenomenon12 image0) 237)
	(= (data Star13 image0) 164)
	(= (data Planet5 spectrograph2) 276)
	(= (data Planet6 spectrograph2) 54)
	(= (data Planet7 spectrograph2) 281)
	(= (data Planet8 spectrograph2) 266)
	(= (data Planet9 spectrograph2) 37)
	(= (data Star10 spectrograph2) 44)
	(= (data Star11 spectrograph2) 195)
	(= (data Phenomenon12 spectrograph2) 19)
	(= (data Star13 spectrograph2) 109)
	(= (data Planet5 spectrograph3) 83)
	(= (data Planet6 spectrograph3) 193)
	(= (data Planet7 spectrograph3) 288)
	(= (data Planet8 spectrograph3) 5)
	(= (data Planet9 spectrograph3) 75)
	(= (data Star10 spectrograph3) 203)
	(= (data Star11 spectrograph3) 257)
	(= (data Phenomenon12 spectrograph3) 244)
	(= (data Star13 spectrograph3) 92)
	(= (data Planet5 infrared1) 49)
	(= (data Planet6 infrared1) 217)
	(= (data Planet7 infrared1) 207)
	(= (data Planet8 infrared1) 293)
	(= (data Planet9 infrared1) 298)
	(= (data Star10 infrared1) 107)
	(= (data Star11 infrared1) 103)
	(= (data Phenomenon12 infrared1) 191)
	(= (data Star13 infrared1) 239)
	(= (slew_time Star2 Star0) 51.27)
	(= (slew_time Star0 Star2) 51.27)
	(= (slew_time Star2 Star1) 19.03)
	(= (slew_time Star1 Star2) 19.03)
	(= (slew_time Star1 Star0) 82.13)
	(= (slew_time Star0 Star1) 82.13)
	(= (slew_time GroundStation4 Star0) 53.42)
	(= (slew_time Star0 GroundStation4) 53.42)
	(= (slew_time GroundStation4 Star1) 35.18)
	(= (slew_time Star1 GroundStation4) 35.18)
	(= (slew_time GroundStation4 Star2) 7.259)
	(= (slew_time Star2 GroundStation4) 7.259)
	(= (slew_time GroundStation4 Star3) 58.68)
	(= (slew_time Star3 GroundStation4) 58.68)
	(= (slew_time Star3 Star0) 4.794)
	(= (slew_time Star0 Star3) 4.794)
	(= (slew_time Star3 Star1) 16.77)
	(= (slew_time Star1 Star3) 16.77)
	(= (slew_time Star3 Star2) 28.43)
	(= (slew_time Star2 Star3) 28.43)
	(= (slew_time Planet5 Star0) 26.73)
	(= (slew_time Star0 Planet5) 26.73)
	(= (slew_time Planet5 Star1) 60.87)
	(= (slew_time Star1 Planet5) 60.87)
	(= (slew_time Planet5 Star2) 46.24)
	(= (slew_time Star2 Planet5) 46.24)
	(= (slew_time Planet5 Star3) 44.68)
	(= (slew_time Star3 Planet5) 44.68)
	(= (slew_time Planet5 GroundStation4) 37.2)
	(= (slew_time GroundStation4 Planet5) 37.2)
	(= (slew_time Planet6 Star0) 0.2858)
	(= (slew_time Star0 Planet6) 0.2858)
	(= (slew_time Planet6 Star1) 2.871)
	(= (slew_time Star1 Planet6) 2.871)
	(= (slew_time Planet6 Star2) 60.41)
	(= (slew_time Star2 Planet6) 60.41)
	(= (slew_time Planet6 Star3) 14.69)
	(= (slew_time Star3 Planet6) 14.69)
	(= (slew_time Planet6 GroundStation4) 80.81)
	(= (slew_time GroundStation4 Planet6) 80.81)
	(= (slew_time Planet6 Planet5) 46.48)
	(= (slew_time Planet5 Planet6) 46.48)
	(= (slew_time Planet7 Star0) 26.06)
	(= (slew_time Star0 Planet7) 26.06)
	(= (slew_time Planet7 Star1) 15.89)
	(= (slew_time Star1 Planet7) 15.89)
	(= (slew_time Planet7 Star2) 85.49)
	(= (slew_time Star2 Planet7) 85.49)
	(= (slew_time Planet7 Star3) 21.66)
	(= (slew_time Star3 Planet7) 21.66)
	(= (slew_time Planet7 GroundStation4) 40.73)
	(= (slew_time GroundStation4 Planet7) 40.73)
	(= (slew_time Planet7 Planet5) 90.75)
	(= (slew_time Planet5 Planet7) 90.75)
	(= (slew_time Planet7 Planet6) 35.93)
	(= (slew_time Planet6 Planet7) 35.93)
	(= (slew_time Planet8 Star0) 21.91)
	(= (slew_time Star0 Planet8) 21.91)
	(= (slew_time Planet8 Star1) 29.55)
	(= (slew_time Star1 Planet8) 29.55)
	(= (slew_time Planet8 Star2) 57.36)
	(= (slew_time Star2 Planet8) 57.36)
	(= (slew_time Planet8 Star3) 23)
	(= (slew_time Star3 Planet8) 23)
	(= (slew_time Planet8 GroundStation4) 40.02)
	(= (slew_time GroundStation4 Planet8) 40.02)
	(= (slew_time Planet8 Planet5) 13.11)
	(= (slew_time Planet5 Planet8) 13.11)
	(= (slew_time Planet8 Planet6) 52.01)
	(= (slew_time Planet6 Planet8) 52.01)
	(= (slew_time Planet8 Planet7) 8.907)
	(= (slew_time Planet7 Planet8) 8.907)
	(= (slew_time Planet9 Star0) 15.27)
	(= (slew_time Star0 Planet9) 15.27)
	(= (slew_time Planet9 Star1) 1.014)
	(= (slew_time Star1 Planet9) 1.014)
	(= (slew_time Planet9 Star2) 42.96)
	(= (slew_time Star2 Planet9) 42.96)
	(= (slew_time Planet9 Star3) 57.86)
	(= (slew_time Star3 Planet9) 57.86)
	(= (slew_time Planet9 GroundStation4) 11.47)
	(= (slew_time GroundStation4 Planet9) 11.47)
	(= (slew_time Planet9 Planet5) 1.536)
	(= (slew_time Planet5 Planet9) 1.536)
	(= (slew_time Planet9 Planet6) 50.15)
	(= (slew_time Planet6 Planet9) 50.15)
	(= (slew_time Planet9 Planet7) 72.65)
	(= (slew_time Planet7 Planet9) 72.65)
	(= (slew_time Planet9 Planet8) 81.6)
	(= (slew_time Planet8 Planet9) 81.6)
	(= (slew_time Star10 Star0) 68.26)
	(= (slew_time Star0 Star10) 68.26)
	(= (slew_time Star10 Star1) 53.55)
	(= (slew_time Star1 Star10) 53.55)
	(= (slew_time Star10 Star2) 55.59)
	(= (slew_time Star2 Star10) 55.59)
	(= (slew_time Star10 Star3) 37.34)
	(= (slew_time Star3 Star10) 37.34)
	(= (slew_time Star10 GroundStation4) 20.76)
	(= (slew_time GroundStation4 Star10) 20.76)
	(= (slew_time Star10 Planet5) 44.19)
	(= (slew_time Planet5 Star10) 44.19)
	(= (slew_time Star10 Planet6) 26.66)
	(= (slew_time Planet6 Star10) 26.66)
	(= (slew_time Star10 Planet7) 75.49)
	(= (slew_time Planet7 Star10) 75.49)
	(= (slew_time Star10 Planet8) 36.1)
	(= (slew_time Planet8 Star10) 36.1)
	(= (slew_time Star10 Planet9) 53.42)
	(= (slew_time Planet9 Star10) 53.42)
	(= (slew_time Star11 Star0) 8.459)
	(= (slew_time Star0 Star11) 8.459)
	(= (slew_time Star11 Star1) 69.85)
	(= (slew_time Star1 Star11) 69.85)
	(= (slew_time Star11 Star2) 30.68)
	(= (slew_time Star2 Star11) 30.68)
	(= (slew_time Star11 Star3) 32.28)
	(= (slew_time Star3 Star11) 32.28)
	(= (slew_time Star11 GroundStation4) 47.49)
	(= (slew_time GroundStation4 Star11) 47.49)
	(= (slew_time Star11 Planet5) 20.51)
	(= (slew_time Planet5 Star11) 20.51)
	(= (slew_time Star11 Planet6) 35.99)
	(= (slew_time Planet6 Star11) 35.99)
	(= (slew_time Star11 Planet7) 63.83)
	(= (slew_time Planet7 Star11) 63.83)
	(= (slew_time Star11 Planet8) 2.582)
	(= (slew_time Planet8 Star11) 2.582)
	(= (slew_time Star11 Planet9) 87.76)
	(= (slew_time Planet9 Star11) 87.76)
	(= (slew_time Star11 Star10) 37.29)
	(= (slew_time Star10 Star11) 37.29)
	(= (slew_time Phenomenon12 Star0) 1.911)
	(= (slew_time Star0 Phenomenon12) 1.911)
	(= (slew_time Phenomenon12 Star1) 82.06)
	(= (slew_time Star1 Phenomenon12) 82.06)
	(= (slew_time Phenomenon12 Star2) 35.63)
	(= (slew_time Star2 Phenomenon12) 35.63)
	(= (slew_time Phenomenon12 Star3) 11.94)
	(= (slew_time Star3 Phenomenon12) 11.94)
	(= (slew_time Phenomenon12 GroundStation4) 23.71)
	(= (slew_time GroundStation4 Phenomenon12) 23.71)
	(= (slew_time Phenomenon12 Planet5) 33.72)
	(= (slew_time Planet5 Phenomenon12) 33.72)
	(= (slew_time Phenomenon12 Planet6) 37.72)
	(= (slew_time Planet6 Phenomenon12) 37.72)
	(= (slew_time Phenomenon12 Planet7) 8.908)
	(= (slew_time Planet7 Phenomenon12) 8.908)
	(= (slew_time Phenomenon12 Planet8) 32.35)
	(= (slew_time Planet8 Phenomenon12) 32.35)
	(= (slew_time Phenomenon12 Planet9) 14.46)
	(= (slew_time Planet9 Phenomenon12) 14.46)
	(= (slew_time Phenomenon12 Star10) 32.35)
	(= (slew_time Star10 Phenomenon12) 32.35)
	(= (slew_time Phenomenon12 Star11) 54.45)
	(= (slew_time Star11 Phenomenon12) 54.45)
	(= (slew_time Star13 Star0) 45.12)
	(= (slew_time Star0 Star13) 45.12)
	(= (slew_time Star13 Star1) 10.79)
	(= (slew_time Star1 Star13) 10.79)
	(= (slew_time Star13 Star2) 8.549)
	(= (slew_time Star2 Star13) 8.549)
	(= (slew_time Star13 Star3) 6.145)
	(= (slew_time Star3 Star13) 6.145)
	(= (slew_time Star13 GroundStation4) 12.81)
	(= (slew_time GroundStation4 Star13) 12.81)
	(= (slew_time Star13 Planet5) 40.63)
	(= (slew_time Planet5 Star13) 40.63)
	(= (slew_time Star13 Planet6) 2.721)
	(= (slew_time Planet6 Star13) 2.721)
	(= (slew_time Star13 Planet7) 1.195)
	(= (slew_time Planet7 Star13) 1.195)
	(= (slew_time Star13 Planet8) 25.39)
	(= (slew_time Planet8 Star13) 25.39)
	(= (slew_time Star13 Planet9) 49.73)
	(= (slew_time Planet9 Star13) 49.73)
	(= (slew_time Star13 Star10) 7.183)
	(= (slew_time Star10 Star13) 7.183)
	(= (slew_time Star13 Star11) 37.53)
	(= (slew_time Star11 Star13) 37.53)
	(= (slew_time Star13 Phenomenon12) 42.05)
	(= (slew_time Phenomenon12 Star13) 42.05)
	(= (data-stored) 0)
	(want Planet5 image0)
	(want Planet6 spectrograph3)
	(want Planet7 spectrograph3)
	(want Planet8 spectrograph3)
	(want Planet9 infrared1)
	(want Star10 spectrograph2)
	(want Star11 spectrograph3)
	(want Phenomenon12 image0)
	(want Star13 infrared1)
)
(:goal (and
	(pointing satellite0 Star3)
	(pointing satellite2 Planet6)
	(have_image Planet5 image0)
	(have_image Planet6 spectrograph3)
	(have_image Planet7 spectrograph3)
	(have_image Planet8 spectrograph3)
	(have_image Planet9 infrared1)
	(have_image Star10 spectrograph2)
	(have_image Star11 spectrograph3)
	(have_image Phenomenon12 image0)
	(have_image Star13 infrared1)
))
(:metric minimize (total-time))

)
