(define (problem strips-sat-x-1)
(:domain satellite)
(:objects
	cooled nocooling - coolingstatus
	satellite0 - satellite
	instrument0 - instrument
	instrument1 - instrument
	instrument2 - instrument
	satellite1 - satellite
	instrument3 - instrument
	satellite2 - satellite
	instrument4 - instrument
	instrument5 - instrument
	instrument6 - instrument
	satellite3 - satellite
	instrument7 - instrument
	instrument8 - instrument
	spectrograph3 - mode
	spectrograph1 - mode
	thermograph2 - mode
	infrared0 - mode
	Star3 - direction
	GroundStation2 - direction
	Star0 - direction
	Star4 - direction
	Star1 - direction
	Star5 - direction
	Star6 - direction
	Phenomenon7 - direction
	Star8 - direction
	Phenomenon9 - direction
	Phenomenon10 - direction
	Star11 - direction
	Phenomenon12 - direction
	Planet13 - direction
)
(:init (= (multiplier nocooling) 1) (= (multiplier cooled) 1.5)
	(canincrease) (not-decreasing) (not-increasing) (not-flat)
	(= (powered) 0)
	(supports instrument0 thermograph2)
	(supports instrument0 spectrograph1)
	(calibration_target instrument0 GroundStation2)
	(= (calibration_time instrument0 GroundStation2) 52.9)
	(supports instrument1 spectrograph1)
	(supports instrument1 thermograph2)
	(supports instrument1 infrared0)
	(calibration_target instrument1 Star0)
	(= (calibration_time instrument1 Star0) 12.7)
	(supports instrument2 spectrograph3)
	(supports instrument2 infrared0)
	(supports instrument2 spectrograph1)
	(calibration_target instrument2 Star4)
	(= (calibration_time instrument2 Star4) 91.1)
	(on_board instrument0 satellite0)	(idle instrument0)
	(on_board instrument1 satellite0)	(idle instrument1)
	(on_board instrument2 satellite0)	(idle instrument2)
	(= (power_avail satellite0) 0.5)
	(pointing satellite0 Phenomenon9)
	(= (data_capacity satellite0) 1000)
	(supports instrument3 spectrograph1)
	(calibration_target instrument3 Star0)
	(= (calibration_time instrument3 Star0) 70.5)
	(on_board instrument3 satellite1)	(idle instrument3)
	(= (power_avail satellite1) 0.5)
	(pointing satellite1 Star4)
	(= (data_capacity satellite1) 1000)
	(supports instrument4 spectrograph1)
	(supports instrument4 thermograph2)
	(supports instrument4 spectrograph3)
	(calibration_target instrument4 Star1)
	(= (calibration_time instrument4 Star1) 92.4)
	(supports instrument5 spectrograph1)
	(calibration_target instrument5 Star0)
	(= (calibration_time instrument5 Star0) 74.8)
	(supports instrument6 thermograph2)
	(calibration_target instrument6 Star4)
	(= (calibration_time instrument6 Star4) 99.9)
	(on_board instrument4 satellite2)	(idle instrument4)
	(on_board instrument5 satellite2)	(idle instrument5)
	(on_board instrument6 satellite2)	(idle instrument6)
	(= (power_avail satellite2) 0.5)
	(pointing satellite2 Phenomenon7)
	(= (data_capacity satellite2) 1000)
	(supports instrument7 thermograph2)
	(calibration_target instrument7 Star1)
	(= (calibration_time instrument7 Star1) 68.7)
	(supports instrument8 infrared0)
	(calibration_target instrument8 Star1)
	(= (calibration_time instrument8 Star1) 49.6)
	(on_board instrument7 satellite3)	(idle instrument7)
	(on_board instrument8 satellite3)	(idle instrument8)
	(= (power_avail satellite3) 0.5)
	(pointing satellite3 Star0)
	(= (data_capacity satellite3) 1000)
	(= (data Star5 spectrograph3) 274)
	(= (data Star6 spectrograph3) 225)
	(= (data Phenomenon7 spectrograph3) 293)
	(= (data Star8 spectrograph3) 52)
	(= (data Phenomenon9 spectrograph3) 280)
	(= (data Phenomenon10 spectrograph3) 191)
	(= (data Star11 spectrograph3) 156)
	(= (data Phenomenon12 spectrograph3) 184)
	(= (data Planet13 spectrograph3) 87)
	(= (data Star5 spectrograph1) 117)
	(= (data Star6 spectrograph1) 102)
	(= (data Phenomenon7 spectrograph1) 171)
	(= (data Star8 spectrograph1) 222)
	(= (data Phenomenon9 spectrograph1) 137)
	(= (data Phenomenon10 spectrograph1) 273)
	(= (data Star11 spectrograph1) 197)
	(= (data Phenomenon12 spectrograph1) 42)
	(= (data Planet13 spectrograph1) 112)
	(= (data Star5 thermograph2) 219)
	(= (data Star6 thermograph2) 112)
	(= (data Phenomenon7 thermograph2) 114)
	(= (data Star8 thermograph2) 60)
	(= (data Phenomenon9 thermograph2) 171)
	(= (data Phenomenon10 thermograph2) 69)
	(= (data Star11 thermograph2) 180)
	(= (data Phenomenon12 thermograph2) 52)
	(= (data Planet13 thermograph2) 190)
	(= (data Star5 infrared0) 195)
	(= (data Star6 infrared0) 72)
	(= (data Phenomenon7 infrared0) 137)
	(= (data Star8 infrared0) 209)
	(= (data Phenomenon9 infrared0) 256)
	(= (data Phenomenon10 infrared0) 235)
	(= (data Star11 infrared0) 88)
	(= (data Phenomenon12 infrared0) 95)
	(= (data Planet13 infrared0) 241)
	(= (slew_time Star3 Star0) 18.22)
	(= (slew_time Star0 Star3) 18.22)
	(= (slew_time Star3 Star1) 14.1)
	(= (slew_time Star1 Star3) 14.1)
	(= (slew_time Star3 GroundStation2) 47.81)
	(= (slew_time GroundStation2 Star3) 47.81)
	(= (slew_time GroundStation2 Star0) 28.88)
	(= (slew_time Star0 GroundStation2) 28.88)
	(= (slew_time GroundStation2 Star1) 90.64)
	(= (slew_time Star1 GroundStation2) 90.64)
	(= (slew_time Star4 Star0) 19.71)
	(= (slew_time Star0 Star4) 19.71)
	(= (slew_time Star4 Star1) 4.338)
	(= (slew_time Star1 Star4) 4.338)
	(= (slew_time Star4 GroundStation2) 25.41)
	(= (slew_time GroundStation2 Star4) 25.41)
	(= (slew_time Star4 Star3) 60.81)
	(= (slew_time Star3 Star4) 60.81)
	(= (slew_time Star1 Star0) 30.2)
	(= (slew_time Star0 Star1) 30.2)
	(= (slew_time Star5 Star0) 56.68)
	(= (slew_time Star0 Star5) 56.68)
	(= (slew_time Star5 Star1) 6.347)
	(= (slew_time Star1 Star5) 6.347)
	(= (slew_time Star5 GroundStation2) 3.749)
	(= (slew_time GroundStation2 Star5) 3.749)
	(= (slew_time Star5 Star3) 46.57)
	(= (slew_time Star3 Star5) 46.57)
	(= (slew_time Star5 Star4) 37.31)
	(= (slew_time Star4 Star5) 37.31)
	(= (slew_time Star6 Star0) 62.83)
	(= (slew_time Star0 Star6) 62.83)
	(= (slew_time Star6 Star1) 72.14)
	(= (slew_time Star1 Star6) 72.14)
	(= (slew_time Star6 GroundStation2) 53.39)
	(= (slew_time GroundStation2 Star6) 53.39)
	(= (slew_time Star6 Star3) 52.9)
	(= (slew_time Star3 Star6) 52.9)
	(= (slew_time Star6 Star4) 47.33)
	(= (slew_time Star4 Star6) 47.33)
	(= (slew_time Star6 Star5) 5.283)
	(= (slew_time Star5 Star6) 5.283)
	(= (slew_time Phenomenon7 Star0) 37.19)
	(= (slew_time Star0 Phenomenon7) 37.19)
	(= (slew_time Phenomenon7 Star1) 6.222)
	(= (slew_time Star1 Phenomenon7) 6.222)
	(= (slew_time Phenomenon7 GroundStation2) 39.46)
	(= (slew_time GroundStation2 Phenomenon7) 39.46)
	(= (slew_time Phenomenon7 Star3) 53.93)
	(= (slew_time Star3 Phenomenon7) 53.93)
	(= (slew_time Phenomenon7 Star4) 7.442)
	(= (slew_time Star4 Phenomenon7) 7.442)
	(= (slew_time Phenomenon7 Star5) 22.54)
	(= (slew_time Star5 Phenomenon7) 22.54)
	(= (slew_time Phenomenon7 Star6) 30.9)
	(= (slew_time Star6 Phenomenon7) 30.9)
	(= (slew_time Star8 Star0) 64.2)
	(= (slew_time Star0 Star8) 64.2)
	(= (slew_time Star8 Star1) 44.16)
	(= (slew_time Star1 Star8) 44.16)
	(= (slew_time Star8 GroundStation2) 16.19)
	(= (slew_time GroundStation2 Star8) 16.19)
	(= (slew_time Star8 Star3) 33.08)
	(= (slew_time Star3 Star8) 33.08)
	(= (slew_time Star8 Star4) 17.34)
	(= (slew_time Star4 Star8) 17.34)
	(= (slew_time Star8 Star5) 29.42)
	(= (slew_time Star5 Star8) 29.42)
	(= (slew_time Star8 Star6) 4.13)
	(= (slew_time Star6 Star8) 4.13)
	(= (slew_time Star8 Phenomenon7) 17.94)
	(= (slew_time Phenomenon7 Star8) 17.94)
	(= (slew_time Phenomenon9 Star0) 76.82)
	(= (slew_time Star0 Phenomenon9) 76.82)
	(= (slew_time Phenomenon9 Star1) 3.585)
	(= (slew_time Star1 Phenomenon9) 3.585)
	(= (slew_time Phenomenon9 GroundStation2) 7.055)
	(= (slew_time GroundStation2 Phenomenon9) 7.055)
	(= (slew_time Phenomenon9 Star3) 40.72)
	(= (slew_time Star3 Phenomenon9) 40.72)
	(= (slew_time Phenomenon9 Star4) 2.909)
	(= (slew_time Star4 Phenomenon9) 2.909)
	(= (slew_time Phenomenon9 Star5) 34.95)
	(= (slew_time Star5 Phenomenon9) 34.95)
	(= (slew_time Phenomenon9 Star6) 61.08)
	(= (slew_time Star6 Phenomenon9) 61.08)
	(= (slew_time Phenomenon9 Phenomenon7) 67.43)
	(= (slew_time Phenomenon7 Phenomenon9) 67.43)
	(= (slew_time Phenomenon9 Star8) 5.981)
	(= (slew_time Star8 Phenomenon9) 5.981)
	(= (slew_time Phenomenon10 Star0) 41.7)
	(= (slew_time Star0 Phenomenon10) 41.7)
	(= (slew_time Phenomenon10 Star1) 20.78)
	(= (slew_time Star1 Phenomenon10) 20.78)
	(= (slew_time Phenomenon10 GroundStation2) 17.67)
	(= (slew_time GroundStation2 Phenomenon10) 17.67)
	(= (slew_time Phenomenon10 Star3) 81.61)
	(= (slew_time Star3 Phenomenon10) 81.61)
	(= (slew_time Phenomenon10 Star4) 78.55)
	(= (slew_time Star4 Phenomenon10) 78.55)
	(= (slew_time Phenomenon10 Star5) 29.9)
	(= (slew_time Star5 Phenomenon10) 29.9)
	(= (slew_time Phenomenon10 Star6) 40.07)
	(= (slew_time Star6 Phenomenon10) 40.07)
	(= (slew_time Phenomenon10 Phenomenon7) 4.15)
	(= (slew_time Phenomenon7 Phenomenon10) 4.15)
	(= (slew_time Phenomenon10 Star8) 19.53)
	(= (slew_time Star8 Phenomenon10) 19.53)
	(= (slew_time Phenomenon10 Phenomenon9) 3.255)
	(= (slew_time Phenomenon9 Phenomenon10) 3.255)
	(= (slew_time Star11 Star0) 42.87)
	(= (slew_time Star0 Star11) 42.87)
	(= (slew_time Star11 Star1) 51.75)
	(= (slew_time Star1 Star11) 51.75)
	(= (slew_time Star11 GroundStation2) 18.34)
	(= (slew_time GroundStation2 Star11) 18.34)
	(= (slew_time Star11 Star3) 43.13)
	(= (slew_time Star3 Star11) 43.13)
	(= (slew_time Star11 Star4) 87.02)
	(= (slew_time Star4 Star11) 87.02)
	(= (slew_time Star11 Star5) 50.09)
	(= (slew_time Star5 Star11) 50.09)
	(= (slew_time Star11 Star6) 72.84)
	(= (slew_time Star6 Star11) 72.84)
	(= (slew_time Star11 Phenomenon7) 10.81)
	(= (slew_time Phenomenon7 Star11) 10.81)
	(= (slew_time Star11 Star8) 12.61)
	(= (slew_time Star8 Star11) 12.61)
	(= (slew_time Star11 Phenomenon9) 18.04)
	(= (slew_time Phenomenon9 Star11) 18.04)
	(= (slew_time Star11 Phenomenon10) 41.98)
	(= (slew_time Phenomenon10 Star11) 41.98)
	(= (slew_time Phenomenon12 Star0) 67.42)
	(= (slew_time Star0 Phenomenon12) 67.42)
	(= (slew_time Phenomenon12 Star1) 54.99)
	(= (slew_time Star1 Phenomenon12) 54.99)
	(= (slew_time Phenomenon12 GroundStation2) 36.13)
	(= (slew_time GroundStation2 Phenomenon12) 36.13)
	(= (slew_time Phenomenon12 Star3) 84.69)
	(= (slew_time Star3 Phenomenon12) 84.69)
	(= (slew_time Phenomenon12 Star4) 9.336)
	(= (slew_time Star4 Phenomenon12) 9.336)
	(= (slew_time Phenomenon12 Star5) 68.5)
	(= (slew_time Star5 Phenomenon12) 68.5)
	(= (slew_time Phenomenon12 Star6) 10.79)
	(= (slew_time Star6 Phenomenon12) 10.79)
	(= (slew_time Phenomenon12 Phenomenon7) 20.38)
	(= (slew_time Phenomenon7 Phenomenon12) 20.38)
	(= (slew_time Phenomenon12 Star8) 45.73)
	(= (slew_time Star8 Phenomenon12) 45.73)
	(= (slew_time Phenomenon12 Phenomenon9) 14.98)
	(= (slew_time Phenomenon9 Phenomenon12) 14.98)
	(= (slew_time Phenomenon12 Phenomenon10) 65.13)
	(= (slew_time Phenomenon10 Phenomenon12) 65.13)
	(= (slew_time Phenomenon12 Star11) 6.393)
	(= (slew_time Star11 Phenomenon12) 6.393)
	(= (slew_time Planet13 Star0) 38.23)
	(= (slew_time Star0 Planet13) 38.23)
	(= (slew_time Planet13 Star1) 34.82)
	(= (slew_time Star1 Planet13) 34.82)
	(= (slew_time Planet13 GroundStation2) 27.37)
	(= (slew_time GroundStation2 Planet13) 27.37)
	(= (slew_time Planet13 Star3) 67.37)
	(= (slew_time Star3 Planet13) 67.37)
	(= (slew_time Planet13 Star4) 52.45)
	(= (slew_time Star4 Planet13) 52.45)
	(= (slew_time Planet13 Star5) 41.4)
	(= (slew_time Star5 Planet13) 41.4)
	(= (slew_time Planet13 Star6) 42.48)
	(= (slew_time Star6 Planet13) 42.48)
	(= (slew_time Planet13 Phenomenon7) 36.78)
	(= (slew_time Phenomenon7 Planet13) 36.78)
	(= (slew_time Planet13 Star8) 88.02)
	(= (slew_time Star8 Planet13) 88.02)
	(= (slew_time Planet13 Phenomenon9) 30.94)
	(= (slew_time Phenomenon9 Planet13) 30.94)
	(= (slew_time Planet13 Phenomenon10) 75.25)
	(= (slew_time Phenomenon10 Planet13) 75.25)
	(= (slew_time Planet13 Star11) 26.48)
	(= (slew_time Star11 Planet13) 26.48)
	(= (slew_time Planet13 Phenomenon12) 74.85)
	(= (slew_time Phenomenon12 Planet13) 74.85)
	(= (data-stored) 0)
	(want Star5 infrared0)
	(want Star6 thermograph2)
	(want Phenomenon7 spectrograph3)
	(want Star8 spectrograph1)
	(want Phenomenon9 infrared0)
	(want Phenomenon10 infrared0)
	(want Star11 spectrograph1)
	(want Phenomenon12 infrared0)
	(want Planet13 thermograph2)
)
(:goal (and
	(pointing satellite0 Phenomenon10)
	(pointing satellite1 Phenomenon7)
	(have_image Star5 infrared0)
	(have_image Star6 thermograph2)
	(have_image Phenomenon7 spectrograph3)
	(have_image Star8 spectrograph1)
	(have_image Phenomenon9 infrared0)
	(have_image Phenomenon10 infrared0)
	(have_image Star11 spectrograph1)
	(have_image Phenomenon12 infrared0)
	(have_image Planet13 thermograph2)
))
(:metric minimize (total-time))

)
