(define (problem strips-sat-x-1)
(:domain satellite)
(:objects
	cooled nocooling - coolingstatus
	satellite0 - satellite
	instrument0 - instrument
	satellite1 - satellite
	instrument1 - instrument
	instrument2 - instrument
	satellite2 - satellite
	instrument3 - instrument
	instrument4 - instrument
	satellite3 - satellite
	instrument5 - instrument
	satellite4 - satellite
	instrument6 - instrument
	instrument7 - instrument
	image1 - mode
	spectrograph2 - mode
	thermograph3 - mode
	spectrograph0 - mode
	GroundStation0 - direction
	Star1 - direction
	GroundStation3 - direction
	GroundStation2 - direction
	GroundStation4 - direction
	Phenomenon5 - direction
	Phenomenon6 - direction
	Phenomenon7 - direction
	Phenomenon8 - direction
	Star9 - direction
	Planet10 - direction
	Phenomenon11 - direction
	Planet12 - direction
	Phenomenon13 - direction
)
(:init (= (multiplier nocooling) 1) (= (multiplier cooled) 1.5)
	(canincrease) (not-decreasing) (not-increasing) (not-flat)
	(= (powered) 0)
	(supports instrument0 image1)
	(calibration_target instrument0 Star1)
	(= (calibration_time instrument0 Star1) 29)
	(on_board instrument0 satellite0)	(idle instrument0)
	(= (power_avail satellite0) 0.5)
	(pointing satellite0 GroundStation4)
	(= (data_capacity satellite0) 1000)
	(supports instrument1 thermograph3)
	(supports instrument1 image1)
	(calibration_target instrument1 GroundStation4)
	(= (calibration_time instrument1 GroundStation4) 18.6)
	(supports instrument2 spectrograph2)
	(supports instrument2 thermograph3)
	(supports instrument2 spectrograph0)
	(calibration_target instrument2 GroundStation4)
	(= (calibration_time instrument2 GroundStation4) 53.5)
	(on_board instrument1 satellite1)	(idle instrument1)
	(on_board instrument2 satellite1)	(idle instrument2)
	(= (power_avail satellite1) 0.5)
	(pointing satellite1 Star9)
	(= (data_capacity satellite1) 1000)
	(supports instrument3 spectrograph0)
	(calibration_target instrument3 GroundStation3)
	(= (calibration_time instrument3 GroundStation3) 20.6)
	(supports instrument4 image1)
	(calibration_target instrument4 GroundStation3)
	(= (calibration_time instrument4 GroundStation3) 17.4)
	(on_board instrument3 satellite2)	(idle instrument3)
	(on_board instrument4 satellite2)	(idle instrument4)
	(= (power_avail satellite2) 0.5)
	(pointing satellite2 Star1)
	(= (data_capacity satellite2) 1000)
	(supports instrument5 spectrograph2)
	(supports instrument5 image1)
	(supports instrument5 thermograph3)
	(calibration_target instrument5 GroundStation3)
	(= (calibration_time instrument5 GroundStation3) 77.3)
	(on_board instrument5 satellite3)	(idle instrument5)
	(= (power_avail satellite3) 0.5)
	(pointing satellite3 Star1)
	(= (data_capacity satellite3) 1000)
	(supports instrument6 spectrograph0)
	(supports instrument6 thermograph3)
	(calibration_target instrument6 GroundStation2)
	(= (calibration_time instrument6 GroundStation2) 14.8)
	(supports instrument7 spectrograph0)
	(calibration_target instrument7 GroundStation4)
	(= (calibration_time instrument7 GroundStation4) 16.1)
	(on_board instrument6 satellite4)	(idle instrument6)
	(on_board instrument7 satellite4)	(idle instrument7)
	(= (power_avail satellite4) 0.5)
	(pointing satellite4 Planet10)
	(= (data_capacity satellite4) 1000)
	(= (data Phenomenon5 image1) 257)
	(= (data Phenomenon6 image1) 102)
	(= (data Phenomenon7 image1) 260)
	(= (data Phenomenon8 image1) 250)
	(= (data Star9 image1) 21)
	(= (data Planet10 image1) 29)
	(= (data Phenomenon11 image1) 77)
	(= (data Planet12 image1) 79)
	(= (data Phenomenon13 image1) 199)
	(= (data Phenomenon5 spectrograph2) 263)
	(= (data Phenomenon6 spectrograph2) 25)
	(= (data Phenomenon7 spectrograph2) 20)
	(= (data Phenomenon8 spectrograph2) 242)
	(= (data Star9 spectrograph2) 270)
	(= (data Planet10 spectrograph2) 48)
	(= (data Phenomenon11 spectrograph2) 286)
	(= (data Planet12 spectrograph2) 83)
	(= (data Phenomenon13 spectrograph2) 51)
	(= (data Phenomenon5 thermograph3) 47)
	(= (data Phenomenon6 thermograph3) 5)
	(= (data Phenomenon7 thermograph3) 67)
	(= (data Phenomenon8 thermograph3) 110)
	(= (data Star9 thermograph3) 177)
	(= (data Planet10 thermograph3) 180)
	(= (data Phenomenon11 thermograph3) 67)
	(= (data Planet12 thermograph3) 64)
	(= (data Phenomenon13 thermograph3) 292)
	(= (data Phenomenon5 spectrograph0) 216)
	(= (data Phenomenon6 spectrograph0) 188)
	(= (data Phenomenon7 spectrograph0) 205)
	(= (data Phenomenon8 spectrograph0) 277)
	(= (data Star9 spectrograph0) 295)
	(= (data Planet10 spectrograph0) 184)
	(= (data Phenomenon11 spectrograph0) 19)
	(= (data Planet12 spectrograph0) 107)
	(= (data Phenomenon13 spectrograph0) 216)
	(= (slew_time Star1 GroundStation0) 25.77)
	(= (slew_time GroundStation0 Star1) 25.77)
	(= (slew_time GroundStation3 GroundStation0) 44.17)
	(= (slew_time GroundStation0 GroundStation3) 44.17)
	(= (slew_time GroundStation3 Star1) 25.25)
	(= (slew_time Star1 GroundStation3) 25.25)
	(= (slew_time GroundStation3 GroundStation2) 23.55)
	(= (slew_time GroundStation2 GroundStation3) 23.55)
	(= (slew_time GroundStation2 GroundStation0) 17.34)
	(= (slew_time GroundStation0 GroundStation2) 17.34)
	(= (slew_time GroundStation2 Star1) 51.61)
	(= (slew_time Star1 GroundStation2) 51.61)
	(= (slew_time GroundStation4 GroundStation0) 37.78)
	(= (slew_time GroundStation0 GroundStation4) 37.78)
	(= (slew_time GroundStation4 Star1) 13.06)
	(= (slew_time Star1 GroundStation4) 13.06)
	(= (slew_time GroundStation4 GroundStation2) 24.75)
	(= (slew_time GroundStation2 GroundStation4) 24.75)
	(= (slew_time GroundStation4 GroundStation3) 16.81)
	(= (slew_time GroundStation3 GroundStation4) 16.81)
	(= (slew_time Phenomenon5 GroundStation0) 27.23)
	(= (slew_time GroundStation0 Phenomenon5) 27.23)
	(= (slew_time Phenomenon5 Star1) 33.05)
	(= (slew_time Star1 Phenomenon5) 33.05)
	(= (slew_time Phenomenon5 GroundStation2) 36.93)
	(= (slew_time GroundStation2 Phenomenon5) 36.93)
	(= (slew_time Phenomenon5 GroundStation3) 37.61)
	(= (slew_time GroundStation3 Phenomenon5) 37.61)
	(= (slew_time Phenomenon5 GroundStation4) 7.428)
	(= (slew_time GroundStation4 Phenomenon5) 7.428)
	(= (slew_time Phenomenon6 GroundStation0) 21.96)
	(= (slew_time GroundStation0 Phenomenon6) 21.96)
	(= (slew_time Phenomenon6 Star1) 58.57)
	(= (slew_time Star1 Phenomenon6) 58.57)
	(= (slew_time Phenomenon6 GroundStation2) 41.92)
	(= (slew_time GroundStation2 Phenomenon6) 41.92)
	(= (slew_time Phenomenon6 GroundStation3) 0.2318)
	(= (slew_time GroundStation3 Phenomenon6) 0.2318)
	(= (slew_time Phenomenon6 GroundStation4) 43.03)
	(= (slew_time GroundStation4 Phenomenon6) 43.03)
	(= (slew_time Phenomenon6 Phenomenon5) 2.904)
	(= (slew_time Phenomenon5 Phenomenon6) 2.904)
	(= (slew_time Phenomenon7 GroundStation0) 11.66)
	(= (slew_time GroundStation0 Phenomenon7) 11.66)
	(= (slew_time Phenomenon7 Star1) 31.27)
	(= (slew_time Star1 Phenomenon7) 31.27)
	(= (slew_time Phenomenon7 GroundStation2) 36.15)
	(= (slew_time GroundStation2 Phenomenon7) 36.15)
	(= (slew_time Phenomenon7 GroundStation3) 41.44)
	(= (slew_time GroundStation3 Phenomenon7) 41.44)
	(= (slew_time Phenomenon7 GroundStation4) 20.68)
	(= (slew_time GroundStation4 Phenomenon7) 20.68)
	(= (slew_time Phenomenon7 Phenomenon5) 10.91)
	(= (slew_time Phenomenon5 Phenomenon7) 10.91)
	(= (slew_time Phenomenon7 Phenomenon6) 9.601)
	(= (slew_time Phenomenon6 Phenomenon7) 9.601)
	(= (slew_time Phenomenon8 GroundStation0) 1.645)
	(= (slew_time GroundStation0 Phenomenon8) 1.645)
	(= (slew_time Phenomenon8 Star1) 3.008)
	(= (slew_time Star1 Phenomenon8) 3.008)
	(= (slew_time Phenomenon8 GroundStation2) 56)
	(= (slew_time GroundStation2 Phenomenon8) 56)
	(= (slew_time Phenomenon8 GroundStation3) 16)
	(= (slew_time GroundStation3 Phenomenon8) 16)
	(= (slew_time Phenomenon8 GroundStation4) 1.698)
	(= (slew_time GroundStation4 Phenomenon8) 1.698)
	(= (slew_time Phenomenon8 Phenomenon5) 49.95)
	(= (slew_time Phenomenon5 Phenomenon8) 49.95)
	(= (slew_time Phenomenon8 Phenomenon6) 38.04)
	(= (slew_time Phenomenon6 Phenomenon8) 38.04)
	(= (slew_time Phenomenon8 Phenomenon7) 10.34)
	(= (slew_time Phenomenon7 Phenomenon8) 10.34)
	(= (slew_time Star9 GroundStation0) 29.49)
	(= (slew_time GroundStation0 Star9) 29.49)
	(= (slew_time Star9 Star1) 79.68)
	(= (slew_time Star1 Star9) 79.68)
	(= (slew_time Star9 GroundStation2) 38.27)
	(= (slew_time GroundStation2 Star9) 38.27)
	(= (slew_time Star9 GroundStation3) 30.78)
	(= (slew_time GroundStation3 Star9) 30.78)
	(= (slew_time Star9 GroundStation4) 5.295)
	(= (slew_time GroundStation4 Star9) 5.295)
	(= (slew_time Star9 Phenomenon5) 46.27)
	(= (slew_time Phenomenon5 Star9) 46.27)
	(= (slew_time Star9 Phenomenon6) 34.36)
	(= (slew_time Phenomenon6 Star9) 34.36)
	(= (slew_time Star9 Phenomenon7) 10.61)
	(= (slew_time Phenomenon7 Star9) 10.61)
	(= (slew_time Star9 Phenomenon8) 25.94)
	(= (slew_time Phenomenon8 Star9) 25.94)
	(= (slew_time Planet10 GroundStation0) 8.351)
	(= (slew_time GroundStation0 Planet10) 8.351)
	(= (slew_time Planet10 Star1) 12.34)
	(= (slew_time Star1 Planet10) 12.34)
	(= (slew_time Planet10 GroundStation2) 65.5)
	(= (slew_time GroundStation2 Planet10) 65.5)
	(= (slew_time Planet10 GroundStation3) 17.28)
	(= (slew_time GroundStation3 Planet10) 17.28)
	(= (slew_time Planet10 GroundStation4) 10.27)
	(= (slew_time GroundStation4 Planet10) 10.27)
	(= (slew_time Planet10 Phenomenon5) 21.81)
	(= (slew_time Phenomenon5 Planet10) 21.81)
	(= (slew_time Planet10 Phenomenon6) 42.38)
	(= (slew_time Phenomenon6 Planet10) 42.38)
	(= (slew_time Planet10 Phenomenon7) 25.18)
	(= (slew_time Phenomenon7 Planet10) 25.18)
	(= (slew_time Planet10 Phenomenon8) 88.4)
	(= (slew_time Phenomenon8 Planet10) 88.4)
	(= (slew_time Planet10 Star9) 34.18)
	(= (slew_time Star9 Planet10) 34.18)
	(= (slew_time Phenomenon11 GroundStation0) 10.4)
	(= (slew_time GroundStation0 Phenomenon11) 10.4)
	(= (slew_time Phenomenon11 Star1) 71.58)
	(= (slew_time Star1 Phenomenon11) 71.58)
	(= (slew_time Phenomenon11 GroundStation2) 26.98)
	(= (slew_time GroundStation2 Phenomenon11) 26.98)
	(= (slew_time Phenomenon11 GroundStation3) 37.89)
	(= (slew_time GroundStation3 Phenomenon11) 37.89)
	(= (slew_time Phenomenon11 GroundStation4) 25.75)
	(= (slew_time GroundStation4 Phenomenon11) 25.75)
	(= (slew_time Phenomenon11 Phenomenon5) 24.34)
	(= (slew_time Phenomenon5 Phenomenon11) 24.34)
	(= (slew_time Phenomenon11 Phenomenon6) 34.17)
	(= (slew_time Phenomenon6 Phenomenon11) 34.17)
	(= (slew_time Phenomenon11 Phenomenon7) 25.56)
	(= (slew_time Phenomenon7 Phenomenon11) 25.56)
	(= (slew_time Phenomenon11 Phenomenon8) 26.75)
	(= (slew_time Phenomenon8 Phenomenon11) 26.75)
	(= (slew_time Phenomenon11 Star9) 27.35)
	(= (slew_time Star9 Phenomenon11) 27.35)
	(= (slew_time Phenomenon11 Planet10) 59.16)
	(= (slew_time Planet10 Phenomenon11) 59.16)
	(= (slew_time Planet12 GroundStation0) 73.95)
	(= (slew_time GroundStation0 Planet12) 73.95)
	(= (slew_time Planet12 Star1) 23.56)
	(= (slew_time Star1 Planet12) 23.56)
	(= (slew_time Planet12 GroundStation2) 14.43)
	(= (slew_time GroundStation2 Planet12) 14.43)
	(= (slew_time Planet12 GroundStation3) 18.45)
	(= (slew_time GroundStation3 Planet12) 18.45)
	(= (slew_time Planet12 GroundStation4) 12.02)
	(= (slew_time GroundStation4 Planet12) 12.02)
	(= (slew_time Planet12 Phenomenon5) 21.38)
	(= (slew_time Phenomenon5 Planet12) 21.38)
	(= (slew_time Planet12 Phenomenon6) 22.79)
	(= (slew_time Phenomenon6 Planet12) 22.79)
	(= (slew_time Planet12 Phenomenon7) 41.54)
	(= (slew_time Phenomenon7 Planet12) 41.54)
	(= (slew_time Planet12 Phenomenon8) 10.66)
	(= (slew_time Phenomenon8 Planet12) 10.66)
	(= (slew_time Planet12 Star9) 3.152)
	(= (slew_time Star9 Planet12) 3.152)
	(= (slew_time Planet12 Planet10) 6.631)
	(= (slew_time Planet10 Planet12) 6.631)
	(= (slew_time Planet12 Phenomenon11) 0.4647)
	(= (slew_time Phenomenon11 Planet12) 0.4647)
	(= (slew_time Phenomenon13 GroundStation0) 17.71)
	(= (slew_time GroundStation0 Phenomenon13) 17.71)
	(= (slew_time Phenomenon13 Star1) 14.49)
	(= (slew_time Star1 Phenomenon13) 14.49)
	(= (slew_time Phenomenon13 GroundStation2) 19.46)
	(= (slew_time GroundStation2 Phenomenon13) 19.46)
	(= (slew_time Phenomenon13 GroundStation3) 8.685)
	(= (slew_time GroundStation3 Phenomenon13) 8.685)
	(= (slew_time Phenomenon13 GroundStation4) 3.347)
	(= (slew_time GroundStation4 Phenomenon13) 3.347)
	(= (slew_time Phenomenon13 Phenomenon5) 19.75)
	(= (slew_time Phenomenon5 Phenomenon13) 19.75)
	(= (slew_time Phenomenon13 Phenomenon6) 82.73)
	(= (slew_time Phenomenon6 Phenomenon13) 82.73)
	(= (slew_time Phenomenon13 Phenomenon7) 76.64)
	(= (slew_time Phenomenon7 Phenomenon13) 76.64)
	(= (slew_time Phenomenon13 Phenomenon8) 9.926)
	(= (slew_time Phenomenon8 Phenomenon13) 9.926)
	(= (slew_time Phenomenon13 Star9) 34.06)
	(= (slew_time Star9 Phenomenon13) 34.06)
	(= (slew_time Phenomenon13 Planet10) 23.78)
	(= (slew_time Planet10 Phenomenon13) 23.78)
	(= (slew_time Phenomenon13 Phenomenon11) 42.67)
	(= (slew_time Phenomenon11 Phenomenon13) 42.67)
	(= (slew_time Phenomenon13 Planet12) 13.35)
	(= (slew_time Planet12 Phenomenon13) 13.35)
	(= (data-stored) 0)
	(want Phenomenon6 thermograph3)
	(want Phenomenon7 spectrograph2)
	(want Phenomenon8 thermograph3)
	(want Star9 spectrograph0)
	(want Planet10 spectrograph0)
	(want Phenomenon11 spectrograph0)
	(want Planet12 image1)
	(want Phenomenon13 spectrograph0)
)
(:goal (and
	(pointing satellite4 GroundStation0)
	(have_image Phenomenon6 thermograph3)
	(have_image Phenomenon7 spectrograph2)
	(have_image Phenomenon8 thermograph3)
	(have_image Star9 spectrograph0)
	(have_image Planet10 spectrograph0)
	(have_image Phenomenon11 spectrograph0)
	(have_image Planet12 image1)
	(have_image Phenomenon13 spectrograph0)
))
(:metric minimize (total-time))

)
